!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-14 09:58             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 112

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(820)
  integer, parameter :: nGC_3229 = 1
  integer, parameter :: nGC_3228 = 2
  integer, parameter :: nGC_3227 = 3
  integer, parameter :: nGC_3225 = 4
  integer, parameter :: nGC_3224 = 5
  integer, parameter :: nGC_3223 = 6
  integer, parameter :: nGC_3222 = 7
  integer, parameter :: nGC_3221 = 8
  integer, parameter :: nGC_3220 = 9
  integer, parameter :: nGC_3139 = 10
  integer, parameter :: nGC_3138 = 11
  integer, parameter :: nGC_3133 = 12
  integer, parameter :: nGC_3420 = 13
  integer, parameter :: nGC_3131 = 14
  integer, parameter :: nGC_3130 = 15
  integer, parameter :: nGC_3425 = 16
  integer, parameter :: nGC_3424 = 17
  integer, parameter :: nGC_3135 = 18
  integer, parameter :: nGC_3426 = 19
  integer, parameter :: nGC_3188 = 20
  integer, parameter :: nGC_3189 = 21
  integer, parameter :: nGC_MZ_GF = 22
  integer, parameter :: nGC_3182 = 23
  integer, parameter :: nGC_28 = 24
  integer, parameter :: nGC_29 = 25
  integer, parameter :: nGC_3183 = 26
  integer, parameter :: nGC_22 = 27
  integer, parameter :: nGC_23 = 28
  integer, parameter :: nGC_20 = 29
  integer, parameter :: nGC_21 = 30
  integer, parameter :: nGC_26 = 31
  integer, parameter :: nGC_27 = 32
  integer, parameter :: nGC_24 = 33
  integer, parameter :: nGC_25 = 34
  integer, parameter :: nGC_3181 = 35
  integer, parameter :: nGC_3187 = 36
  integer, parameter :: nGC_81 = 37
  integer, parameter :: nGC_GG = 38
  integer, parameter :: nGC_5403 = 39
  integer, parameter :: nGC_80 = 40
  integer, parameter :: nGC_3469 = 41
  integer, parameter :: nGC_3468 = 42
  integer, parameter :: nGC_3467 = 43
  integer, parameter :: nGC_3466 = 44
  integer, parameter :: nGC_3463 = 45
  integer, parameter :: nGC_5043 = 46
  integer, parameter :: nGC_MMW_GF = 47
  integer, parameter :: nGC_3180 = 48
  integer, parameter :: nGC_3186 = 49
  integer, parameter :: nGC_3184 = 50
  integer, parameter :: nGC_3185 = 51
  integer, parameter :: nGC_3164 = 52
  integer, parameter :: nGC_3165 = 53
  integer, parameter :: nGC_3166 = 54
  integer, parameter :: nGC_3167 = 55
  integer, parameter :: nGC_3160 = 56
  integer, parameter :: nGC_3161 = 57
  integer, parameter :: nGC_3162 = 58
  integer, parameter :: nGC_3163 = 59
  integer, parameter :: nGC_I = 60
  integer, parameter :: nGC_3168 = 61
  integer, parameter :: nGC_65 = 62
  integer, parameter :: nGC_3 = 63
  integer, parameter :: nGC_2 = 64
  integer, parameter :: nGC_1 = 65
  integer, parameter :: nGC_7 = 66
  integer, parameter :: nGC_6 = 67
  integer, parameter :: nGC_5 = 68
  integer, parameter :: nGC_4 = 69
  integer, parameter :: nGC_9 = 70
  integer, parameter :: nGC_8 = 71
  integer, parameter :: nGC_3103 = 72
  integer, parameter :: nGC_3100 = 73
  integer, parameter :: nGC_53 = 74
  integer, parameter :: nGC_52 = 75
  integer, parameter :: nGC_51 = 76
  integer, parameter :: nGC_50 = 77
  integer, parameter :: nGC_57 = 78
  integer, parameter :: nGC_56 = 79
  integer, parameter :: nGC_55 = 80
  integer, parameter :: nGC_54 = 81
  integer, parameter :: nGC_3454 = 82
  integer, parameter :: nGC_59 = 83
  integer, parameter :: nGC_58 = 84
  integer, parameter :: nGC_3423 = 85
  integer, parameter :: nGC_3107 = 86
  integer, parameter :: nGC_3422 = 87
  integer, parameter :: nGC_3137 = 88
  integer, parameter :: nGC_3136 = 89
  integer, parameter :: nGC_MC = 90
  integer, parameter :: nGC_3427 = 91
  integer, parameter :: nGC_162 = 92
  integer, parameter :: nGC_3134 = 93
  integer, parameter :: nGC_3156 = 94
  integer, parameter :: nGC_3239 = 95
  integer, parameter :: nGC_3234 = 96
  integer, parameter :: nGC_3235 = 97
  integer, parameter :: nGC_3236 = 98
  integer, parameter :: nGC_1950 = 99
  integer, parameter :: nGC_3230 = 100
  integer, parameter :: nGC_3231 = 101
  integer, parameter :: nGC_3232 = 102
  integer, parameter :: nGC_3233 = 103
  integer, parameter :: nGC_MZ = 104
  integer, parameter :: nGC_3436 = 105
  integer, parameter :: nGC_3437 = 106
  integer, parameter :: nGC_3434 = 107
  integer, parameter :: nGC_3432 = 108
  integer, parameter :: nGC_3433 = 109
  integer, parameter :: nGC_3430 = 110
  integer, parameter :: nGC_3431 = 111
  integer, parameter :: nGC_3438 = 112
  integer, parameter :: nGC_3439 = 113
  integer, parameter :: nGC_3288 = 114
  integer, parameter :: nGC_3122 = 115
  integer, parameter :: nGC_3123 = 116
  integer, parameter :: nGC_3124 = 117
  integer, parameter :: nGC_3125 = 118
  integer, parameter :: nGC_3126 = 119
  integer, parameter :: nGC_3127 = 120
  integer, parameter :: nGC_MM = 121
  integer, parameter :: nGC_5235 = 122
  integer, parameter :: nGC_17 = 123
  integer, parameter :: nGC_16 = 124
  integer, parameter :: nGC_15 = 125
  integer, parameter :: nGC_14 = 126
  integer, parameter :: nGC_13 = 127
  integer, parameter :: nGC_12 = 128
  integer, parameter :: nGC_11 = 129
  integer, parameter :: nGC_10 = 130
  integer, parameter :: nGC_19 = 131
  integer, parameter :: nGC_18 = 132
  integer, parameter :: nGC_MW_GF = 133
  integer, parameter :: nGC_3199 = 134
  integer, parameter :: nGC_3198 = 135
  integer, parameter :: nGC_3378 = 136
  integer, parameter :: nGC_3371 = 137
  integer, parameter :: nGC_3197 = 138
  integer, parameter :: nGC_4825 = 139
  integer, parameter :: nGC_3193 = 140
  integer, parameter :: nGC_MI = 141
  integer, parameter :: nGC_3192 = 142
  integer, parameter :: nGC_4947 = 143
  integer, parameter :: nGC_4946 = 144
  integer, parameter :: nGC_3472 = 145
  integer, parameter :: nGC_3473 = 146
  integer, parameter :: nGC_3470 = 147
  integer, parameter :: nGC_3471 = 148
  integer, parameter :: nGC_3474 = 149
  integer, parameter :: nGC_3475 = 150
  integer, parameter :: nGC_MH = 151
  integer, parameter :: nGC_5118 = 152
  integer, parameter :: nGC_5111 = 153
  integer, parameter :: nGC_5116 = 154
  integer, parameter :: nGC_3275 = 155
  integer, parameter :: nGC_3276 = 156
  integer, parameter :: nGC_3277 = 157
  integer, parameter :: nGC_3278 = 158
  integer, parameter :: nGC_4729 = 159
  integer, parameter :: nGC_3151 = 160
  integer, parameter :: nGC_3150 = 161
  integer, parameter :: nGC_3153 = 162
  integer, parameter :: nGC_3152 = 163
  integer, parameter :: nGC_3155 = 164
  integer, parameter :: nGC_3154 = 165
  integer, parameter :: nGC_3157 = 166
  integer, parameter :: nGC_3408 = 167
  integer, parameter :: nGC_3159 = 168
  integer, parameter :: nGC_3406 = 169
  integer, parameter :: nGC_3401 = 170
  integer, parameter :: nGC_3400 = 171
  integer, parameter :: nGC_226 = 172
  integer, parameter :: nGC_HHHH = 173
  integer, parameter :: nGC_3421 = 174
  integer, parameter :: nGC_4917 = 175
  integer, parameter :: nGC_5313 = 176
  integer, parameter :: nGC_MB = 177
  integer, parameter :: nGC_48 = 178
  integer, parameter :: nGC_49 = 179
  integer, parameter :: nGC_44 = 180
  integer, parameter :: nGC_45 = 181
  integer, parameter :: nGC_46 = 182
  integer, parameter :: nGC_47 = 183
  integer, parameter :: nGC_40 = 184
  integer, parameter :: nGC_41 = 185
  integer, parameter :: nGC_42 = 186
  integer, parameter :: nGC_43 = 187
  integer, parameter :: nGC_5588 = 188
  integer, parameter :: nGC_3443 = 189
  integer, parameter :: nGC_3209 = 190
  integer, parameter :: nGC_3208 = 191
  integer, parameter :: nGC_5092 = 192
  integer, parameter :: nGC_6822 = 193
  integer, parameter :: nGC_3201 = 194
  integer, parameter :: nGC_3200 = 195
  integer, parameter :: nGC_3203 = 196
  integer, parameter :: nGC_3202 = 197
  integer, parameter :: nGC_3205 = 198
  integer, parameter :: nGC_3204 = 199
  integer, parameter :: nGC_3207 = 200
  integer, parameter :: nGC_3206 = 201
  integer, parameter :: nGC_3116 = 202
  integer, parameter :: nGC_3111 = 203
  integer, parameter :: nGC_3144 = 204
  integer, parameter :: nGC_3446 = 205
  integer, parameter :: nGC_3113 = 206
  integer, parameter :: nGC_3441 = 207
  integer, parameter :: nGC_3444 = 208
  integer, parameter :: nGC_3143 = 209
  integer, parameter :: nGC_4916 = 210
  integer, parameter :: nGC_3335 = 211
  integer, parameter :: nGC_3334 = 212
  integer, parameter :: nGC_3337 = 213
  integer, parameter :: nGC_3336 = 214
  integer, parameter :: nGC_3333 = 215
  integer, parameter :: nGC_3115 = 216
  integer, parameter :: nGC_3114 = 217
  integer, parameter :: nGC_3117 = 218
  integer, parameter :: nGC_3440 = 219
  integer, parameter :: nGC_3447 = 220
  integer, parameter :: nGC_3110 = 221
  integer, parameter :: nGC_3445 = 222
  integer, parameter :: nGC_3112 = 223
  integer, parameter :: nGC_3119 = 224
  integer, parameter :: nGC_3118 = 225
  integer, parameter :: nGC_5146 = 226
  integer, parameter :: nGC_5148 = 227
  integer, parameter :: nGC_GPGMGPGM = 228
  integer, parameter :: nGC_3409 = 229
  integer, parameter :: nGC_6819 = 230
  integer, parameter :: nGC_4763 = 231
  integer, parameter :: nGC_4762 = 232
  integer, parameter :: nGC_152 = 233
  integer, parameter :: nGC_5395 = 234
  integer, parameter :: nGC_5393 = 235
  integer, parameter :: nGC_5849 = 236
  integer, parameter :: nGC_5608 = 237
  integer, parameter :: nGC_1160 = 238
  integer, parameter :: nGC_75 = 239
  integer, parameter :: nGC_74 = 240
  integer, parameter :: nGC_77 = 241
  integer, parameter :: nGC_76 = 242
  integer, parameter :: nGC_71 = 243
  integer, parameter :: nGC_70 = 244
  integer, parameter :: nGC_73 = 245
  integer, parameter :: nGC_72 = 246
  integer, parameter :: nGC_79 = 247
  integer, parameter :: nGC_78 = 248
  integer, parameter :: nGC_9637 = 249
  integer, parameter :: nGC_HHGG = 250
  integer, parameter :: nGC_9644 = 251
  integer, parameter :: nGC_4958 = 252
  integer, parameter :: nGC_4951 = 253
  integer, parameter :: nGC_3132 = 254
  integer, parameter :: nGC_3399 = 255
  integer, parameter :: nGC_3398 = 256
  integer, parameter :: nGC_3226 = 257
  integer, parameter :: nGC_3393 = 258
  integer, parameter :: nGC_3392 = 259
  integer, parameter :: nGC_3391 = 260
  integer, parameter :: nGC_3390 = 261
  integer, parameter :: nGC_3397 = 262
  integer, parameter :: nGC_3396 = 263
  integer, parameter :: nGC_3395 = 264
  integer, parameter :: nGC_3394 = 265
  integer, parameter :: nGC_3366 = 266
  integer, parameter :: nGC_3367 = 267
  integer, parameter :: nGC_5779 = 268
  integer, parameter :: nGC_5778 = 269
  integer, parameter :: nGC_3248 = 270
  integer, parameter :: nGC_3361 = 271
  integer, parameter :: nGC_3247 = 272
  integer, parameter :: nGC_3240 = 273
  integer, parameter :: nGC_4734 = 274
  integer, parameter :: nGC_4731 = 275
  integer, parameter :: nGC_MS = 276
  integer, parameter :: nGC_3418 = 277
  integer, parameter :: nGC_3419 = 278
  integer, parameter :: nGC_3148 = 279
  integer, parameter :: nGC_3149 = 280
  integer, parameter :: nGC_3146 = 281
  integer, parameter :: nGC_3147 = 282
  integer, parameter :: nGC_3416 = 283
  integer, parameter :: nGC_3145 = 284
  integer, parameter :: nGC_3142 = 285
  integer, parameter :: nGC_3411 = 286
  integer, parameter :: nGC_3140 = 287
  integer, parameter :: nGC_3141 = 288
  integer, parameter :: nGC_5037 = 289
  integer, parameter :: nGC_6251 = 290
  integer, parameter :: nGC_212 = 291
  integer, parameter :: nGC_3092 = 292
  integer, parameter :: nGC_3093 = 293
  integer, parameter :: nGC_3094 = 294
  integer, parameter :: nGC_3095 = 295
  integer, parameter :: nGC_3096 = 296
  integer, parameter :: nGC_3097 = 297
  integer, parameter :: nGC_3098 = 298
  integer, parameter :: nGC_3099 = 299
  integer, parameter :: nGC_4788 = 300
  integer, parameter :: nGC_82 = 301
  integer, parameter :: nGC_148 = 302
  integer, parameter :: nGC_5350 = 303
  integer, parameter :: nGC_5352 = 304
  integer, parameter :: nGC_5357 = 305
  integer, parameter :: nGC_6511 = 306
  integer, parameter :: nGC_6658 = 307
  integer, parameter :: nGC_288 = 308
  integer, parameter :: nGC_39 = 309
  integer, parameter :: nGC_38 = 310
  integer, parameter :: nGC_6510 = 311
  integer, parameter :: nGC_31 = 312
  integer, parameter :: nGC_30 = 313
  integer, parameter :: nGC_33 = 314
  integer, parameter :: nGC_5356 = 315
  integer, parameter :: nGC_35 = 316
  integer, parameter :: nGC_34 = 317
  integer, parameter :: nGC_37 = 318
  integer, parameter :: nGC_36 = 319
  integer, parameter :: nGC_144 = 320
  integer, parameter :: nGC_4854 = 321
  integer, parameter :: nGC_4857 = 322
  integer, parameter :: nGC_3301 = 323
  integer, parameter :: nGC_5504 = 324
  integer, parameter :: nGC_5500 = 325
  integer, parameter :: nGC_3104 = 326
  integer, parameter :: nGC_714 = 327
  integer, parameter :: nGC_3359 = 328
  integer, parameter :: nGC_3357 = 329
  integer, parameter :: nGC_3355 = 330
  integer, parameter :: nGC_3354 = 331
  integer, parameter :: nGC_3353 = 332
  integer, parameter :: nGC_3352 = 333
  integer, parameter :: nGC_3351 = 334
  integer, parameter :: nGC_6856 = 335
  integer, parameter :: nGC_6183 = 336
  integer, parameter :: nGC_GGH = 337
  integer, parameter :: nGC_64 = 338
  integer, parameter :: nGC_3328 = 339
  integer, parameter :: nGC_3329 = 340
  integer, parameter :: nGC_4924 = 341
  integer, parameter :: nGC_4926 = 342
  integer, parameter :: nGC_3320 = 343
  integer, parameter :: nGC_3321 = 344
  integer, parameter :: nGC_3326 = 345
  integer, parameter :: nGC_3327 = 346
  integer, parameter :: nGC_3410 = 347
  integer, parameter :: nGC_3325 = 348
  integer, parameter :: nGC_3102 = 349
  integer, parameter :: nGC_3452 = 350
  integer, parameter :: nGC_3453 = 351
  integer, parameter :: nGC_3106 = 352
  integer, parameter :: nGC_3455 = 353
  integer, parameter :: nGC_3456 = 354
  integer, parameter :: nGC_3105 = 355
  integer, parameter :: nGC_3108 = 356
  integer, parameter :: nGC_3109 = 357
  integer, parameter :: nGC_ME = 358
  integer, parameter :: nGC_MD = 359
  integer, parameter :: nGC_3407 = 360
  integer, parameter :: nGC_3435 = 361
  integer, parameter :: nGC_3158 = 362
  integer, parameter :: nGC_6854 = 363
  integer, parameter :: nGC_MW = 364
  integer, parameter :: nGC_MU = 365
  integer, parameter :: nGC_MT = 366
  integer, parameter :: nGC_5070 = 367
  integer, parameter :: nGC_5071 = 368
  integer, parameter :: nGC_5072 = 369
  integer, parameter :: nGC_5073 = 370
  integer, parameter :: nGC_3216 = 371
  integer, parameter :: nGC_3217 = 372
  integer, parameter :: nGC_3214 = 373
  integer, parameter :: nGC_3215 = 374
  integer, parameter :: nGC_3212 = 375
  integer, parameter :: nGC_3213 = 376
  integer, parameter :: nGC_3210 = 377
  integer, parameter :: nGC_3211 = 378
  integer, parameter :: nGC_3195 = 379
  integer, parameter :: nGC_3194 = 380
  integer, parameter :: nGC_3412 = 381
  integer, parameter :: nGC_3196 = 382
  integer, parameter :: nGC_3191 = 383
  integer, parameter :: nGC_3190 = 384
  integer, parameter :: nGC_3218 = 385
  integer, parameter :: nGC_3219 = 386
  integer, parameter :: nGC_3177 = 387
  integer, parameter :: nGC_3176 = 388
  integer, parameter :: nGC_3175 = 389
  integer, parameter :: nGC_3174 = 390
  integer, parameter :: nGC_3173 = 391
  integer, parameter :: nGC_3172 = 392
  integer, parameter :: nGC_3171 = 393
  integer, parameter :: nGC_3170 = 394
  integer, parameter :: nGC_3413 = 395
  integer, parameter :: nGC_5311 = 396
  integer, parameter :: nGC_3179 = 397
  integer, parameter :: nGC_3178 = 398
  integer, parameter :: nGC_3128 = 399
  integer, parameter :: nGC_3442 = 400
  integer, parameter :: nGC_3129 = 401
  integer, parameter :: nGC_322 = 402
  integer, parameter :: nGC_248 = 403
  integer, parameter :: nGC_4777 = 404
  integer, parameter :: nGC_4778 = 405
  integer, parameter :: nGC_5829 = 406
  integer, parameter :: nGC_5828 = 407
  integer, parameter :: nGC_MTA = 408
  integer, parameter :: nGC_3120 = 409
  integer, parameter :: nGC_3121 = 410
  integer, parameter :: nGC_5548 = 411
  integer, parameter :: nGC_5986 = 412
  integer, parameter :: nGC_4898 = 413
  integer, parameter :: nGC_32 = 414
  integer, parameter :: nGC_5387 = 415
  integer, parameter :: nGC_4893 = 416
  integer, parameter :: nGC_4895 = 417
  integer, parameter :: nGC_4894 = 418
  integer, parameter :: nGC_88 = 419
  integer, parameter :: nGC_3465 = 420
  integer, parameter :: nGC_5917 = 421
  integer, parameter :: nGC_5916 = 422
  integer, parameter :: nGC_5852 = 423
  integer, parameter :: nGC_8515 = 424
  integer, parameter :: nGC_5850 = 425
  integer, parameter :: nGC_83 = 426
  integer, parameter :: nGC_84 = 427
  integer, parameter :: nGC_85 = 428
  integer, parameter :: nGC_86 = 429
  integer, parameter :: nGC_87 = 430
  integer, parameter :: nGC_5181 = 431
  integer, parameter :: nGC_6880 = 432
  integer, parameter :: nGC_3460 = 433
  integer, parameter :: nGC_66 = 434
  integer, parameter :: nGC_67 = 435
  integer, parameter :: nGC_6068 = 436
  integer, parameter :: nGC_6069 = 437
  integer, parameter :: nGC_62 = 438
  integer, parameter :: nGC_63 = 439
  integer, parameter :: nGC_60 = 440
  integer, parameter :: nGC_61 = 441
  integer, parameter :: nGC_3101 = 442
  integer, parameter :: nGC_68 = 443
  integer, parameter :: nGC_69 = 444
  integer, parameter :: nGC_4965 = 445
  integer, parameter :: nGC_4961 = 446
  integer, parameter :: nGC_4803 = 447
  integer, parameter :: nGC_HHH = 448
  integer, parameter :: nGC_4808 = 449
  integer, parameter :: nGC_4809 = 450
  integer, parameter :: nGC_3169 = 451
  integer, parameter :: nGC_4804 = 452
  integer, parameter :: nGC_4805 = 453
  integer, parameter :: nGC_112 = 454
  integer, parameter :: nGC_3388 = 455
  integer, parameter :: nGC_3389 = 456
  integer, parameter :: nGC_5131 = 457
  integer, parameter :: nGC_3380 = 458
  integer, parameter :: nGC_3381 = 459
  integer, parameter :: nGC_3382 = 460
  integer, parameter :: nGC_3383 = 461
  integer, parameter :: nGC_3384 = 462
  integer, parameter :: nGC_3385 = 463
  integer, parameter :: nGC_3386 = 464
  integer, parameter :: nGC_7422 = 465
  integer, parameter :: nGC_3313 = 466
  integer, parameter :: nGC_3312 = 467
  integer, parameter :: nGC_3258 = 468
  integer, parameter :: nGC_3259 = 469
  integer, parameter :: nGC_3317 = 470
  integer, parameter :: nGC_5444 = 471
  integer, parameter :: nGC_3315 = 472
  integer, parameter :: nGC_3314 = 473
  integer, parameter :: nGC_3252 = 474
  integer, parameter :: nGC_5761 = 475
  integer, parameter :: nGC_5762 = 476
  integer, parameter :: nGC_3318 = 477
  integer, parameter :: nGC_3256 = 478
  integer, parameter :: nGC_3257 = 479
  integer, parameter :: nGC_3254 = 480
  integer, parameter :: nGC_7903 = 481
  integer, parameter :: nGC_7900 = 482
  integer, parameter :: nGC_3429 = 483
  integer, parameter :: nGC_3428 = 484
  integer, parameter :: nGC_5009 = 485
  integer, parameter :: nGC_200 = 486
  integer, parameter :: nGC_5610 = 487
  integer, parameter :: nGC_8959 = 488
  integer, parameter :: nGC_7571 = 489
  integer, parameter :: nGC_4798 = 490
  integer, parameter :: nGC_4799 = 491
  integer, parameter :: nGC_4791 = 492
  integer, parameter :: nGC_1154 = 493
  integer, parameter :: nGC_8961 = 494
  integer, parameter :: nGC_7423 = 495
  integer, parameter :: nGC_276 = 496
  integer, parameter :: nGC_3387 = 497
  integer, parameter :: nGC_3268 = 498
  integer, parameter :: nGC_3348 = 499
  integer, parameter :: nGC_3349 = 500
  integer, parameter :: nGC_3344 = 501
  integer, parameter :: nGC_3345 = 502
  integer, parameter :: nGC_3346 = 503
  integer, parameter :: nGC_3347 = 504
  integer, parameter :: nGC_3340 = 505
  integer, parameter :: nGC_3341 = 506
  integer, parameter :: nGC_3342 = 507
  integer, parameter :: nGC_3343 = 508
  integer, parameter :: nGC_5409 = 509
  integer, parameter :: nGC_3311 = 510
  integer, parameter :: nGC_3310 = 511
  integer, parameter :: nGC_4930 = 512
  integer, parameter :: nGC_3461 = 513
  integer, parameter :: nGC_6881 = 514
  integer, parameter :: nGC_6883 = 515
  integer, parameter :: nGC_5044 = 516
  integer, parameter :: nGC_5047 = 517
  integer, parameter :: nGC_5040 = 518
  integer, parameter :: nGC_3253 = 519
  integer, parameter :: nGC_3319 = 520
  integer, parameter :: nGC_3251 = 521
  integer, parameter :: nGC_5164 = 522
  integer, parameter :: nGC_7572 = 523
  integer, parameter :: nGC_5160 = 524
  integer, parameter :: nGC_3263 = 525
  integer, parameter :: nGC_3262 = 526
  integer, parameter :: nGC_3261 = 527
  integer, parameter :: nGC_3260 = 528
  integer, parameter :: nGC_3267 = 529
  integer, parameter :: nGC_3266 = 530
  integer, parameter :: nGC_3265 = 531
  integer, parameter :: nGC_3264 = 532
  integer, parameter :: nGC_5650 = 533
  integer, parameter :: nGC_5651 = 534
  integer, parameter :: nGC_3269 = 535
  integer, parameter :: nGC_3255 = 536
  integer, parameter :: nGC_9109 = 537
  integer, parameter :: nGC_9193 = 538
  integer, parameter :: nGC_5309 = 539
  integer, parameter :: nGC_5300 = 540
  integer, parameter :: nGC_5304 = 541
  integer, parameter :: nGC_236 = 542
  integer, parameter :: nGC_6403 = 543
  integer, parameter :: nGC_334 = 544
  integer, parameter :: nGC_4748 = 545
  integer, parameter :: nGC_4747 = 546
  integer, parameter :: nGC_4746 = 547
  integer, parameter :: nGC_4740 = 548
  integer, parameter :: nGC_4743 = 549
  integer, parameter :: nGC_4886 = 550
  integer, parameter :: nGC_4887 = 551
  integer, parameter :: nGC_5274 = 552
  integer, parameter :: nGC_5272 = 553
  integer, parameter :: nGC_5273 = 554
  integer, parameter :: nGC_5575 = 555
  integer, parameter :: nGC_5576 = 556
  integer, parameter :: nGC_5570 = 557
  integer, parameter :: nGC_5377 = 558
  integer, parameter :: nGC_5376 = 559
  integer, parameter :: nGC_3316 = 560
  integer, parameter :: nGC_3250 = 561
  integer, parameter :: nGC_6659 = 562
  integer, parameter :: nGC_9247 = 563
  integer, parameter :: nGC_4974 = 564
  integer, parameter :: nGC_3238 = 565
  integer, parameter :: nGC_3237 = 566
  integer, parameter :: nGC_5088 = 567
  integer, parameter :: nGC_5120 = 568
  integer, parameter :: nGC_5083 = 569
  integer, parameter :: nGC_5087 = 570
  integer, parameter :: nGC_3300 = 571
  integer, parameter :: nGC_4906 = 572
  integer, parameter :: nGC_4905 = 573
  integer, parameter :: nGC_3303 = 574
  integer, parameter :: nGC_3304 = 575
  integer, parameter :: nGC_3307 = 576
  integer, parameter :: nGC_3308 = 577
  integer, parameter :: nGC_3309 = 578
  integer, parameter :: nGC_5454 = 579
  integer, parameter :: nGC_5455 = 580
  integer, parameter :: nGC_4909 = 581
  integer, parameter :: nGC_6249 = 582
  integer, parameter :: nGC_3281 = 583
  integer, parameter :: nGC_3280 = 584
  integer, parameter :: nGC_3283 = 585
  integer, parameter :: nGC_3282 = 586
  integer, parameter :: nGC_3285 = 587
  integer, parameter :: nGC_3284 = 588
  integer, parameter :: nGC_3287 = 589
  integer, parameter :: nGC_3286 = 590
  integer, parameter :: nGC_3289 = 591
  integer, parameter :: nGC_5010 = 592
  integer, parameter :: nGC_5624 = 593
  integer, parameter :: nGC_8968 = 594
  integer, parameter :: nGC_5971 = 595
  integer, parameter :: nGC_5970 = 596
  integer, parameter :: nGC_5238 = 597
  integer, parameter :: nGC_5334 = 598
  integer, parameter :: nGC_5579 = 599
  integer, parameter :: nGC_5578 = 600
  integer, parameter :: nGC_5520 = 601
  integer, parameter :: nGC_5243 = 602
  integer, parameter :: nGC_5242 = 603
  integer, parameter :: nGC_5241 = 604
  integer, parameter :: nGC_3379 = 605
  integer, parameter :: nGC_3370 = 606
  integer, parameter :: nGC_3373 = 607
  integer, parameter :: nGC_3372 = 608
  integer, parameter :: nGC_3375 = 609
  integer, parameter :: nGC_3374 = 610
  integer, parameter :: nGC_3377 = 611
  integer, parameter :: nGC_3376 = 612
  integer, parameter :: nGC_9185 = 613
  integer, parameter :: nGC_4826 = 614
  integer, parameter :: nGC_4827 = 615
  integer, parameter :: nGC_4828 = 616
  integer, parameter :: nGC_3478 = 617
  integer, parameter :: nGC_3476 = 618
  integer, parameter :: nGC_3477 = 619
  integer, parameter :: nGC_5119 = 620
  integer, parameter :: nGC_5113 = 621
  integer, parameter :: nGC_5112 = 622
  integer, parameter :: nGC_5117 = 623
  integer, parameter :: nGC_3270 = 624
  integer, parameter :: nGC_3271 = 625
  integer, parameter :: nGC_3272 = 626
  integer, parameter :: nGC_3273 = 627
  integer, parameter :: nGC_3274 = 628
  integer, parameter :: nGC_5462 = 629
  integer, parameter :: nGC_3279 = 630
  integer, parameter :: nGC_5700 = 631
  integer, parameter :: nGC_5701 = 632
  integer, parameter :: nGC_4726 = 633
  integer, parameter :: nGC_3405 = 634
  integer, parameter :: nGC_3404 = 635
  integer, parameter :: nGC_3403 = 636
  integer, parameter :: nGC_3402 = 637
  integer, parameter :: nGC_6820 = 638
  integer, parameter :: nGC_4758 = 639
  integer, parameter :: nGC_4759 = 640
  integer, parameter :: nGC_3368 = 641
  integer, parameter :: nGC_4750 = 642
  integer, parameter :: nGC_3369 = 643
  integer, parameter :: nGC_4755 = 644
  integer, parameter :: nGC_5561 = 645
  integer, parameter :: nGC_5567 = 646
  integer, parameter :: nGC_1222 = 647
  integer, parameter :: nGC_350 = 648
  integer, parameter :: nGC_3362 = 649
  integer, parameter :: nGC_5427 = 650
  integer, parameter :: nGC_5292 = 651
  integer, parameter :: nGC_4865 = 652
  integer, parameter :: nGC_6039 = 653
  integer, parameter :: nGC_6030 = 654
  integer, parameter :: nGC_6034 = 655
  integer, parameter :: nGC_5585 = 656
  integer, parameter :: nGC_5428 = 657
  integer, parameter :: nGC_3339 = 658
  integer, parameter :: nGC_3338 = 659
  integer, parameter :: nGC_3331 = 660
  integer, parameter :: nGC_3330 = 661
  integer, parameter :: nGC_3332 = 662
  integer, parameter :: nGC_3449 = 663
  integer, parameter :: nGC_3448 = 664
  integer, parameter :: nGC_3298 = 665
  integer, parameter :: nGC_3299 = 666
  integer, parameter :: nGC_3296 = 667
  integer, parameter :: nGC_3297 = 668
  integer, parameter :: nGC_3294 = 669
  integer, parameter :: nGC_3295 = 670
  integer, parameter :: nGC_3292 = 671
  integer, parameter :: nGC_3293 = 672
  integer, parameter :: nGC_3290 = 673
  integer, parameter :: nGC_3291 = 674
  integer, parameter :: nGC_5325 = 675
  integer, parameter :: nGC_5326 = 676
  integer, parameter :: nGC_9454 = 677
  integer, parameter :: nGC_4767 = 678
  integer, parameter :: nGC_4766 = 679
  integer, parameter :: nGC_4768 = 680
  integer, parameter :: nGC_5553 = 681
  integer, parameter :: nGC_5556 = 682
  integer, parameter :: nGC_5991 = 683
  integer, parameter :: nGC_5990 = 684
  integer, parameter :: nGC_5257 = 685
  integer, parameter :: nGC_5251 = 686
  integer, parameter :: nGC_5252 = 687
  integer, parameter :: nGC_5195 = 688
  integer, parameter :: nGC_4810 = 689
  integer, parameter :: nGC_4812 = 690
  integer, parameter :: nGC_4815 = 691
  integer, parameter :: nGC_4819 = 692
  integer, parameter :: nGC_5089 = 693
  integer, parameter :: nGC_3364 = 694
  integer, parameter :: nGC_3365 = 695
  integer, parameter :: nGC_3249 = 696
  integer, parameter :: nGC_3363 = 697
  integer, parameter :: nGC_3360 = 698
  integer, parameter :: nGC_3245 = 699
  integer, parameter :: nGC_3244 = 700
  integer, parameter :: nGC_3246 = 701
  integer, parameter :: nGC_3241 = 702
  integer, parameter :: nGC_3243 = 703
  integer, parameter :: nGC_3242 = 704
  integer, parameter :: nGC_7850 = 705
  integer, parameter :: nGC_4739 = 706
  integer, parameter :: nGC_4735 = 707
  integer, parameter :: nGC_4730 = 708
  integer, parameter :: nGC_3414 = 709
  integer, parameter :: nGC_3415 = 710
  integer, parameter :: nGC_3417 = 711
  integer, parameter :: nGC_5128 = 712
  integer, parameter :: nGC_6855 = 713
  integer, parameter :: nGC_6250 = 714
  integer, parameter :: nGC_6252 = 715
  integer, parameter :: nGC_5465 = 716
  integer, parameter :: nGC_5605 = 717
  integer, parameter :: nGC_5604 = 718
  integer, parameter :: nGC_5609 = 719
  integer, parameter :: nGC_5956 = 720
  integer, parameter :: nGC_5211 = 721
  integer, parameter :: nGC_5212 = 722
  integer, parameter :: nGC_5213 = 723
  integer, parameter :: nGC_4785 = 724
  integer, parameter :: nGC_4786 = 725
  integer, parameter :: nGC_4789 = 726
  integer, parameter :: nGC_9017 = 727
  integer, parameter :: nGC_4858 = 728
  integer, parameter :: nGC_5812 = 729
  integer, parameter :: nGC_5811 = 730
  integer, parameter :: nGC_3305 = 731
  integer, parameter :: nGC_3306 = 732
  integer, parameter :: nGC_3358 = 733
  integer, parameter :: nGC_3356 = 734
  integer, parameter :: nGC_1158 = 735
  integer, parameter :: nGC_3350 = 736
  integer, parameter :: nGC_3322 = 737
  integer, parameter :: nGC_3323 = 738
  integer, parameter :: nGC_3324 = 739
  integer, parameter :: nGC_3450 = 740
  integer, parameter :: nGC_3451 = 741
  integer, parameter :: nGC_3457 = 742
  integer, parameter :: nGC_3458 = 743
  integer, parameter :: nGC_3459 = 744
  integer, parameter :: nGC_5079 = 745
  integer, parameter :: nGC_5178 = 746
  integer, parameter :: nGC_5074 = 747
  integer, parameter :: nGC_5075 = 748
  integer, parameter :: nGC_5076 = 749
  integer, parameter :: nGC_6823 = 750
  integer, parameter :: nGC_3302 = 751
  integer, parameter :: nGC_5310 = 752
  integer, parameter :: nGC_4770 = 753
  integer, parameter :: nGC_6201 = 754
  integer, parameter :: nGC_8998 = 755
  integer, parameter :: nGC_5549 = 756
  integer, parameter :: nGC_5385 = 757
  integer, parameter :: nGC_5853 = 758
  integer, parameter :: nGC_6067 = 759
  integer, parameter :: nGC_4966 = 760
  integer, parameter :: nGC_4962 = 761
  integer, parameter :: nGC_4968 = 762
  integer, parameter :: nGC_6040 = 763
  integer, parameter :: nGC_5196 = 764
  integer, parameter :: nGC_6035 = 765
  integer, parameter :: nGC_7544 = 766
  integer, parameter :: nGC_5522 = 767
  integer, parameter :: nGC_5206 = 768
  integer, parameter :: nGC_5521 = 769
  integer, parameter :: nGC_4795 = 770
  integer, parameter :: nGC_4792 = 771
  integer, parameter :: nGC_4859 = 772
  integer, parameter :: nGC_5386 = 773
  integer, parameter :: nGC_4977 = 774
  integer, parameter :: nGC_5248 = 775
  integer, parameter :: nGC_5957 = 776
  integer, parameter :: nGC_9154 = 777
  integer, parameter :: nGC_5245 = 778
  integer, parameter :: nGC_5244 = 779
  integer, parameter :: nGC_4990 = 780
  integer, parameter :: nGC_6331 = 781
  integer, parameter :: nGC_7611 = 782
  integer, parameter :: nGC_4811 = 783
  integer, parameter :: nGC_4836 = 784
  integer, parameter :: nGC_4879 = 785
  integer, parameter :: nGC_4749 = 786
  integer, parameter :: nGC_4832 = 787
  integer, parameter :: nGC_4938 = 788
  integer, parameter :: nGC_4939 = 789
  integer, parameter :: nGC_4820 = 790
  integer, parameter :: nGC_4769 = 791
  integer, parameter :: nGC_4935 = 792
  integer, parameter :: nGC_6137 = 793
  integer, parameter :: nGC_6857 = 794
  integer, parameter :: nGC_4931 = 795
  integer, parameter :: nGC_7904 = 796
  integer, parameter :: nGC_6884 = 797
  integer, parameter :: nGC_5122 = 798
  integer, parameter :: nGC_5275 = 799
  integer, parameter :: nGC_8352 = 800
  integer, parameter :: nGC_8353 = 801
  integer, parameter :: nGC_8356 = 802
  integer, parameter :: nGC_8357 = 803
  integer, parameter :: nGC_4843 = 804
  integer, parameter :: nGC_4967 = 805
  integer, parameter :: nGC_5258 = 806
  integer, parameter :: nGC_5550 = 807
  integer, parameter :: nGC_5165 = 808
  integer, parameter :: nGC_5399 = 809
  integer, parameter :: nGC_4869 = 810
  integer, parameter :: nGC_5121 = 811
  integer, parameter :: nGC_5867 = 812
  integer, parameter :: nGC_5611 = 813
  integer, parameter :: nGC_4901 = 814
  integer, parameter :: nGC_4860 = 815
  integer, parameter :: nGC_4942 = 816
  integer, parameter :: nGC_9077 = 817
  integer, parameter :: nGC_6202 = 818
  integer, parameter :: nGC_4902 = 819
  integer, parameter :: nGC_5494 = 820
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
