!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-14 09:58             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl1()
    coupl(nGC_3420) = -cima*dye_QED3
    coupl(nGC_3425) = -cima*dytau_QED1
    coupl(nGC_3424) = -cima*dytau_QED3
    coupl(nGC_3426) = coupl(nGC_3222)*dye_QED3
    coupl(nGC_GG) = cima*dt_QED1/vev
    coupl(nGC_5403) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
    coupl(nGC_3469) = -cima*dMC
    coupl(nGC_3468) = -cima*dMU
    coupl(nGC_3467) = -cima*dMTA
    coupl(nGC_3466) = -cima*dMM
    coupl(nGC_3463) = -cima*dMH2_QED2
    coupl(nGC_5043) = coupl(nGC_23)*(dZcL + dZsL)/2d0
    coupl(nGC_3454) = coupl(nGC_3228)*dyt_QED3
    coupl(nGC_3423) = -cima*dym_QED1
    coupl(nGC_3422) = -cima*dym_QED3
    coupl(nGC_3427) = coupl(nGC_3222)*dye_QED1
    coupl(nGC_3239) = cima*coupl(nGC_23)**2d0*(-Nc - 1d0)/(16d0*pi**2d0)
    coupl(nGC_3436) = coupl(nGC_3232)*dytau_QED3
    coupl(nGC_3437) = coupl(nGC_3232)*dytau_QED1
    coupl(nGC_3434) = coupl(nGC_3231)*dytau_QED3
    coupl(nGC_3432) = coupl(nGC_3221)*dym_QED3
    coupl(nGC_3433) = coupl(nGC_3221)*dym_QED1
    coupl(nGC_3430) = coupl(nGC_3224)*dym_QED3
    coupl(nGC_3431) = coupl(nGC_3224)*dym_QED1
    coupl(nGC_3438) = coupl(nGC_3220)*dye_QED3
    coupl(nGC_3439) = coupl(nGC_3220)*dye_QED1
    coupl(nGC_3288) = cima*(Nc*coupl(nGC_1)**4d0 + Nc*coupl(nGC_2)**4d0 + coupl&
                      (nGC_4)**4d0)/(4d0*pi**2d0)
    coupl(nGC_5235) = coupl(nGC_2)*dZAZ_QED2/2d0
    coupl(nGC_3378) = coupl(nGC_3187)*dZee_QED2 + coupl(nGC_3188)*dsw_QED2 +   &
                      coupl(nGC_3189)*dcw_QED2
    coupl(nGC_3371) = coupl(nGC_3161)*dZee_QED2 + coupl(nGC_3162)*dsw_QED2 +   &
                      coupl(nGC_3163)*dcw_QED2
    coupl(nGC_4825) = coupl(nGC_19)*dZZA_QED2/2d0 + coupl(nGC_5)*dZAZ_QED2/2d0
    coupl(nGC_4947) = coupl(nGC_2)*dZuL
    coupl(nGC_4946) = coupl(nGC_3425) + coupl(nGC_81)*dZnu_tauL/2d0 + coupl(   &
                      nGC_81)*dZtauMinusR/2d0
    coupl(nGC_3472) = -cima*dMS
    coupl(nGC_3473) = -cima*dMB
    coupl(nGC_3470) = -cima*dMT
    coupl(nGC_3471) = -cima*dMD
    coupl(nGC_3474) = cima*dMZ2_QED2
    coupl(nGC_3475) = cima*dMW2_QED2
    coupl(nGC_5118) = coupl(nGC_4)*dZtauMinusL
    coupl(nGC_5111) = coupl(nGC_55)*(dZbL + dZbR)/2d0
    coupl(nGC_5116) = coupl(nGC_4)*dZtauMinusR
    coupl(nGC_3275) = coupl(nGC_11)**3d0*sq2**3d0/(16d0*pi**2d0)
    coupl(nGC_3276) = -coupl(nGC_11)**3d0*sq2**3d0/(16d0*pi**2d0)
    coupl(nGC_3277) = cima*coupl(nGC_23)**2d0*(3d0*Nc*coupl(nGC_1)**2d0 - 5d0* &
                      Nc*coupl(nGC_1)*coupl(nGC_2) + 3d0*Nc*coupl(nGC_2)**2d0  &
                       + 3d0*coupl(nGC_4)**2d0)/(8d0*pi**2d0)
    coupl(nGC_3278) = cima*coupl(nGC_23)**2d0*(-Nc*coupl(nGC_1)**2d0 + 3d0*Nc* &
                      coupl(nGC_1)*coupl(nGC_2) - Nc*coupl(nGC_2)**2d0 - coupl(&
                      nGC_4)**2d0)/(8d0*pi**2d0)
    coupl(nGC_4729) = coupl(nGC_23)*(dZeMinusL + dZnu_eL)/2d0
    coupl(nGC_3408) = coupl(nGC_3227)*dys_QED3
    coupl(nGC_3406) = coupl(nGC_3225)*dys_QED3
    coupl(nGC_3401) = -cima*dyb_QED1
    coupl(nGC_3400) = -cima*dyb_QED3
    coupl(nGC_HHHH) = -3d0*cima*dt_QED1/vev**3d0
    coupl(nGC_3421) = -cima*dye_QED1
    coupl(nGC_4917) = coupl(nGC_11)*dZsL
    coupl(nGC_5313) = coupl(nGC_2)*dZtR
    coupl(nGC_5588) = coupl(nGC_40)*dZmuMinusL
    coupl(nGC_3443) = coupl(nGC_3233)*dytau_QED1
    coupl(nGC_5092) = coupl(nGC_41)*dZnu_muL
    coupl(nGC_6822) = coupl(nGC_MI)*dZsR
    coupl(nGC_3446) = coupl(nGC_3235)*dyup_QED3
    coupl(nGC_3441) = coupl(nGC_3223)*dym_QED1
    coupl(nGC_3444) = coupl(nGC_3234)*dyup_QED3
    coupl(nGC_4916) = coupl(nGC_11)*dZsR
    coupl(nGC_3335) = cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
    coupl(nGC_3334) = -cima*coupl(nGC_11)**4d0*sq2**4d0/(64d0*pi**2d0*Nc)
    coupl(nGC_3337) = 3d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(64d0*pi**2d0)
    coupl(nGC_3336) = -3d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc** &
                      3d0)
    coupl(nGC_3333) = -5d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(64d0*pi**2d0)
    coupl(nGC_3440) = coupl(nGC_3223)*dym_QED3
    coupl(nGC_3447) = coupl(nGC_3235)*dyup_QED1
    coupl(nGC_3445) = coupl(nGC_3234)*dyup_QED1
    coupl(nGC_5146) = coupl(nGC_4)*dZmuMinusL
    coupl(nGC_5148) = coupl(nGC_4)*dZmuMinusR
    coupl(nGC_GPGMGPGM) = -2d0*cima*dt_QED1/vev**3d0
    coupl(nGC_3409) = coupl(nGC_3227)*dys_QED1
    coupl(nGC_6819) = coupl(nGC_MI)*dZsL
    coupl(nGC_4763) = coupl(nGC_4)*dZAZ_QED2/2d0
    coupl(nGC_4762) = coupl(nGC_40)*dZtauMinusL
    coupl(nGC_5395) = coupl(nGC_1)*dZdL
    coupl(nGC_5393) = coupl(nGC_1)*dZdR
    coupl(nGC_5849) = coupl(nGC_MI)*dZdL
    coupl(nGC_5608) = coupl(nGC_MI)*dZtauMinusL
    coupl(nGC_9637) = -3d0*coupl(nGC_3333)/5d0
    coupl(nGC_HHGG) = -cima*dt_QED1/vev**3d0
    coupl(nGC_9644) = -5d0*coupl(nGC_3337)/3d0
    coupl(nGC_4958) = coupl(nGC_23)*(dZbL + dZtL)/2d0
    coupl(nGC_4951) = coupl(nGC_2)*dZuR
    coupl(nGC_3399) = cima*dyt_QED1
    coupl(nGC_3398) = cima*dyt_QED3
    coupl(nGC_3393) = cima*dyup_QED1
    coupl(nGC_3392) = cima*dyup_QED3
    coupl(nGC_3391) = -cima*dydo_QED1
    coupl(nGC_3390) = -cima*dydo_QED3
    coupl(nGC_3397) = -cima*dys_QED1
    coupl(nGC_3396) = -cima*dys_QED3
    coupl(nGC_3395) = cima*dyc_QED1
    coupl(nGC_3394) = cima*dyc_QED3
    coupl(nGC_3366) = coupl(nGC_3133)*dZee_QED2 + coupl(nGC_3134)*dsw_QED2
    coupl(nGC_3367) = coupl(nGC_3114)*dZee_QED2 + coupl(nGC_3115)*dsw_QED2
    coupl(nGC_5779) = coupl(nGC_MI)*dZnu_eR
    coupl(nGC_5778) = coupl(nGC_MI)*dZnu_eL
    coupl(nGC_3248) = cima*(Nc*cMB**2d0*coupl(nGC_1)**2d0 + Nc*cMC**2d0*coupl( &
                      nGC_2)**2d0 + Nc*cMD**2d0*coupl(nGC_1)**2d0 + Nc*cMS**2d0&
                      *coupl(nGC_1)**2d0 + Nc*cMT**2d0*coupl(nGC_2)**2d0 + Nc* &
                      cMU**2d0*coupl(nGC_2)**2d0 + cME**2d0*coupl(nGC_4)**2d0  &
                       + cMM**2d0*coupl(nGC_4)**2d0 + cMTA**2d0*coupl(nGC_4)** &
                      2d0)/(4d0*pi**2d0)
    coupl(nGC_3361) = coupl(nGC_3135)*dZee_QED2 + coupl(nGC_3136)*dsw_QED2
    coupl(nGC_3247) = cima*(-Nc*coupl(nGC_1)**2d0 - Nc*coupl(nGC_2)**2d0 -     &
                      coupl(nGC_4)**2d0)/(8d0*pi**2d0)
    coupl(nGC_3240) = cima*coupl(nGC_23)**2d0*(Nc*cMB**2d0 + Nc*cMC**2d0 + Nc* &
                      cMD**2d0 + Nc*cMS**2d0 + Nc*cMT**2d0 + Nc*cMU**2d0 + cME &
                      **2d0 + cMM**2d0 + cMTA**2d0)/(16d0*pi**2d0)
    coupl(nGC_4734) = coupl(nGC_3474) + coupl(nGC_MZ)*dZZ_QED2
    coupl(nGC_4731) = coupl(nGC_MI)*dZZ_QED2
    coupl(nGC_3418) = coupl(nGC_3207)*dyb_QED3
    coupl(nGC_3419) = coupl(nGC_3207)*dyb_QED1
    coupl(nGC_3416) = coupl(nGC_3226)*dys_QED3
    coupl(nGC_3411) = coupl(nGC_3206)*dyb_QED1
    coupl(nGC_5037) = coupl(nGC_I)*dZH_QED2
    coupl(nGC_6251) = coupl(nGC_MI)*dZuR
    coupl(nGC_4788) = coupl(nGC_MI)*dZtL
    coupl(nGC_5350) = coupl(nGC_4)*dZeMinusR
    coupl(nGC_5352) = coupl(nGC_4)*dZeMinusL
    coupl(nGC_5357) = coupl(nGC_11)*dZcL
    coupl(nGC_6511) = coupl(nGC_3431) + coupl(nGC_72)*dZmuMinusL/2d0 + coupl(  &
                      nGC_72)*dZmuMinusR/2d0
    coupl(nGC_6658) = coupl(nGC_MI)*dZg_QCD2
    coupl(nGC_6510) = coupl(nGC_3433) + coupl(nGC_70)*dZmuMinusL/2d0 + coupl(  &
                      nGC_70)*dZmuMinusR/2d0
    coupl(nGC_5356) = coupl(nGC_11)*dZcR
    coupl(nGC_4854) = coupl(nGC_23)*(dZdL + dZuL)/2d0
    coupl(nGC_4857) = coupl(nGC_29)*dZZA_QED2
    coupl(nGC_3301) = cima*(Nc*coupl(nGC_1)*coupl(nGC_34)**3d0 + Nc*coupl(nGC_1&
                      )*coupl(nGC_38)**3d0 + Nc*coupl(nGC_2)*coupl(nGC_35)**3d0&
                       + Nc*coupl(nGC_2)*coupl(nGC_39)**3d0 + coupl(nGC_36)**  &
                      3d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_40)**3d0)/(8d0*&
                      pi**2d0)
    coupl(nGC_5504) = coupl(nGC_34)*dZdR
    coupl(nGC_5500) = coupl(nGC_38)*dZdL
    coupl(nGC_3359) = coupl(nGC_3198)*dlam_QED4 + coupl(nGC_3199)*dvev_QED1
    coupl(nGC_3357) = -cima*dlam_QED4
    coupl(nGC_3355) = coupl(nGC_3107)*dlam_QED4
    coupl(nGC_3354) = coupl(nGC_3183)*dZee_QED2 + coupl(nGC_3184)*dsw_QED2 +   &
                      coupl(nGC_3185)*dMZ2_QED2 + coupl(nGC_3186)*dcw_QED2
    coupl(nGC_3353) = coupl(nGC_3149)*dZee_QED2 + coupl(nGC_3150)*dsw_QED2 +   &
                      coupl(nGC_3151)*dMZ2_QED2
    coupl(nGC_3352) = coupl(nGC_3146)*dsw_QED2 + coupl(nGC_3147)*dMW2_QED2 +   &
                      coupl(nGC_3148)*dZee_QED2
    coupl(nGC_3351) = coupl(nGC_3125)*dZee_QED2 + coupl(nGC_3126)*dsw_QED2 +   &
                      coupl(nGC_3127)*dcw_QED2
    coupl(nGC_6856) = coupl(nGC_MI)*dZeMinusR
    coupl(nGC_6183) = coupl(nGC_3355) + coupl(nGC_HHHH)
    coupl(nGC_GGH) = -cima*dt_QED1/vev**2d0
    coupl(nGC_3328) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl( &
                      nGC_2))/(32d0*pi**2d0*Nc)
    coupl(nGC_3329) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(  &
                      nGC_2))/(16d0*pi**2d0*Nc**2d0)
    coupl(nGC_4924) = coupl(nGC_23)*(dZmuMinusL + dZnu_muL)/2d0
    coupl(nGC_4926) = coupl(nGC_75)*(dZsL + dZsR)/2d0
    coupl(nGC_3320) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(    &
                      nGC_34) + coupl(nGC_1)*coupl(nGC_38) + coupl(nGC_2)*coupl&
                      (nGC_35) + coupl(nGC_2)*coupl(nGC_39))/(32d0*pi**2d0)
    coupl(nGC_3321) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl(   &
                      nGC_34) - coupl(nGC_1)*coupl(nGC_38) - coupl(nGC_2)*coupl&
                      (nGC_35) - coupl(nGC_2)*coupl(nGC_39))/(32d0*pi**2d0*Nc)
    coupl(nGC_3326) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_34)**2d0 -  &
                      coupl(nGC_35)**2d0 - coupl(nGC_38)**2d0 - coupl(nGC_39)**&
                      2d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_3327) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(  &
                      nGC_2))/(64d0*pi**2d0)
    coupl(nGC_3410) = coupl(nGC_3206)*dyb_QED3
    coupl(nGC_3325) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_34)**2d0 +   &
                      coupl(nGC_35)**2d0 + coupl(nGC_38)**2d0 + coupl(nGC_39)**&
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_3452) = coupl(nGC_3229)*dyt_QED3
    coupl(nGC_3453) = coupl(nGC_3229)*dyt_QED1
    coupl(nGC_3455) = coupl(nGC_3228)*dyt_QED1
    coupl(nGC_3456) = coupl(nGC_3236)*dyup_QED3
    coupl(nGC_3407) = coupl(nGC_3225)*dys_QED1
    coupl(nGC_3435) = coupl(nGC_3231)*dytau_QED1
    coupl(nGC_6854) = coupl(nGC_MI)*dZeMinusL
    coupl(nGC_5070) = coupl(nGC_1)*dZsR
    coupl(nGC_5071) = coupl(nGC_34)*dZZA_QED2/2d0
    coupl(nGC_5072) = coupl(nGC_1)*dZsL
    coupl(nGC_5073) = coupl(nGC_38)*dZZA_QED2/2d0
    coupl(nGC_3412) = coupl(nGC_3212)*dyb_QED3
    coupl(nGC_3413) = coupl(nGC_3212)*dyb_QED1
    coupl(nGC_5311) = coupl(nGC_2)*dZtL
    coupl(nGC_3442) = coupl(nGC_3233)*dytau_QED3
    coupl(nGC_4777) = coupl(nGC_3395) + coupl(nGC_57)*dZcR/2d0 + coupl(nGC_57)*&
                      dZsL/2d0
    coupl(nGC_4778) = coupl(nGC_3397) + coupl(nGC_73)*dZcL/2d0 + coupl(nGC_73)*&
                      dZsR/2d0
    coupl(nGC_5829) = coupl(nGC_11)*dZdL
    coupl(nGC_5828) = coupl(nGC_11)*dZdR
    coupl(nGC_5548) = coupl(nGC_59)*(dZcL + dZcR)/2d0
    coupl(nGC_5986) = coupl(nGC_79)*(dZtL + dZtR)/2d0
    coupl(nGC_4898) = coupl(nGC_3357) + coupl(nGC_GPGMGPGM)
    coupl(nGC_5387) = coupl(nGC_52)*dZZA_QED2/2d0
    coupl(nGC_4893) = coupl(nGC_71)*(dZmuMinusL + dZmuMinusR)/2d0
    coupl(nGC_4895) = coupl(nGC_3441) + coupl(nGC_4893)
    coupl(nGC_4894) = coupl(nGC_3440) + coupl(nGC_71)*dZH_QED2/2d0
    coupl(nGC_3465) = -cima*dME
    coupl(nGC_5917) = coupl(nGC_3453) + coupl(nGC_80)*dZtL/2d0 + coupl(nGC_80)*&
                      dZtR/2d0
    coupl(nGC_5916) = coupl(nGC_3455) + coupl(nGC_78)*dZtL/2d0 + coupl(nGC_78)*&
                      dZtR/2d0
    coupl(nGC_5852) = coupl(nGC_MI)*dZdR
    coupl(nGC_8515) = 2d0*coupl(nGC_15)*dZH_QED2 + coupl(nGC_3355) + coupl(    &
                      nGC_HHHH)
    coupl(nGC_5850) = coupl(nGC_MD)*(dZdL + dZdR)/2d0
    coupl(nGC_5181) = coupl(nGC_11)*dZuR
    coupl(nGC_6880) = coupl(nGC_MI)*dZmuMinusL
    coupl(nGC_3460) = coupl(nGC_3230)*dyt_QED3
    coupl(nGC_6068) = coupl(nGC_MI)*dZA_QED2
    coupl(nGC_6069) = -coupl(nGC_6068)
    coupl(nGC_4965) = coupl(nGC_29)*dZAZ_QED2
    coupl(nGC_4961) = coupl(nGC_41)*dZnu_eL
    coupl(nGC_4803) = coupl(nGC_3421) + coupl(nGC_65)*dZeMinusR/2d0 + coupl(   &
                      nGC_65)*dZnu_eL/2d0
    coupl(nGC_HHH) = -3d0*cima*dt_QED1/vev**2d0
    coupl(nGC_4808) = coupl(nGC_2)*dZcR
    coupl(nGC_4809) = coupl(nGC_35)*dZZA_QED2/2d0
    coupl(nGC_4804) = coupl(nGC_2)*dZcL
    coupl(nGC_4805) = coupl(nGC_39)*dZZA_QED2/2d0
    coupl(nGC_3388) = coupl(nGC_3170)*dZee_QED2 + coupl(nGC_3171)*dsw_QED2 +   &
                      coupl(nGC_3172)*dcw_QED2
    coupl(nGC_3389) = coupl(nGC_3152)*dZee_QED2 + coupl(nGC_3153)*dsw_QED2 +   &
                      coupl(nGC_3154)*dcw_QED2
    coupl(nGC_5131) = coupl(nGC_36)*dZeMinusR
    coupl(nGC_3380) = coupl(nGC_3093)*dZee_QED2
    coupl(nGC_3381) = coupl(nGC_3094)*dZee_QED2
    coupl(nGC_3382) = coupl(nGC_112)*dZgs_QCD2
    coupl(nGC_3383) = coupl(nGC_3123)*dZee_QED2 + coupl(nGC_3124)*dsw_QED2
    coupl(nGC_3384) = coupl(nGC_3158)*dZee_QED2 + coupl(nGC_3159)*dsw_QED2 +   &
                      coupl(nGC_3160)*dcw_QED2
    coupl(nGC_3385) = coupl(nGC_3167)*dZee_QED2 + coupl(nGC_3168)*dsw_QED2 +   &
                      coupl(nGC_3169)*dcw_QED2
    coupl(nGC_3386) = coupl(nGC_3164)*dZee_QED2 + coupl(nGC_3165)*dsw_QED2 +   &
                      coupl(nGC_3166)*dcw_QED2
    coupl(nGC_7422) = coupl(nGC_MI)*dZnu_muL
    coupl(nGC_3313) = cima*coupl(nGC_23)**2d0*(3d0*Nc*coupl(nGC_38)**2d0 - 5d0*&
                      Nc*coupl(nGC_38)*coupl(nGC_39) + 3d0*Nc*coupl(nGC_39)**  &
                      2d0 + 3d0*coupl(nGC_40)**2d0 - 5d0*coupl(nGC_40)*coupl(  &
                      nGC_41) + 3d0*coupl(nGC_41)**2d0)/(8d0*pi**2d0)
    coupl(nGC_3312) = 5d0*cima*coupl(nGC_23)**4d0*(-Nc - 1d0)/(8d0*pi**2d0)
    coupl(nGC_3258) = (-Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_55) - Nc*cMC*coupl( &
                      nGC_2)**2d0*coupl(nGC_59) - Nc*cMD*coupl(nGC_1)**2d0*    &
                      coupl(nGC_63) - Nc*cMS*coupl(nGC_1)**2d0*coupl(nGC_75) - &
                      Nc*cMT*coupl(nGC_2)**2d0*coupl(nGC_79) - Nc*cMU*coupl(   &
                      nGC_2)**2d0*coupl(nGC_87) - cME*coupl(nGC_4)**2d0*coupl( &
                      nGC_67) - cMM*coupl(nGC_4)**2d0*coupl(nGC_71) - cMTA*    &
                      coupl(nGC_4)**2d0*coupl(nGC_83))/(4d0*pi**2d0)
    coupl(nGC_3259) = (-Nc*cMB*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_55) - Nc*  &
                      cMB*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_55) - Nc*cMC*   &
                      coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_59) - Nc*cMC*coupl( &
                      nGC_2)*coupl(nGC_39)*coupl(nGC_59) - Nc*cMD*coupl(nGC_1)*&
                      coupl(nGC_34)*coupl(nGC_63) - Nc*cMD*coupl(nGC_1)*coupl( &
                      nGC_38)*coupl(nGC_63) - Nc*cMS*coupl(nGC_1)*coupl(nGC_34 &
                      )*coupl(nGC_75) - Nc*cMS*coupl(nGC_1)*coupl(nGC_38)*coupl&
                      (nGC_75) - Nc*cMT*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_79&
                      ) - Nc*cMT*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_79) - Nc*&
                      cMU*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_87) - Nc*cMU*   &
                      coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_87) - cME*coupl(    &
                      nGC_36)*coupl(nGC_4)*coupl(nGC_67) - cME*coupl(nGC_4)*   &
                      coupl(nGC_40)*coupl(nGC_67) - cMM*coupl(nGC_36)*coupl(   &
                      nGC_4)*coupl(nGC_71) - cMM*coupl(nGC_4)*coupl(nGC_40)*   &
                      coupl(nGC_71) - cMTA*coupl(nGC_36)*coupl(nGC_4)*coupl(   &
                      nGC_83) - cMTA*coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_83   &
                      ))/(8d0*pi**2d0)
    coupl(nGC_3317) = -cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_5444) = coupl(nGC_23)*(dZnu_tauL + dZtauMinusL)/2d0
    coupl(nGC_3315) = cima*(-4d0*Nc*coupl(nGC_34)**2d0*coupl(nGC_55)**2d0 - 4d0&
                      *Nc*coupl(nGC_34)**2d0*coupl(nGC_63)**2d0 - 4d0*Nc*coupl(&
                      nGC_34)**2d0*coupl(nGC_75)**2d0 + 5d0*Nc*coupl(nGC_34)*  &
                      coupl(nGC_38)*coupl(nGC_55)**2d0 + 5d0*Nc*coupl(nGC_34)* &
                      coupl(nGC_38)*coupl(nGC_63)**2d0 + 5d0*Nc*coupl(nGC_34)* &
                      coupl(nGC_38)*coupl(nGC_75)**2d0 - 4d0*Nc*coupl(nGC_35)**&
                      2d0*coupl(nGC_59)**2d0 - 4d0*Nc*coupl(nGC_35)**2d0*coupl(&
                      nGC_79)**2d0 - 4d0*Nc*coupl(nGC_35)**2d0*coupl(nGC_87)** &
                      2d0 + 5d0*Nc*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_59)** &
                      2d0 + 5d0*Nc*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_79)** &
                      2d0 + 5d0*Nc*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_87)** &
                      2d0 - 4d0*Nc*coupl(nGC_38)**2d0*coupl(nGC_55)**2d0 - 4d0*&
                      Nc*coupl(nGC_38)**2d0*coupl(nGC_63)**2d0 - 4d0*Nc*coupl( &
                      nGC_38)**2d0*coupl(nGC_75)**2d0 - 4d0*Nc*coupl(nGC_39)** &
                      2d0*coupl(nGC_59)**2d0 - 4d0*Nc*coupl(nGC_39)**2d0*coupl(&
                      nGC_79)**2d0 - 4d0*Nc*coupl(nGC_39)**2d0*coupl(nGC_87)** &
                      2d0 - 4d0*coupl(nGC_36)**2d0*coupl(nGC_67)**2d0 - 4d0*   &
                      coupl(nGC_36)**2d0*coupl(nGC_71)**2d0 - 4d0*coupl(nGC_36 &
                      )**2d0*coupl(nGC_83)**2d0 + 5d0*coupl(nGC_36)*coupl(     &
                      nGC_40)*coupl(nGC_67)**2d0 + 5d0*coupl(nGC_36)*coupl(    &
                      nGC_40)*coupl(nGC_71)**2d0 + 5d0*coupl(nGC_36)*coupl(    &
                      nGC_40)*coupl(nGC_83)**2d0 - 4d0*coupl(nGC_40)**2d0*coupl&
                      (nGC_67)**2d0 - 4d0*coupl(nGC_40)**2d0*coupl(nGC_71)**2d0&
                       - 4d0*coupl(nGC_40)**2d0*coupl(nGC_83)**2d0)/(12d0*pi** &
                      2d0)
    coupl(nGC_3314) = cima*coupl(nGC_23)**2d0*(-Nc*coupl(nGC_38)**2d0 + 3d0*Nc*&
                      coupl(nGC_38)*coupl(nGC_39) - Nc*coupl(nGC_39)**2d0 -    &
                      coupl(nGC_40)**2d0 + 3d0*coupl(nGC_40)*coupl(nGC_41) -   &
                      coupl(nGC_41)**2d0)/(8d0*pi**2d0)
    coupl(nGC_3252) = cima*coupl(nGC_11)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0 +  &
                      cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi**2d0)
    coupl(nGC_5761) = coupl(nGC_3437) + coupl(nGC_84)*dZtauMinusL/2d0 + coupl( &
                      nGC_84)*dZtauMinusR/2d0
    coupl(nGC_5762) = coupl(nGC_3435) + coupl(nGC_82)*dZtauMinusL/2d0 + coupl( &
                      nGC_82)*dZtauMinusR/2d0
    coupl(nGC_3318) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_54)*coupl(  &
                      nGC_56) - coupl(nGC_58)*coupl(nGC_60) - coupl(nGC_62)*   &
                      coupl(nGC_64) - coupl(nGC_74)*coupl(nGC_76) - coupl(     &
                      nGC_78)*coupl(nGC_80) - coupl(nGC_86)*coupl(nGC_88))/(   &
                      16d0*pi**2d0)
    coupl(nGC_3256) = coupl(nGC_23)**2d0*(Nc*coupl(nGC_1) - Nc*coupl(nGC_2) +  &
                      coupl(nGC_4))/(8d0*pi**2d0)
    coupl(nGC_3257) = (Nc*coupl(nGC_1)*coupl(nGC_53)**2d0 + Nc*coupl(nGC_1)*   &
                      coupl(nGC_57)**2d0 + Nc*coupl(nGC_1)*coupl(nGC_61)**2d0  &
                       + Nc*coupl(nGC_1)*coupl(nGC_73)**2d0 + Nc*coupl(nGC_1)* &
                      coupl(nGC_77)**2d0 + Nc*coupl(nGC_1)*coupl(nGC_85)**2d0  &
                       - Nc*coupl(nGC_2)*coupl(nGC_53)**2d0 - Nc*coupl(nGC_2)* &
                      coupl(nGC_57)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_61)**2d0  &
                       - Nc*coupl(nGC_2)*coupl(nGC_73)**2d0 - Nc*coupl(nGC_2)* &
                      coupl(nGC_77)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_85)**2d0  &
                       + coupl(nGC_4)*coupl(nGC_65)**2d0 + coupl(nGC_4)*coupl( &
                      nGC_69)**2d0 + coupl(nGC_4)*coupl(nGC_81)**2d0)/(24d0*pi &
                      **2d0)
    coupl(nGC_3254) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 - &
                      cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi**2d0*&
                      Nc)
    coupl(nGC_7903) = coupl(nGC_3475) + coupl(nGC_MW)*dZWMinus_QED2
    coupl(nGC_7900) = coupl(nGC_MI)*dZWMinus_QED2
    coupl(nGC_3429) = coupl(nGC_3219)*dye_QED1
    coupl(nGC_3428) = coupl(nGC_3219)*dye_QED3
    coupl(nGC_5009) = coupl(nGC_3401) + coupl(nGC_53)*dZbR/2d0 + coupl(nGC_53)*&
                      dZtL/2d0
    coupl(nGC_5610) = coupl(nGC_MI)*dZtauMinusR
    coupl(nGC_8959) = -coupl(nGC_3275)
    coupl(nGC_7571) = coupl(nGC_MI)*dZnu_tauL
    coupl(nGC_4798) = coupl(nGC_20)*dZH_QED2/2d0 + coupl(nGC_20)*dZWMinus_QED2/&
                      2d0 + coupl(nGC_3367)
    coupl(nGC_4799) = -coupl(nGC_4798)
    coupl(nGC_4791) = coupl(nGC_MI)*dZtR
    coupl(nGC_8961) = -coupl(nGC_3276)
    coupl(nGC_7423) = coupl(nGC_MI)*dZnu_muR
    coupl(nGC_3387) = coupl(nGC_3155)*dZee_QED2 + coupl(nGC_3156)*dsw_QED2 +   &
                      coupl(nGC_3157)*dcw_QED2
    coupl(nGC_3268) = (-Nc*coupl(nGC_34)*coupl(nGC_54)*coupl(nGC_55) + Nc*coupl&
                      (nGC_34)*coupl(nGC_55)*coupl(nGC_56) - Nc*coupl(nGC_34)* &
                      coupl(nGC_62)*coupl(nGC_63) + Nc*coupl(nGC_34)*coupl(    &
                      nGC_63)*coupl(nGC_64) - Nc*coupl(nGC_34)*coupl(nGC_74)*  &
                      coupl(nGC_75) + Nc*coupl(nGC_34)*coupl(nGC_75)*coupl(    &
                      nGC_76) + Nc*coupl(nGC_35)*coupl(nGC_58)*coupl(nGC_59) - &
                      Nc*coupl(nGC_35)*coupl(nGC_59)*coupl(nGC_60) + Nc*coupl( &
                      nGC_35)*coupl(nGC_78)*coupl(nGC_79) - Nc*coupl(nGC_35)*  &
                      coupl(nGC_79)*coupl(nGC_80) + Nc*coupl(nGC_35)*coupl(    &
                      nGC_86)*coupl(nGC_87) - Nc*coupl(nGC_35)*coupl(nGC_87)*  &
                      coupl(nGC_88) + Nc*coupl(nGC_38)*coupl(nGC_54)*coupl(    &
                      nGC_55) - Nc*coupl(nGC_38)*coupl(nGC_55)*coupl(nGC_56) + &
                      Nc*coupl(nGC_38)*coupl(nGC_62)*coupl(nGC_63) - Nc*coupl( &
                      nGC_38)*coupl(nGC_63)*coupl(nGC_64) + Nc*coupl(nGC_38)*  &
                      coupl(nGC_74)*coupl(nGC_75) - Nc*coupl(nGC_38)*coupl(    &
                      nGC_75)*coupl(nGC_76) - Nc*coupl(nGC_39)*coupl(nGC_58)*  &
                      coupl(nGC_59) + Nc*coupl(nGC_39)*coupl(nGC_59)*coupl(    &
                      nGC_60) - Nc*coupl(nGC_39)*coupl(nGC_78)*coupl(nGC_79) + &
                      Nc*coupl(nGC_39)*coupl(nGC_79)*coupl(nGC_80) - Nc*coupl( &
                      nGC_39)*coupl(nGC_86)*coupl(nGC_87) + Nc*coupl(nGC_39)*  &
                      coupl(nGC_87)*coupl(nGC_88) - coupl(nGC_36)*coupl(nGC_66 &
                      )*coupl(nGC_67) + coupl(nGC_36)*coupl(nGC_67)*coupl(     &
                      nGC_68) - coupl(nGC_36)*coupl(nGC_70)*coupl(nGC_71) +    &
                      coupl(nGC_36)*coupl(nGC_71)*coupl(nGC_72) - coupl(nGC_36 &
                      )*coupl(nGC_82)*coupl(nGC_83) + coupl(nGC_36)*coupl(     &
                      nGC_83)*coupl(nGC_84) + coupl(nGC_40)*coupl(nGC_66)*coupl&
                      (nGC_67) - coupl(nGC_40)*coupl(nGC_67)*coupl(nGC_68) +   &
                      coupl(nGC_40)*coupl(nGC_70)*coupl(nGC_71) - coupl(nGC_40 &
                      )*coupl(nGC_71)*coupl(nGC_72) + coupl(nGC_40)*coupl(     &
                      nGC_82)*coupl(nGC_83) - coupl(nGC_40)*coupl(nGC_83)*coupl&
                      (nGC_84))/(24d0*pi**2d0)
    coupl(nGC_3348) = coupl(nGC_3140)*dsw_QED2 + coupl(nGC_3141)*dMW2_QED2 +   &
                      coupl(nGC_3142)*dZee_QED2
    coupl(nGC_3349) = coupl(nGC_3143)*dsw_QED2 + coupl(nGC_3144)*dMW2_QED2 +   &
                      coupl(nGC_3145)*dZee_QED2
    coupl(nGC_3344) = coupl(nGC_3137)*dZee_QED2 + coupl(nGC_3138)*dsw_QED2 +   &
                      coupl(nGC_3139)*dcw_QED2
    coupl(nGC_3345) = coupl(nGC_3120)*dZee_QED2 + coupl(nGC_3121)*dsw_QED2 +   &
                      coupl(nGC_3122)*dcw_QED2
    coupl(nGC_3346) = coupl(nGC_3095)*dZee_QED2
    coupl(nGC_3347) = coupl(nGC_3108)*dMW2_QED2 + coupl(nGC_3109)*dZee_QED2
    coupl(nGC_3340) = coupl(nGC_3092)*dZee_QED2
    coupl(nGC_3341) = coupl(nGC_3097)*dZee_QED2
    coupl(nGC_3342) = coupl(nGC_3128)*dZee_QED2 + coupl(nGC_3129)*dsw_QED2 +   &
                      coupl(nGC_3130)*dcw_QED2
    coupl(nGC_3343) = coupl(nGC_3112)*dZee_QED2 + coupl(nGC_3113)*dsw_QED2
    coupl(nGC_5409) = coupl(nGC_31)*dZH_QED2/2d0 + coupl(nGC_3349)
    coupl(nGC_3311) = cima*(-4d0*Nc*coupl(nGC_34)**2d0*coupl(nGC_54)*coupl(    &
                      nGC_56) - 4d0*Nc*coupl(nGC_34)**2d0*coupl(nGC_62)*coupl( &
                      nGC_64) - 4d0*Nc*coupl(nGC_34)**2d0*coupl(nGC_74)*coupl( &
                      nGC_76) + 5d0*Nc*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_54&
                      )*coupl(nGC_56) + 5d0*Nc*coupl(nGC_34)*coupl(nGC_38)*    &
                      coupl(nGC_62)*coupl(nGC_64) + 5d0*Nc*coupl(nGC_34)*coupl(&
                      nGC_38)*coupl(nGC_74)*coupl(nGC_76) - 4d0*Nc*coupl(nGC_35&
                      )**2d0*coupl(nGC_58)*coupl(nGC_60) - 4d0*Nc*coupl(nGC_35 &
                      )**2d0*coupl(nGC_78)*coupl(nGC_80) - 4d0*Nc*coupl(nGC_35 &
                      )**2d0*coupl(nGC_86)*coupl(nGC_88) + 5d0*Nc*coupl(nGC_35 &
                      )*coupl(nGC_39)*coupl(nGC_58)*coupl(nGC_60) + 5d0*Nc*    &
                      coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_78)*coupl(nGC_80   &
                      ) + 5d0*Nc*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_86)*    &
                      coupl(nGC_88) - 4d0*Nc*coupl(nGC_38)**2d0*coupl(nGC_54)* &
                      coupl(nGC_56) - 4d0*Nc*coupl(nGC_38)**2d0*coupl(nGC_62)* &
                      coupl(nGC_64) - 4d0*Nc*coupl(nGC_38)**2d0*coupl(nGC_74)* &
                      coupl(nGC_76) - 4d0*Nc*coupl(nGC_39)**2d0*coupl(nGC_58)* &
                      coupl(nGC_60) - 4d0*Nc*coupl(nGC_39)**2d0*coupl(nGC_78)* &
                      coupl(nGC_80) - 4d0*Nc*coupl(nGC_39)**2d0*coupl(nGC_86)* &
                      coupl(nGC_88) - 4d0*coupl(nGC_36)**2d0*coupl(nGC_66)*    &
                      coupl(nGC_68) - 4d0*coupl(nGC_36)**2d0*coupl(nGC_70)*    &
                      coupl(nGC_72) - 4d0*coupl(nGC_36)**2d0*coupl(nGC_82)*    &
                      coupl(nGC_84) + 5d0*coupl(nGC_36)*coupl(nGC_40)*coupl(   &
                      nGC_66)*coupl(nGC_68) + 5d0*coupl(nGC_36)*coupl(nGC_40)* &
                      coupl(nGC_70)*coupl(nGC_72) + 5d0*coupl(nGC_36)*coupl(   &
                      nGC_40)*coupl(nGC_82)*coupl(nGC_84) - 4d0*coupl(nGC_40)**&
                      2d0*coupl(nGC_66)*coupl(nGC_68) - 4d0*coupl(nGC_40)**2d0*&
                      coupl(nGC_70)*coupl(nGC_72) - 4d0*coupl(nGC_40)**2d0*    &
                      coupl(nGC_82)*coupl(nGC_84))/(12d0*pi**2d0)
    coupl(nGC_3310) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 -   &
                      coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_4930) = coupl(nGC_3416) + coupl(nGC_75)*dZH_QED2/2d0
    coupl(nGC_3461) = coupl(nGC_3230)*dyt_QED1
    coupl(nGC_6881) = coupl(nGC_MM)*(dZmuMinusL + dZmuMinusR)/2d0
    coupl(nGC_6883) = coupl(nGC_MI)*dZmuMinusR
  end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
