!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-14 09:58             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl2()
    coupl(nGC_5044) = coupl(nGC_11)*dZbL
    coupl(nGC_5047) = coupl(nGC_11)*dZbR
    coupl(nGC_5040) = coupl(nGC_3463) + coupl(nGC_MH)*dZH_QED2
    coupl(nGC_3253) = cima*coupl(nGC_11)**2d0*sq2**2d0/(16d0*pi**2d0*Nc)
    coupl(nGC_3319) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_54)*coupl(   &
                      nGC_56) + coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_62)*   &
                      coupl(nGC_64) + coupl(nGC_74)*coupl(nGC_76) + coupl(     &
                      nGC_78)*coupl(nGC_80) + coupl(nGC_86)*coupl(nGC_88))/(   &
                      16d0*pi**2d0*Nc)
    coupl(nGC_3251) = -cima*coupl(nGC_11)**2d0*sq2**2d0/(16d0*pi**2d0)
    coupl(nGC_5164) = coupl(nGC_3442) + coupl(nGC_83)*dZH_QED2/2d0
    coupl(nGC_7572) = coupl(nGC_MI)*dZnu_tauR
    coupl(nGC_5160) = coupl(nGC_83)*(dZtauMinusL + dZtauMinusR)/2d0
    coupl(nGC_3263) = (Nc*cMB*coupl(nGC_53)**2d0*coupl(nGC_55) + Nc*cMB*coupl( &
                      nGC_53)*coupl(nGC_77)*coupl(nGC_79) + Nc*cMB*coupl(nGC_55&
                      )*coupl(nGC_77)**2d0 + Nc*cMC*coupl(nGC_57)**2d0*coupl(  &
                      nGC_59) + Nc*cMC*coupl(nGC_57)*coupl(nGC_73)*coupl(nGC_75&
                      ) + Nc*cMC*coupl(nGC_59)*coupl(nGC_73)**2d0 + Nc*cMD*    &
                      coupl(nGC_61)**2d0*coupl(nGC_63) + Nc*cMD*coupl(nGC_61)* &
                      coupl(nGC_85)*coupl(nGC_87) + Nc*cMD*coupl(nGC_63)*coupl(&
                      nGC_85)**2d0 + Nc*cMS*coupl(nGC_57)**2d0*coupl(nGC_75) + &
                      Nc*cMS*coupl(nGC_57)*coupl(nGC_59)*coupl(nGC_73) + Nc*cMS&
                      *coupl(nGC_73)**2d0*coupl(nGC_75) + Nc*cMT*coupl(nGC_53  &
                      )**2d0*coupl(nGC_79) + Nc*cMT*coupl(nGC_53)*coupl(nGC_55 &
                      )*coupl(nGC_77) + Nc*cMT*coupl(nGC_77)**2d0*coupl(nGC_79 &
                      ) + Nc*cMU*coupl(nGC_61)**2d0*coupl(nGC_87) + Nc*cMU*    &
                      coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_85) + Nc*cMU*coupl(&
                      nGC_85)**2d0*coupl(nGC_87) + cME*coupl(nGC_65)**2d0*coupl&
                      (nGC_67) + cMM*coupl(nGC_69)**2d0*coupl(nGC_71) + cMTA*  &
                      coupl(nGC_81)**2d0*coupl(nGC_83))/(8d0*pi**2d0)
    coupl(nGC_3262) = (Nc*coupl(nGC_34)*coupl(nGC_53)**2d0 + Nc*coupl(nGC_34)* &
                      coupl(nGC_61)**2d0 + Nc*coupl(nGC_34)*coupl(nGC_73)**2d0 &
                       - Nc*coupl(nGC_35)*coupl(nGC_57)**2d0 - Nc*coupl(nGC_35 &
                      )*coupl(nGC_77)**2d0 - Nc*coupl(nGC_35)*coupl(nGC_85)**  &
                      2d0 + Nc*coupl(nGC_38)*coupl(nGC_57)**2d0 + Nc*coupl(    &
                      nGC_38)*coupl(nGC_77)**2d0 + Nc*coupl(nGC_38)*coupl(     &
                      nGC_85)**2d0 - Nc*coupl(nGC_39)*coupl(nGC_53)**2d0 - Nc* &
                      coupl(nGC_39)*coupl(nGC_61)**2d0 - Nc*coupl(nGC_39)*coupl&
                      (nGC_73)**2d0 + coupl(nGC_36)*coupl(nGC_65)**2d0 + coupl(&
                      nGC_36)*coupl(nGC_69)**2d0 + coupl(nGC_36)*coupl(nGC_81  &
                      )**2d0 - coupl(nGC_41)*coupl(nGC_65)**2d0 - coupl(nGC_41 &
                      )*coupl(nGC_69)**2d0 - coupl(nGC_41)*coupl(nGC_81)**2d0  &
                      )/(24d0*pi**2d0)
    coupl(nGC_3261) = coupl(nGC_23)*(-Nc*coupl(nGC_53)*coupl(nGC_54) + Nc*coupl&
                      (nGC_57)*coupl(nGC_58) - Nc*coupl(nGC_61)*coupl(nGC_62   &
                      ) - Nc*coupl(nGC_73)*coupl(nGC_74) + Nc*coupl(nGC_77)*   &
                      coupl(nGC_78) + Nc*coupl(nGC_85)*coupl(nGC_86) - coupl(  &
                      nGC_65)*coupl(nGC_66) - coupl(nGC_69)*coupl(nGC_70) -    &
                      coupl(nGC_81)*coupl(nGC_82))/(24d0*pi**2d0)
    coupl(nGC_3260) = coupl(nGC_23)*(-Nc*coupl(nGC_53)*coupl(nGC_55) + Nc*coupl&
                      (nGC_57)*coupl(nGC_59) - Nc*coupl(nGC_61)*coupl(nGC_63   &
                      ) - Nc*coupl(nGC_73)*coupl(nGC_75) + Nc*coupl(nGC_77)*   &
                      coupl(nGC_79) + Nc*coupl(nGC_85)*coupl(nGC_87) - coupl(  &
                      nGC_65)*coupl(nGC_67) - coupl(nGC_69)*coupl(nGC_71) -    &
                      coupl(nGC_81)*coupl(nGC_83))/(24d0*pi**2d0)
    coupl(nGC_3267) = (Nc*cMB*coupl(nGC_54)**2d0*coupl(nGC_55) + 4d0*Nc*cMB*   &
                      coupl(nGC_54)*coupl(nGC_55)*coupl(nGC_56) + Nc*cMB*coupl(&
                      nGC_55)*coupl(nGC_56)**2d0 + Nc*cMC*coupl(nGC_58)**2d0*  &
                      coupl(nGC_59) + 4d0*Nc*cMC*coupl(nGC_58)*coupl(nGC_59)*  &
                      coupl(nGC_60) + Nc*cMC*coupl(nGC_59)*coupl(nGC_60)**2d0  &
                       + Nc*cMD*coupl(nGC_62)**2d0*coupl(nGC_63) + 4d0*Nc*cMD* &
                      coupl(nGC_62)*coupl(nGC_63)*coupl(nGC_64) + Nc*cMD*coupl(&
                      nGC_63)*coupl(nGC_64)**2d0 + Nc*cMS*coupl(nGC_74)**2d0*  &
                      coupl(nGC_75) + 4d0*Nc*cMS*coupl(nGC_74)*coupl(nGC_75)*  &
                      coupl(nGC_76) + Nc*cMS*coupl(nGC_75)*coupl(nGC_76)**2d0  &
                       + Nc*cMT*coupl(nGC_78)**2d0*coupl(nGC_79) + 4d0*Nc*cMT* &
                      coupl(nGC_78)*coupl(nGC_79)*coupl(nGC_80) + Nc*cMT*coupl(&
                      nGC_79)*coupl(nGC_80)**2d0 + Nc*cMU*coupl(nGC_86)**2d0*  &
                      coupl(nGC_87) + 4d0*Nc*cMU*coupl(nGC_86)*coupl(nGC_87)*  &
                      coupl(nGC_88) + Nc*cMU*coupl(nGC_87)*coupl(nGC_88)**2d0  &
                       + cME*coupl(nGC_66)**2d0*coupl(nGC_67) + 4d0*cME*coupl( &
                      nGC_66)*coupl(nGC_67)*coupl(nGC_68) + cME*coupl(nGC_67)* &
                      coupl(nGC_68)**2d0 + cMM*coupl(nGC_70)**2d0*coupl(nGC_71 &
                      ) + 4d0*cMM*coupl(nGC_70)*coupl(nGC_71)*coupl(nGC_72) +  &
                      cMM*coupl(nGC_71)*coupl(nGC_72)**2d0 + cMTA*coupl(nGC_82 &
                      )**2d0*coupl(nGC_83) + 4d0*cMTA*coupl(nGC_82)*coupl(     &
                      nGC_83)*coupl(nGC_84) + cMTA*coupl(nGC_83)*coupl(nGC_84  &
                      )**2d0)/(8d0*pi**2d0)
    coupl(nGC_3266) = coupl(nGC_23)*(Nc*coupl(nGC_53)*coupl(nGC_56) - Nc*coupl(&
                      nGC_57)*coupl(nGC_60) + Nc*coupl(nGC_61)*coupl(nGC_64) + &
                      Nc*coupl(nGC_73)*coupl(nGC_76) - Nc*coupl(nGC_77)*coupl( &
                      nGC_80) - Nc*coupl(nGC_85)*coupl(nGC_88) + coupl(nGC_65)*&
                      coupl(nGC_68) + coupl(nGC_69)*coupl(nGC_72) + coupl(     &
                      nGC_81)*coupl(nGC_84))/(24d0*pi**2d0)
    coupl(nGC_3265) = coupl(nGC_23)*(Nc*coupl(nGC_53)*coupl(nGC_55) - Nc*coupl(&
                      nGC_57)*coupl(nGC_59) + Nc*coupl(nGC_61)*coupl(nGC_63) + &
                      Nc*coupl(nGC_73)*coupl(nGC_75) - Nc*coupl(nGC_77)*coupl( &
                      nGC_79) - Nc*coupl(nGC_85)*coupl(nGC_87) + coupl(nGC_65)*&
                      coupl(nGC_67) + coupl(nGC_69)*coupl(nGC_71) + coupl(     &
                      nGC_81)*coupl(nGC_83))/(24d0*pi**2d0)
    coupl(nGC_3264) = coupl(nGC_23)*(Nc*cMB*coupl(nGC_34)*coupl(nGC_53) - Nc*  &
                      cMB*coupl(nGC_38)*coupl(nGC_53) - Nc*cMB*coupl(nGC_39)*  &
                      coupl(nGC_53) + Nc*cMC*coupl(nGC_35)*coupl(nGC_57) - Nc* &
                      cMC*coupl(nGC_38)*coupl(nGC_57) - Nc*cMC*coupl(nGC_39)*  &
                      coupl(nGC_57) + Nc*cMD*coupl(nGC_34)*coupl(nGC_61) - Nc* &
                      cMD*coupl(nGC_38)*coupl(nGC_61) - Nc*cMD*coupl(nGC_39)*  &
                      coupl(nGC_61) + Nc*cMS*coupl(nGC_34)*coupl(nGC_73) - Nc* &
                      cMS*coupl(nGC_38)*coupl(nGC_73) - Nc*cMS*coupl(nGC_39)*  &
                      coupl(nGC_73) + Nc*cMT*coupl(nGC_35)*coupl(nGC_77) - Nc* &
                      cMT*coupl(nGC_38)*coupl(nGC_77) - Nc*cMT*coupl(nGC_39)*  &
                      coupl(nGC_77) + Nc*cMU*coupl(nGC_35)*coupl(nGC_85) - Nc* &
                      cMU*coupl(nGC_38)*coupl(nGC_85) - Nc*cMU*coupl(nGC_39)*  &
                      coupl(nGC_85) + cME*coupl(nGC_36)*coupl(nGC_65) - cME*   &
                      coupl(nGC_40)*coupl(nGC_65) - cME*coupl(nGC_41)*coupl(   &
                      nGC_65) + cMM*coupl(nGC_36)*coupl(nGC_69) - cMM*coupl(   &
                      nGC_40)*coupl(nGC_69) - cMM*coupl(nGC_41)*coupl(nGC_69   &
                      ) + cMTA*coupl(nGC_36)*coupl(nGC_81) - cMTA*coupl(nGC_40 &
                      )*coupl(nGC_81) - cMTA*coupl(nGC_41)*coupl(nGC_81))/(16d0&
                      *pi**2d0)
    coupl(nGC_5650) = coupl(nGC_37)*dZZA_QED2/2d0
    coupl(nGC_5651) = -coupl(nGC_5650)
    coupl(nGC_3269) = coupl(nGC_23)**2d0*(-Nc*cMB*coupl(nGC_55) - Nc*cMC*coupl(&
                      nGC_59) - Nc*cMD*coupl(nGC_63) - Nc*cMS*coupl(nGC_75) -  &
                      Nc*cMT*coupl(nGC_79) - Nc*cMU*coupl(nGC_87) - cME*coupl( &
                      nGC_67) - cMM*coupl(nGC_71) - cMTA*coupl(nGC_83))/(8d0*pi&
                      **2d0)
    coupl(nGC_3255) = Nc*coupl(nGC_23)*(-cMB*coupl(nGC_2)*coupl(nGC_53) - cMC* &
                      coupl(nGC_1)*coupl(nGC_57) - cMD*coupl(nGC_2)*coupl(     &
                      nGC_61) - cMS*coupl(nGC_2)*coupl(nGC_73) - cMT*coupl(    &
                      nGC_1)*coupl(nGC_77) - cMU*coupl(nGC_1)*coupl(nGC_85))/( &
                      16d0*pi**2d0)
    coupl(nGC_9109) = -coupl(nGC_3265)
    coupl(nGC_9193) = -coupl(nGC_3256)
    coupl(nGC_5309) = coupl(nGC_24)*dZZ_QED2/2d0 + coupl(nGC_3351) + coupl(    &
                      nGC_4)*dZAZ_QED2/2d0
    coupl(nGC_5300) = coupl(nGC_1)*dZbL
    coupl(nGC_5304) = coupl(nGC_1)*dZbR
    coupl(nGC_6403) = coupl(nGC_3359) + 3d0*coupl(nGC_49)*dZH_QED2/2d0 + coupl(&
                      nGC_HHH)
    coupl(nGC_4748) = coupl(nGC_3386) + coupl(nGC_38)*dZZ_QED2/2d0
    coupl(nGC_4747) = coupl(nGC_3387) + coupl(nGC_34)*dZZ_QED2/2d0
    coupl(nGC_4746) = coupl(nGC_38)*dZsL
    coupl(nGC_4740) = coupl(nGC_1)*dZAZ_QED2/2d0
    coupl(nGC_4743) = coupl(nGC_34)*dZsR
    coupl(nGC_4886) = coupl(nGC_3407) + coupl(nGC_74)*dZsL/2d0 + coupl(nGC_74)*&
                      dZsR/2d0
    coupl(nGC_4887) = coupl(nGC_3409) + coupl(nGC_76)*dZsL/2d0 + coupl(nGC_76)*&
                      dZsR/2d0
    coupl(nGC_5274) = coupl(nGC_MI)*dZbR
    coupl(nGC_5272) = coupl(nGC_MI)*dZbL
    coupl(nGC_5273) = coupl(nGC_MB)*(dZbL + dZbR)/2d0
    coupl(nGC_5575) = coupl(nGC_MI)*dZcL
    coupl(nGC_5576) = coupl(nGC_MC)*(dZcL + dZcR)/2d0
    coupl(nGC_5570) = coupl(nGC_39)*dZuL
    coupl(nGC_5377) = coupl(nGC_41)*dZZA_QED2/2d0
    coupl(nGC_5376) = coupl(nGC_3378) + coupl(nGC_42)*dZAZ_QED2 + coupl(nGC_45 &
                      )*dZZ_QED2
    coupl(nGC_3316) = cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/(32d0&
                      *pi**2d0)
    coupl(nGC_3250) = cima*(Nc*cMB**2d0*coupl(nGC_34)**2d0 + Nc*cMB**2d0*coupl(&
                      nGC_38)**2d0 + Nc*cMC**2d0*coupl(nGC_35)**2d0 + Nc*cMC** &
                      2d0*coupl(nGC_39)**2d0 + Nc*cMD**2d0*coupl(nGC_34)**2d0  &
                       + Nc*cMD**2d0*coupl(nGC_38)**2d0 + Nc*cMS**2d0*coupl(   &
                      nGC_34)**2d0 + Nc*cMS**2d0*coupl(nGC_38)**2d0 + Nc*cMT** &
                      2d0*coupl(nGC_35)**2d0 + Nc*cMT**2d0*coupl(nGC_39)**2d0  &
                       + Nc*cMU**2d0*coupl(nGC_35)**2d0 + Nc*cMU**2d0*coupl(   &
                      nGC_39)**2d0 + cME**2d0*coupl(nGC_36)**2d0 + cME**2d0*   &
                      coupl(nGC_40)**2d0 + cMM**2d0*coupl(nGC_36)**2d0 + cMM** &
                      2d0*coupl(nGC_40)**2d0 + cMTA**2d0*coupl(nGC_36)**2d0 +  &
                      cMTA**2d0*coupl(nGC_40)**2d0)/(8d0*pi**2d0)
    coupl(nGC_6659) = -coupl(nGC_6658)
    coupl(nGC_9247) = -coupl(nGC_3268)
    coupl(nGC_4974) = coupl(nGC_3354) + coupl(nGC_44)*dZH_QED2/2d0
    coupl(nGC_3238) = cima*(-Nc*cMB**2d0*coupl(nGC_53)**2d0 - Nc*cMB**2d0*coupl&
                      (nGC_77)**2d0 - Nc*cMC**2d0*coupl(nGC_57)**2d0 - Nc*cMC**&
                      2d0*coupl(nGC_73)**2d0 - Nc*cMD**2d0*coupl(nGC_61)**2d0  &
                       - Nc*cMD**2d0*coupl(nGC_85)**2d0 - Nc*cMS**2d0*coupl(   &
                      nGC_57)**2d0 - Nc*cMS**2d0*coupl(nGC_73)**2d0 - Nc*cMT** &
                      2d0*coupl(nGC_53)**2d0 - Nc*cMT**2d0*coupl(nGC_77)**2d0  &
                       - Nc*cMU**2d0*coupl(nGC_61)**2d0 - Nc*cMU**2d0*coupl(   &
                      nGC_85)**2d0 - cME**2d0*coupl(nGC_65)**2d0 - cMM**2d0*   &
                      coupl(nGC_69)**2d0 - cMTA**2d0*coupl(nGC_81)**2d0)/(16d0*&
                      pi**2d0)
    coupl(nGC_3237) = cima*(Nc*coupl(nGC_53)**2d0 + Nc*coupl(nGC_57)**2d0 + Nc*&
                      coupl(nGC_61)**2d0 + Nc*coupl(nGC_73)**2d0 + Nc*coupl(   &
                      nGC_77)**2d0 + Nc*coupl(nGC_85)**2d0 + coupl(nGC_65)**2d0&
                       + coupl(nGC_69)**2d0 + coupl(nGC_81)**2d0)/(48d0*pi**2d0&
                      )
    coupl(nGC_5088) = coupl(nGC_MI)*dZZA_QED2/2d0
    coupl(nGC_5120) = coupl(nGC_3346) + coupl(nGC_4)*dZA_QED2/2d0
    coupl(nGC_5083) = coupl(nGC_28)*dZA_QED2/2d0 + coupl(nGC_28)*dZWMinus_QED2/&
                      2d0 + coupl(nGC_3361) + coupl(nGC_9)*dZZA_QED2/2d0
    coupl(nGC_5087) = coupl(nGC_MI)*dZAZ_QED2/2d0
    coupl(nGC_3300) = cima*coupl(nGC_23)*(5d0*Nc*coupl(nGC_34)*coupl(nGC_53)*  &
                      coupl(nGC_56) + 5d0*Nc*coupl(nGC_34)*coupl(nGC_61)*coupl(&
                      nGC_64) + 5d0*Nc*coupl(nGC_34)*coupl(nGC_73)*coupl(nGC_76&
                      ) + 5d0*Nc*coupl(nGC_35)*coupl(nGC_57)*coupl(nGC_60) +   &
                      5d0*Nc*coupl(nGC_35)*coupl(nGC_77)*coupl(nGC_80) + 5d0*Nc&
                      *coupl(nGC_35)*coupl(nGC_85)*coupl(nGC_88) - 4d0*Nc*coupl&
                      (nGC_38)*coupl(nGC_53)*coupl(nGC_56) - 4d0*Nc*coupl(     &
                      nGC_38)*coupl(nGC_57)*coupl(nGC_60) - 4d0*Nc*coupl(nGC_38&
                      )*coupl(nGC_61)*coupl(nGC_64) - 4d0*Nc*coupl(nGC_38)*    &
                      coupl(nGC_73)*coupl(nGC_76) - 4d0*Nc*coupl(nGC_38)*coupl(&
                      nGC_77)*coupl(nGC_80) - 4d0*Nc*coupl(nGC_38)*coupl(nGC_85&
                      )*coupl(nGC_88) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_53)*    &
                      coupl(nGC_56) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_57)*coupl(&
                      nGC_60) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_61)*coupl(nGC_64&
                      ) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_73)*coupl(nGC_76) -   &
                      4d0*Nc*coupl(nGC_39)*coupl(nGC_77)*coupl(nGC_80) - 4d0*Nc&
                      *coupl(nGC_39)*coupl(nGC_85)*coupl(nGC_88) + 5d0*coupl(  &
                      nGC_36)*coupl(nGC_65)*coupl(nGC_68) + 5d0*coupl(nGC_36)* &
                      coupl(nGC_69)*coupl(nGC_72) + 5d0*coupl(nGC_36)*coupl(   &
                      nGC_81)*coupl(nGC_84) - 4d0*coupl(nGC_40)*coupl(nGC_65)* &
                      coupl(nGC_68) - 4d0*coupl(nGC_40)*coupl(nGC_69)*coupl(   &
                      nGC_72) - 4d0*coupl(nGC_40)*coupl(nGC_81)*coupl(nGC_84   &
                      ) - 4d0*coupl(nGC_41)*coupl(nGC_65)*coupl(nGC_68) - 4d0* &
                      coupl(nGC_41)*coupl(nGC_69)*coupl(nGC_72) - 4d0*coupl(   &
                      nGC_41)*coupl(nGC_81)*coupl(nGC_84))/(48d0*pi**2d0)
    coupl(nGC_4906) = coupl(nGC_11)*dZtR
    coupl(nGC_4905) = coupl(nGC_11)*dZtL
    coupl(nGC_3303) = 5d0*cima*(Nc*coupl(nGC_54)**2d0*coupl(nGC_56)**2d0 + Nc* &
                      coupl(nGC_58)**2d0*coupl(nGC_60)**2d0 + Nc*coupl(nGC_62  &
                      )**2d0*coupl(nGC_64)**2d0 + Nc*coupl(nGC_74)**2d0*coupl( &
                      nGC_76)**2d0 + Nc*coupl(nGC_78)**2d0*coupl(nGC_80)**2d0  &
                       + Nc*coupl(nGC_86)**2d0*coupl(nGC_88)**2d0 + coupl(     &
                      nGC_66)**2d0*coupl(nGC_68)**2d0 + coupl(nGC_70)**2d0*    &
                      coupl(nGC_72)**2d0 + coupl(nGC_82)**2d0*coupl(nGC_84)**  &
                      2d0)/(4d0*pi**2d0)
    coupl(nGC_3304) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_53)**2d0 -  &
                      coupl(nGC_57)**2d0 - coupl(nGC_61)**2d0 - coupl(nGC_73)**&
                      2d0 - coupl(nGC_77)**2d0 - coupl(nGC_85)**2d0)/(32d0*pi**&
                      2d0)
    coupl(nGC_3307) = cima*coupl(nGC_23)**2d0*(-Nc*coupl(nGC_55)**2d0 - Nc*    &
                      coupl(nGC_59)**2d0 - Nc*coupl(nGC_63)**2d0 - Nc*coupl(   &
                      nGC_75)**2d0 - Nc*coupl(nGC_79)**2d0 - Nc*coupl(nGC_87)**&
                      2d0 - coupl(nGC_67)**2d0 - coupl(nGC_71)**2d0 - coupl(   &
                      nGC_83)**2d0)/(6d0*pi**2d0)
    coupl(nGC_3308) = 5d0*cima*(Nc*coupl(nGC_55)**4d0 + Nc*coupl(nGC_59)**4d0  &
                       + Nc*coupl(nGC_63)**4d0 + Nc*coupl(nGC_75)**4d0 + Nc*   &
                      coupl(nGC_79)**4d0 + Nc*coupl(nGC_87)**4d0 + coupl(nGC_67&
                      )**4d0 + coupl(nGC_71)**4d0 + coupl(nGC_83)**4d0)/(4d0*pi&
                      **2d0)
    coupl(nGC_3309) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +    &
                      coupl(nGC_2)**2d0)/(16d0*pi**2d0)
    coupl(nGC_5454) = coupl(nGC_3391) + coupl(nGC_61)*dZdR/2d0 + coupl(nGC_61)*&
                      dZuL/2d0
    coupl(nGC_5455) = coupl(nGC_3393) + coupl(nGC_85)*dZdL/2d0 + coupl(nGC_85)*&
                      dZuR/2d0
    coupl(nGC_4909) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_3382)
    coupl(nGC_6249) = coupl(nGC_MI)*dZuL
    coupl(nGC_3281) = cima*(-8d0*Nc*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_53)** &
                      2d0 - 8d0*Nc*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_61)**  &
                      2d0 - 8d0*Nc*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_73)**  &
                      2d0 + 5d0*Nc*coupl(nGC_1)*coupl(nGC_35)*coupl(nGC_57)**  &
                      2d0 + 5d0*Nc*coupl(nGC_1)*coupl(nGC_35)*coupl(nGC_77)**  &
                      2d0 + 5d0*Nc*coupl(nGC_1)*coupl(nGC_35)*coupl(nGC_85)**  &
                      2d0 - 8d0*Nc*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_57)**  &
                      2d0 - 8d0*Nc*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_77)**  &
                      2d0 - 8d0*Nc*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_85)**  &
                      2d0 + 5d0*Nc*coupl(nGC_1)*coupl(nGC_39)*coupl(nGC_53)**  &
                      2d0 + 5d0*Nc*coupl(nGC_1)*coupl(nGC_39)*coupl(nGC_61)**  &
                      2d0 + 5d0*Nc*coupl(nGC_1)*coupl(nGC_39)*coupl(nGC_73)**  &
                      2d0 + 5d0*Nc*coupl(nGC_2)*coupl(nGC_34)*coupl(nGC_53)**  &
                      2d0 + 5d0*Nc*coupl(nGC_2)*coupl(nGC_34)*coupl(nGC_61)**  &
                      2d0 + 5d0*Nc*coupl(nGC_2)*coupl(nGC_34)*coupl(nGC_73)**  &
                      2d0 - 8d0*Nc*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_57)**  &
                      2d0 - 8d0*Nc*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_77)**  &
                      2d0 - 8d0*Nc*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_85)**  &
                      2d0 + 5d0*Nc*coupl(nGC_2)*coupl(nGC_38)*coupl(nGC_57)**  &
                      2d0 + 5d0*Nc*coupl(nGC_2)*coupl(nGC_38)*coupl(nGC_77)**  &
                      2d0 + 5d0*Nc*coupl(nGC_2)*coupl(nGC_38)*coupl(nGC_85)**  &
                      2d0 - 8d0*Nc*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_53)**  &
                      2d0 - 8d0*Nc*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_61)**  &
                      2d0 - 8d0*Nc*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_73)**  &
                      2d0 - 8d0*coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_65)**2d0  &
                       - 8d0*coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_69)**2d0 -   &
                      8d0*coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_81)**2d0 + 5d0* &
                      coupl(nGC_4)*coupl(nGC_41)*coupl(nGC_65)**2d0 + 5d0*coupl&
                      (nGC_4)*coupl(nGC_41)*coupl(nGC_69)**2d0 + 5d0*coupl(    &
                      nGC_4)*coupl(nGC_41)*coupl(nGC_81)**2d0)/(48d0*pi**2d0)
    coupl(nGC_3280) = cima*coupl(nGC_23)*(Nc*coupl(nGC_1)*coupl(nGC_53)*coupl( &
                      nGC_54) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_57)*coupl(nGC_58 &
                      ) + Nc*coupl(nGC_1)*coupl(nGC_61)*coupl(nGC_62) + Nc*    &
                      coupl(nGC_1)*coupl(nGC_73)*coupl(nGC_74) - 4d0*Nc*coupl( &
                      nGC_1)*coupl(nGC_77)*coupl(nGC_78) - 4d0*Nc*coupl(nGC_1)*&
                      coupl(nGC_85)*coupl(nGC_86) - 4d0*Nc*coupl(nGC_2)*coupl( &
                      nGC_53)*coupl(nGC_54) + Nc*coupl(nGC_2)*coupl(nGC_57)*   &
                      coupl(nGC_58) - 4d0*Nc*coupl(nGC_2)*coupl(nGC_61)*coupl( &
                      nGC_62) - 4d0*Nc*coupl(nGC_2)*coupl(nGC_73)*coupl(nGC_74 &
                      ) + Nc*coupl(nGC_2)*coupl(nGC_77)*coupl(nGC_78) + Nc*    &
                      coupl(nGC_2)*coupl(nGC_85)*coupl(nGC_86) + coupl(nGC_4)* &
                      coupl(nGC_65)*coupl(nGC_66) + coupl(nGC_4)*coupl(nGC_69)*&
                      coupl(nGC_70) + coupl(nGC_4)*coupl(nGC_81)*coupl(nGC_82  &
                      ))/(48d0*pi**2d0)
    coupl(nGC_3283) = cima*(-Nc*coupl(nGC_1)**2d0*coupl(nGC_54)*coupl(nGC_56   &
                      ) - Nc*coupl(nGC_1)**2d0*coupl(nGC_62)*coupl(nGC_64) - Nc&
                      *coupl(nGC_1)**2d0*coupl(nGC_74)*coupl(nGC_76) - Nc*coupl&
                      (nGC_2)**2d0*coupl(nGC_58)*coupl(nGC_60) - Nc*coupl(nGC_2&
                      )**2d0*coupl(nGC_78)*coupl(nGC_80) - Nc*coupl(nGC_2)**2d0&
                      *coupl(nGC_86)*coupl(nGC_88) - coupl(nGC_4)**2d0*coupl(  &
                      nGC_66)*coupl(nGC_68) - coupl(nGC_4)**2d0*coupl(nGC_70)* &
                      coupl(nGC_72) - coupl(nGC_4)**2d0*coupl(nGC_82)*coupl(   &
                      nGC_84))/(4d0*pi**2d0)
    coupl(nGC_3282) = cima*(-Nc*coupl(nGC_1)**2d0*coupl(nGC_55)**2d0 - Nc*coupl&
                      (nGC_1)**2d0*coupl(nGC_63)**2d0 - Nc*coupl(nGC_1)**2d0*  &
                      coupl(nGC_75)**2d0 - Nc*coupl(nGC_2)**2d0*coupl(nGC_59)**&
                      2d0 - Nc*coupl(nGC_2)**2d0*coupl(nGC_79)**2d0 - Nc*coupl(&
                      nGC_2)**2d0*coupl(nGC_87)**2d0 - coupl(nGC_4)**2d0*coupl(&
                      nGC_67)**2d0 - coupl(nGC_4)**2d0*coupl(nGC_71)**2d0 -    &
                      coupl(nGC_4)**2d0*coupl(nGC_83)**2d0)/(4d0*pi**2d0)
    coupl(nGC_3285) = cima*coupl(nGC_23)*(Nc*coupl(nGC_1)*coupl(nGC_53)*coupl( &
                      nGC_56) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_57)*coupl(nGC_60 &
                      ) + Nc*coupl(nGC_1)*coupl(nGC_61)*coupl(nGC_64) + Nc*    &
                      coupl(nGC_1)*coupl(nGC_73)*coupl(nGC_76) - 4d0*Nc*coupl( &
                      nGC_1)*coupl(nGC_77)*coupl(nGC_80) - 4d0*Nc*coupl(nGC_1)*&
                      coupl(nGC_85)*coupl(nGC_88) - 4d0*Nc*coupl(nGC_2)*coupl( &
                      nGC_53)*coupl(nGC_56) + Nc*coupl(nGC_2)*coupl(nGC_57)*   &
                      coupl(nGC_60) - 4d0*Nc*coupl(nGC_2)*coupl(nGC_61)*coupl( &
                      nGC_64) - 4d0*Nc*coupl(nGC_2)*coupl(nGC_73)*coupl(nGC_76 &
                      ) + Nc*coupl(nGC_2)*coupl(nGC_77)*coupl(nGC_80) + Nc*    &
                      coupl(nGC_2)*coupl(nGC_85)*coupl(nGC_88) + coupl(nGC_4)* &
                      coupl(nGC_65)*coupl(nGC_68) + coupl(nGC_4)*coupl(nGC_69)*&
                      coupl(nGC_72) + coupl(nGC_4)*coupl(nGC_81)*coupl(nGC_84  &
                      ))/(48d0*pi**2d0)
    coupl(nGC_3284) = cima*coupl(nGC_23)*(Nc*coupl(nGC_1)*coupl(nGC_53)*coupl( &
                      nGC_55) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_57)*coupl(nGC_59 &
                      ) + Nc*coupl(nGC_1)*coupl(nGC_61)*coupl(nGC_63) + Nc*    &
                      coupl(nGC_1)*coupl(nGC_73)*coupl(nGC_75) - 4d0*Nc*coupl( &
                      nGC_1)*coupl(nGC_77)*coupl(nGC_79) - 4d0*Nc*coupl(nGC_1)*&
                      coupl(nGC_85)*coupl(nGC_87) - 4d0*Nc*coupl(nGC_2)*coupl( &
                      nGC_53)*coupl(nGC_55) + Nc*coupl(nGC_2)*coupl(nGC_57)*   &
                      coupl(nGC_59) - 4d0*Nc*coupl(nGC_2)*coupl(nGC_61)*coupl( &
                      nGC_63) - 4d0*Nc*coupl(nGC_2)*coupl(nGC_73)*coupl(nGC_75 &
                      ) + Nc*coupl(nGC_2)*coupl(nGC_77)*coupl(nGC_79) + Nc*    &
                      coupl(nGC_2)*coupl(nGC_85)*coupl(nGC_87) + coupl(nGC_4)* &
                      coupl(nGC_65)*coupl(nGC_67) + coupl(nGC_4)*coupl(nGC_69)*&
                      coupl(nGC_71) + coupl(nGC_4)*coupl(nGC_81)*coupl(nGC_83  &
                      ))/(48d0*pi**2d0)
    coupl(nGC_3287) = cima*coupl(nGC_23)**2d0*(-2d0*Nc*coupl(nGC_1)*coupl(     &
                      nGC_38) + 3d0*Nc*coupl(nGC_1)*coupl(nGC_39) + 3d0*Nc*    &
                      coupl(nGC_2)*coupl(nGC_38) - 2d0*Nc*coupl(nGC_2)*coupl(  &
                      nGC_39) - 2d0*coupl(nGC_4)*coupl(nGC_40) + 3d0*coupl(    &
                      nGC_4)*coupl(nGC_41))/(16d0*pi**2d0)
    coupl(nGC_3286) = cima*coupl(nGC_23)**2d0*(6d0*Nc*coupl(nGC_1)*coupl(nGC_38&
                      ) - 5d0*Nc*coupl(nGC_1)*coupl(nGC_39) - 5d0*Nc*coupl(    &
                      nGC_2)*coupl(nGC_38) + 6d0*Nc*coupl(nGC_2)*coupl(nGC_39  &
                      ) + 6d0*coupl(nGC_4)*coupl(nGC_40) - 5d0*coupl(nGC_4)*   &
                      coupl(nGC_41))/(16d0*pi**2d0)
    coupl(nGC_3289) = cima*(Nc*coupl(nGC_1)**2d0*coupl(nGC_34)**2d0 + Nc*coupl(&
                      nGC_1)**2d0*coupl(nGC_38)**2d0 + Nc*coupl(nGC_2)**2d0*   &
                      coupl(nGC_35)**2d0 + Nc*coupl(nGC_2)**2d0*coupl(nGC_39)**&
                      2d0 + coupl(nGC_36)**2d0*coupl(nGC_4)**2d0 + coupl(nGC_4 &
                      )**2d0*coupl(nGC_40)**2d0)/(8d0*pi**2d0)
    coupl(nGC_5010) = coupl(nGC_3399) + coupl(nGC_77)*dZbL/2d0 + coupl(nGC_77)*&
                      dZtR/2d0
    coupl(nGC_5624) = coupl(nGC_41)*dZnu_tauL
    coupl(nGC_8968) = -3d0*coupl(nGC_3312)/5d0
    coupl(nGC_5971) = coupl(nGC_3411) + coupl(nGC_54)*dZbL/2d0 + coupl(nGC_54)*&
                      dZbR/2d0
    coupl(nGC_5970) = coupl(nGC_3413) + coupl(nGC_56)*dZbL/2d0 + coupl(nGC_56)*&
                      dZbR/2d0
    coupl(nGC_5238) = coupl(nGC_39)*dZtL
    coupl(nGC_5334) = coupl(nGC_3346) + coupl(nGC_4)*dZA_QED2/2d0 + coupl(     &
                      nGC_40)*dZZA_QED2/2d0
    coupl(nGC_5579) = coupl(nGC_3469) + coupl(nGC_5576)
    coupl(nGC_5578) = coupl(nGC_MI)*dZcR
    coupl(nGC_5520) = coupl(nGC_63)*(dZdL + dZdR)/2d0
    coupl(nGC_5243) = coupl(nGC_3384) + coupl(nGC_35)*dZZ_QED2/2d0
    coupl(nGC_5242) = coupl(nGC_3385) + coupl(nGC_39)*dZZ_QED2/2d0
    coupl(nGC_5241) = coupl(nGC_35)*dZtR
    coupl(nGC_3379) = coupl(nGC_3208)*dsw_QED2 + coupl(nGC_3209)*dZee_QED2 +   &
                      coupl(nGC_3210)*dcw_QED2 + coupl(nGC_3211)*dvev_QED1
    coupl(nGC_3370) = coupl(nGC_3173)*dZee_QED2 + coupl(nGC_3174)*dsw_QED2 +   &
                      coupl(nGC_3175)*dcw_QED2
    coupl(nGC_3373) = coupl(nGC_3103)*dZee_QED2 + coupl(nGC_3104)*dcw_QED2
    coupl(nGC_3372) = coupl(nGC_3176)*dZee_QED2 + coupl(nGC_3177)*dsw_QED2 +   &
                      coupl(nGC_3178)*dcw_QED2
    coupl(nGC_3375) = coupl(nGC_3190)*dZee_QED2 + coupl(nGC_3191)*dcw_QED2 +   &
                      coupl(nGC_3192)*dvev_QED1
    coupl(nGC_3374) = coupl(nGC_3098)*dZee_QED2 + coupl(nGC_3099)*dcw_QED2
    coupl(nGC_3377) = coupl(nGC_3195)*dZee_QED2 + coupl(nGC_3196)*dsw_QED2 +   &
                      coupl(nGC_3197)*dcw_QED2
    coupl(nGC_3376) = coupl(nGC_3100)*dZee_QED2 + coupl(nGC_3101)*dcw_QED2
    coupl(nGC_9185) = -coupl(nGC_3262)
    coupl(nGC_4826) = coupl(nGC_29)*dZA_QED2/2d0 + coupl(nGC_29)*dZWMinus_QED2 &
                       + coupl(nGC_29)*dZZ_QED2/2d0 + coupl(nGC_3344)
    coupl(nGC_4827) = coupl(nGC_4825) - coupl(nGC_4826)/2d0
    coupl(nGC_4828) = -2d0*coupl(nGC_4825) + coupl(nGC_4826)
    coupl(nGC_3478) = coupl(nGC_152)*dMZ2_QED2
    coupl(nGC_3476) = coupl(nGC_144)*dMW2_QED2
    coupl(nGC_3477) = coupl(nGC_148)*dMW2_QED2
    coupl(nGC_5119) = coupl(nGC_40)*dZZA_QED2/2d0
    coupl(nGC_5113) = coupl(nGC_3419) + coupl(nGC_5111)
    coupl(nGC_5112) = coupl(nGC_3418) + coupl(nGC_55)*dZH_QED2/2d0
    coupl(nGC_5117) = coupl(nGC_36)*dZZA_QED2/2d0
    coupl(nGC_3270) = 3d0*(Nc*cMB*coupl(nGC_55)**3d0 + Nc*cMC*coupl(nGC_59)**  &
                      3d0 + Nc*cMD*coupl(nGC_63)**3d0 + Nc*cMS*coupl(nGC_75)** &
                      3d0 + Nc*cMT*coupl(nGC_79)**3d0 + Nc*cMU*coupl(nGC_87)** &
                      3d0 + cME*coupl(nGC_67)**3d0 + cMM*coupl(nGC_71)**3d0 +  &
                      cMTA*coupl(nGC_83)**3d0)/(4d0*pi**2d0)
    coupl(nGC_3271) = (-Nc*cMB*coupl(nGC_34)**2d0*coupl(nGC_55) + Nc*cMB*coupl(&
                      nGC_34)*coupl(nGC_38)*coupl(nGC_55) - Nc*cMB*coupl(nGC_38&
                      )**2d0*coupl(nGC_55) - Nc*cMC*coupl(nGC_35)**2d0*coupl(  &
                      nGC_59) + Nc*cMC*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_59&
                      ) - Nc*cMC*coupl(nGC_39)**2d0*coupl(nGC_59) - Nc*cMD*    &
                      coupl(nGC_34)**2d0*coupl(nGC_63) + Nc*cMD*coupl(nGC_34)* &
                      coupl(nGC_38)*coupl(nGC_63) - Nc*cMD*coupl(nGC_38)**2d0* &
                      coupl(nGC_63) - Nc*cMS*coupl(nGC_34)**2d0*coupl(nGC_75   &
                      ) + Nc*cMS*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_75) - Nc&
                      *cMS*coupl(nGC_38)**2d0*coupl(nGC_75) - Nc*cMT*coupl(    &
                      nGC_35)**2d0*coupl(nGC_79) + Nc*cMT*coupl(nGC_35)*coupl( &
                      nGC_39)*coupl(nGC_79) - Nc*cMT*coupl(nGC_39)**2d0*coupl( &
                      nGC_79) - Nc*cMU*coupl(nGC_35)**2d0*coupl(nGC_87) + Nc*  &
                      cMU*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_87) - Nc*cMU*  &
                      coupl(nGC_39)**2d0*coupl(nGC_87) - cME*coupl(nGC_36)**2d0&
                      *coupl(nGC_67) + cME*coupl(nGC_36)*coupl(nGC_40)*coupl(  &
                      nGC_67) - cME*coupl(nGC_40)**2d0*coupl(nGC_67) - cMM*    &
                      coupl(nGC_36)**2d0*coupl(nGC_71) + cMM*coupl(nGC_36)*    &
                      coupl(nGC_40)*coupl(nGC_71) - cMM*coupl(nGC_40)**2d0*    &
                      coupl(nGC_71) - cMTA*coupl(nGC_36)**2d0*coupl(nGC_83) +  &
                      cMTA*coupl(nGC_36)*coupl(nGC_40)*coupl(nGC_83) - cMTA*   &
                      coupl(nGC_40)**2d0*coupl(nGC_83))/(4d0*pi**2d0)
    coupl(nGC_3272) = coupl(nGC_11)**2d0*sq2**2d0*(-cMB*coupl(nGC_55) - cMC*   &
                      coupl(nGC_59) - cMD*coupl(nGC_63) - cMS*coupl(nGC_75) -  &
                      cMT*coupl(nGC_79) - cMU*coupl(nGC_87))/(16d0*pi**2d0)
    coupl(nGC_3273) = coupl(nGC_11)**2d0*sq2**2d0*(cMB*coupl(nGC_55) + cMC*    &
                      coupl(nGC_59) + cMD*coupl(nGC_63) + cMS*coupl(nGC_75) +  &
                      cMT*coupl(nGC_79) + cMU*coupl(nGC_87))/(16d0*pi**2d0*Nc)
    coupl(nGC_3274) = coupl(nGC_23)**2d0*(Nc*coupl(nGC_38) - Nc*coupl(nGC_39   &
                      ) + coupl(nGC_40) - coupl(nGC_41))/(8d0*pi**2d0)
    coupl(nGC_5462) = coupl(nGC_35)*dZcR
    coupl(nGC_3279) = cima*(-4d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_53)**2d0 - 4d0*&
                      Nc*coupl(nGC_1)**2d0*coupl(nGC_57)**2d0 - 4d0*Nc*coupl(  &
                      nGC_1)**2d0*coupl(nGC_61)**2d0 - 4d0*Nc*coupl(nGC_1)**2d0&
                      *coupl(nGC_73)**2d0 - 4d0*Nc*coupl(nGC_1)**2d0*coupl(    &
                      nGC_77)**2d0 - 4d0*Nc*coupl(nGC_1)**2d0*coupl(nGC_85)**  &
                      2d0 + 5d0*Nc*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_53)**2d0&
                       + 5d0*Nc*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_57)**2d0 + &
                      5d0*Nc*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_61)**2d0 + 5d0&
                      *Nc*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_73)**2d0 + 5d0*Nc&
                      *coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_77)**2d0 + 5d0*Nc*  &
                      coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_85)**2d0 - 4d0*Nc*   &
                      coupl(nGC_2)**2d0*coupl(nGC_53)**2d0 - 4d0*Nc*coupl(nGC_2&
                      )**2d0*coupl(nGC_57)**2d0 - 4d0*Nc*coupl(nGC_2)**2d0*    &
                      coupl(nGC_61)**2d0 - 4d0*Nc*coupl(nGC_2)**2d0*coupl(     &
                      nGC_73)**2d0 - 4d0*Nc*coupl(nGC_2)**2d0*coupl(nGC_77)**  &
                      2d0 - 4d0*Nc*coupl(nGC_2)**2d0*coupl(nGC_85)**2d0 - 4d0* &
                      coupl(nGC_4)**2d0*coupl(nGC_65)**2d0 - 4d0*coupl(nGC_4)**&
                      2d0*coupl(nGC_69)**2d0 - 4d0*coupl(nGC_4)**2d0*coupl(    &
                      nGC_81)**2d0)/(24d0*pi**2d0)
    coupl(nGC_5700) = coupl(nGC_3371) + coupl(nGC_37)*dZH_QED2/2d0 + coupl(    &
                      nGC_37)*dZZ_QED2/2d0
    coupl(nGC_5701) = -coupl(nGC_5700)
    coupl(nGC_4726) = coupl(nGC_46)*dZZA_QED2/2d0
    coupl(nGC_3405) = coupl(nGC_3216)*dydo_QED1
    coupl(nGC_3404) = coupl(nGC_3216)*dydo_QED3
    coupl(nGC_3403) = coupl(nGC_3218)*dydo_QED1
    coupl(nGC_3402) = coupl(nGC_3218)*dydo_QED3
    coupl(nGC_6820) = coupl(nGC_MS)*(dZsL + dZsR)/2d0
    coupl(nGC_4758) = coupl(nGC_3346) + coupl(nGC_4)*dZWMinus_QED2/2d0
    coupl(nGC_4759) = -coupl(nGC_4758)
    coupl(nGC_3368) = coupl(nGC_3110)*dZee_QED2 + coupl(nGC_3111)*dsw_QED2
    coupl(nGC_4750) = coupl(nGC_4740) + coupl(nGC_4748)
    coupl(nGC_3369) = coupl(nGC_3200)*dsw_QED2 + coupl(nGC_3201)*dZee_QED2 +   &
                      coupl(nGC_3202)*dvev_QED1
    coupl(nGC_4755) = coupl(nGC_26)*dZA_QED2/2d0 + coupl(nGC_26)*dZWMinus_QED2/&
                      2d0 + coupl(nGC_3366) + coupl(nGC_7)*dZZA_QED2/2d0
    coupl(nGC_5561) = coupl(nGC_3423) + coupl(nGC_69)*dZmuMinusR/2d0 + coupl(  &
                      nGC_69)*dZnu_muL/2d0
    coupl(nGC_5567) = coupl(nGC_35)*dZuR
    coupl(nGC_3362) = coupl(nGC_3131)*dZee_QED2 + coupl(nGC_3132)*dsw_QED2
    coupl(nGC_5427) = coupl(nGC_25)*dZZ_QED2/2d0 + coupl(nGC_3)*dZAZ_QED2/2d0  &
                       + coupl(nGC_3342)
    coupl(nGC_5292) = coupl(nGC_25)*dZWMinus_QED2 + coupl(nGC_25)*dZZ_QED2/2d0 &
                       + coupl(nGC_3)*dZAZ_QED2/2d0 + coupl(nGC_3342)
    coupl(nGC_4865) = coupl(nGC_3370) + coupl(nGC_42)*dZA_QED2/2d0 + coupl(    &
                      nGC_42)*dZZ_QED2/2d0 + coupl(nGC_45)*dZZA_QED2/2d0 +     &
                      coupl(nGC_6)*dZAZ_QED2/2d0
    coupl(nGC_6039) = coupl(nGC_24)*dZZA_QED2/2d0 + coupl(nGC_3346) + coupl(   &
                      nGC_4)*dZA_QED2/2d0
    coupl(nGC_6030) = coupl(nGC_87)*(dZuL + dZuR)/2d0
    coupl(nGC_6034) = coupl(nGC_3456) + coupl(nGC_87)*dZH_QED2/2d0
    coupl(nGC_5585) = coupl(nGC_36)*dZmuMinusR
    coupl(nGC_5428) = -coupl(nGC_5427)
    coupl(nGC_3339) = coupl(nGC_3105)*dZgs_QCD2
    coupl(nGC_3338) = coupl(nGC_3106)*dZgs_QCD2
    coupl(nGC_3331) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_34) - coupl(&
                      nGC_35) - coupl(nGC_38) - coupl(nGC_39))/(64d0*pi**2d0*Nc&
                      )
    coupl(nGC_3330) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_34) + coupl( &
                      nGC_35) + coupl(nGC_38) + coupl(nGC_39))/(128d0*pi**2d0)
    coupl(nGC_3332) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_34) + coupl( &
                      nGC_35) + coupl(nGC_38) + coupl(nGC_39))/(32d0*pi**2d0*Nc&
                      **2d0)
    coupl(nGC_3449) = coupl(nGC_3214)*dyc_QED1
    coupl(nGC_3448) = coupl(nGC_3214)*dyc_QED3
    coupl(nGC_3298) = cima*coupl(nGC_23)*(5d0*Nc*coupl(nGC_34)*coupl(nGC_53)*  &
                      coupl(nGC_55) + 5d0*Nc*coupl(nGC_34)*coupl(nGC_61)*coupl(&
                      nGC_63) + 5d0*Nc*coupl(nGC_34)*coupl(nGC_73)*coupl(nGC_75&
                      ) + 5d0*Nc*coupl(nGC_35)*coupl(nGC_57)*coupl(nGC_59) +   &
                      5d0*Nc*coupl(nGC_35)*coupl(nGC_77)*coupl(nGC_79) + 5d0*Nc&
                      *coupl(nGC_35)*coupl(nGC_85)*coupl(nGC_87) - 4d0*Nc*coupl&
                      (nGC_38)*coupl(nGC_53)*coupl(nGC_55) - 4d0*Nc*coupl(     &
                      nGC_38)*coupl(nGC_57)*coupl(nGC_59) - 4d0*Nc*coupl(nGC_38&
                      )*coupl(nGC_61)*coupl(nGC_63) - 4d0*Nc*coupl(nGC_38)*    &
                      coupl(nGC_73)*coupl(nGC_75) - 4d0*Nc*coupl(nGC_38)*coupl(&
                      nGC_77)*coupl(nGC_79) - 4d0*Nc*coupl(nGC_38)*coupl(nGC_85&
                      )*coupl(nGC_87) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_53)*    &
                      coupl(nGC_55) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_57)*coupl(&
                      nGC_59) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_61)*coupl(nGC_63&
                      ) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_73)*coupl(nGC_75) -   &
                      4d0*Nc*coupl(nGC_39)*coupl(nGC_77)*coupl(nGC_79) - 4d0*Nc&
                      *coupl(nGC_39)*coupl(nGC_85)*coupl(nGC_87) + 5d0*coupl(  &
                      nGC_36)*coupl(nGC_65)*coupl(nGC_67) + 5d0*coupl(nGC_36)* &
                      coupl(nGC_69)*coupl(nGC_71) + 5d0*coupl(nGC_36)*coupl(   &
                      nGC_81)*coupl(nGC_83) - 4d0*coupl(nGC_40)*coupl(nGC_65)* &
                      coupl(nGC_67) - 4d0*coupl(nGC_40)*coupl(nGC_69)*coupl(   &
                      nGC_71) - 4d0*coupl(nGC_40)*coupl(nGC_81)*coupl(nGC_83   &
                      ) - 4d0*coupl(nGC_41)*coupl(nGC_65)*coupl(nGC_67) - 4d0* &
                      coupl(nGC_41)*coupl(nGC_69)*coupl(nGC_71) - 4d0*coupl(   &
                      nGC_41)*coupl(nGC_81)*coupl(nGC_83))/(48d0*pi**2d0)
    coupl(nGC_3299) = cima*(-4d0*Nc*coupl(nGC_34)**2d0*coupl(nGC_53)**2d0 - 4d0&
                      *Nc*coupl(nGC_34)**2d0*coupl(nGC_61)**2d0 - 4d0*Nc*coupl(&
                      nGC_34)**2d0*coupl(nGC_73)**2d0 + 5d0*Nc*coupl(nGC_34)*  &
                      coupl(nGC_39)*coupl(nGC_53)**2d0 + 5d0*Nc*coupl(nGC_34)* &
                      coupl(nGC_39)*coupl(nGC_61)**2d0 + 5d0*Nc*coupl(nGC_34)* &
                      coupl(nGC_39)*coupl(nGC_73)**2d0 - 4d0*Nc*coupl(nGC_35)**&
                      2d0*coupl(nGC_57)**2d0 - 4d0*Nc*coupl(nGC_35)**2d0*coupl(&
                      nGC_77)**2d0 - 4d0*Nc*coupl(nGC_35)**2d0*coupl(nGC_85)** &
                      2d0 + 5d0*Nc*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_57)** &
                      2d0 + 5d0*Nc*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_77)** &
                      2d0 + 5d0*Nc*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_85)** &
                      2d0 - 4d0*Nc*coupl(nGC_38)**2d0*coupl(nGC_57)**2d0 - 4d0*&
                      Nc*coupl(nGC_38)**2d0*coupl(nGC_77)**2d0 - 4d0*Nc*coupl( &
                      nGC_38)**2d0*coupl(nGC_85)**2d0 - 4d0*Nc*coupl(nGC_39)** &
                      2d0*coupl(nGC_53)**2d0 - 4d0*Nc*coupl(nGC_39)**2d0*coupl(&
                      nGC_61)**2d0 - 4d0*Nc*coupl(nGC_39)**2d0*coupl(nGC_73)** &
                      2d0 - 4d0*coupl(nGC_36)**2d0*coupl(nGC_65)**2d0 - 4d0*   &
                      coupl(nGC_36)**2d0*coupl(nGC_69)**2d0 - 4d0*coupl(nGC_36 &
                      )**2d0*coupl(nGC_81)**2d0 + 5d0*coupl(nGC_36)*coupl(     &
                      nGC_41)*coupl(nGC_65)**2d0 + 5d0*coupl(nGC_36)*coupl(    &
                      nGC_41)*coupl(nGC_69)**2d0 + 5d0*coupl(nGC_36)*coupl(    &
                      nGC_41)*coupl(nGC_81)**2d0 - 4d0*coupl(nGC_41)**2d0*coupl&
                      (nGC_65)**2d0 - 4d0*coupl(nGC_41)**2d0*coupl(nGC_69)**2d0&
                       - 4d0*coupl(nGC_41)**2d0*coupl(nGC_81)**2d0)/(24d0*pi** &
                      2d0)
    coupl(nGC_3296) = 5d0*cima*(Nc*coupl(nGC_53)**2d0*coupl(nGC_55)**2d0 + Nc* &
                      coupl(nGC_53)**2d0*coupl(nGC_79)**2d0 + 2d0*Nc*coupl(    &
                      nGC_53)*coupl(nGC_55)*coupl(nGC_77)*coupl(nGC_79) + Nc*  &
                      coupl(nGC_55)**2d0*coupl(nGC_77)**2d0 + Nc*coupl(nGC_57  &
                      )**2d0*coupl(nGC_59)**2d0 + Nc*coupl(nGC_57)**2d0*coupl( &
                      nGC_75)**2d0 + 2d0*Nc*coupl(nGC_57)*coupl(nGC_59)*coupl( &
                      nGC_73)*coupl(nGC_75) + Nc*coupl(nGC_59)**2d0*coupl(     &
                      nGC_73)**2d0 + Nc*coupl(nGC_61)**2d0*coupl(nGC_63)**2d0  &
                       + Nc*coupl(nGC_61)**2d0*coupl(nGC_87)**2d0 + 2d0*Nc*    &
                      coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_85)*coupl(nGC_87   &
                      ) + Nc*coupl(nGC_63)**2d0*coupl(nGC_85)**2d0 + Nc*coupl( &
                      nGC_73)**2d0*coupl(nGC_75)**2d0 + Nc*coupl(nGC_77)**2d0* &
                      coupl(nGC_79)**2d0 + Nc*coupl(nGC_85)**2d0*coupl(nGC_87  &
                      )**2d0 + coupl(nGC_65)**2d0*coupl(nGC_67)**2d0 + coupl(  &
                      nGC_69)**2d0*coupl(nGC_71)**2d0 + coupl(nGC_81)**2d0*    &
                      coupl(nGC_83)**2d0)/(24d0*pi**2d0)
    coupl(nGC_3297) = cima*coupl(nGC_23)*(5d0*Nc*coupl(nGC_34)*coupl(nGC_53)*  &
                      coupl(nGC_54) + 5d0*Nc*coupl(nGC_34)*coupl(nGC_61)*coupl(&
                      nGC_62) + 5d0*Nc*coupl(nGC_34)*coupl(nGC_73)*coupl(nGC_74&
                      ) + 5d0*Nc*coupl(nGC_35)*coupl(nGC_57)*coupl(nGC_58) +   &
                      5d0*Nc*coupl(nGC_35)*coupl(nGC_77)*coupl(nGC_78) + 5d0*Nc&
                      *coupl(nGC_35)*coupl(nGC_85)*coupl(nGC_86) - 4d0*Nc*coupl&
                      (nGC_38)*coupl(nGC_53)*coupl(nGC_54) - 4d0*Nc*coupl(     &
                      nGC_38)*coupl(nGC_57)*coupl(nGC_58) - 4d0*Nc*coupl(nGC_38&
                      )*coupl(nGC_61)*coupl(nGC_62) - 4d0*Nc*coupl(nGC_38)*    &
                      coupl(nGC_73)*coupl(nGC_74) - 4d0*Nc*coupl(nGC_38)*coupl(&
                      nGC_77)*coupl(nGC_78) - 4d0*Nc*coupl(nGC_38)*coupl(nGC_85&
                      )*coupl(nGC_86) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_53)*    &
                      coupl(nGC_54) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_57)*coupl(&
                      nGC_58) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_61)*coupl(nGC_62&
                      ) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_73)*coupl(nGC_74) -   &
                      4d0*Nc*coupl(nGC_39)*coupl(nGC_77)*coupl(nGC_78) - 4d0*Nc&
                      *coupl(nGC_39)*coupl(nGC_85)*coupl(nGC_86) + 5d0*coupl(  &
                      nGC_36)*coupl(nGC_65)*coupl(nGC_66) + 5d0*coupl(nGC_36)* &
                      coupl(nGC_69)*coupl(nGC_70) + 5d0*coupl(nGC_36)*coupl(   &
                      nGC_81)*coupl(nGC_82) - 4d0*coupl(nGC_40)*coupl(nGC_65)* &
                      coupl(nGC_66) - 4d0*coupl(nGC_40)*coupl(nGC_69)*coupl(   &
                      nGC_70) - 4d0*coupl(nGC_40)*coupl(nGC_81)*coupl(nGC_82   &
                      ) - 4d0*coupl(nGC_41)*coupl(nGC_65)*coupl(nGC_66) - 4d0* &
                      coupl(nGC_41)*coupl(nGC_69)*coupl(nGC_70) - 4d0*coupl(   &
                      nGC_41)*coupl(nGC_81)*coupl(nGC_82))/(48d0*pi**2d0)
    coupl(nGC_3294) = cima*(-Nc*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_55)**2d0  &
                       - Nc*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_63)**2d0 - Nc*&
                      coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_75)**2d0 - Nc*coupl(&
                      nGC_1)*coupl(nGC_38)*coupl(nGC_55)**2d0 - Nc*coupl(nGC_1 &
                      )*coupl(nGC_38)*coupl(nGC_63)**2d0 - Nc*coupl(nGC_1)*    &
                      coupl(nGC_38)*coupl(nGC_75)**2d0 - Nc*coupl(nGC_2)*coupl(&
                      nGC_35)*coupl(nGC_59)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_35&
                      )*coupl(nGC_79)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_35)*    &
                      coupl(nGC_87)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_39)*coupl(&
                      nGC_59)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_79&
                      )**2d0 - Nc*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_87)**2d0&
                       - coupl(nGC_36)*coupl(nGC_4)*coupl(nGC_67)**2d0 - coupl(&
                      nGC_36)*coupl(nGC_4)*coupl(nGC_71)**2d0 - coupl(nGC_36)* &
                      coupl(nGC_4)*coupl(nGC_83)**2d0 - coupl(nGC_4)*coupl(    &
                      nGC_40)*coupl(nGC_67)**2d0 - coupl(nGC_4)*coupl(nGC_40)* &
                      coupl(nGC_71)**2d0 - coupl(nGC_4)*coupl(nGC_40)*coupl(   &
                      nGC_83)**2d0)/(8d0*pi**2d0)
    coupl(nGC_3295) = cima*coupl(nGC_23)**2d0*(-Nc*coupl(nGC_53)**2d0 - Nc*    &
                      coupl(nGC_57)**2d0 - Nc*coupl(nGC_61)**2d0 - Nc*coupl(   &
                      nGC_73)**2d0 - Nc*coupl(nGC_77)**2d0 - Nc*coupl(nGC_85)**&
                      2d0 - coupl(nGC_65)**2d0 - coupl(nGC_69)**2d0 - coupl(   &
                      nGC_81)**2d0)/(12d0*pi**2d0)
    coupl(nGC_3292) = cima*(-Nc*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_54)*coupl(&
                      nGC_56) - Nc*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_62)*   &
                      coupl(nGC_64) - Nc*coupl(nGC_1)*coupl(nGC_34)*coupl(     &
                      nGC_74)*coupl(nGC_76) - Nc*coupl(nGC_1)*coupl(nGC_38)*   &
                      coupl(nGC_54)*coupl(nGC_56) - Nc*coupl(nGC_1)*coupl(     &
                      nGC_38)*coupl(nGC_62)*coupl(nGC_64) - Nc*coupl(nGC_1)*   &
                      coupl(nGC_38)*coupl(nGC_74)*coupl(nGC_76) - Nc*coupl(    &
                      nGC_2)*coupl(nGC_35)*coupl(nGC_58)*coupl(nGC_60) - Nc*   &
                      coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_78)*coupl(nGC_80) - &
                      Nc*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_86)*coupl(nGC_88 &
                      ) - Nc*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_58)*coupl(   &
                      nGC_60) - Nc*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_78)*   &
                      coupl(nGC_80) - Nc*coupl(nGC_2)*coupl(nGC_39)*coupl(     &
                      nGC_86)*coupl(nGC_88) - coupl(nGC_36)*coupl(nGC_4)*coupl(&
                      nGC_66)*coupl(nGC_68) - coupl(nGC_36)*coupl(nGC_4)*coupl(&
                      nGC_70)*coupl(nGC_72) - coupl(nGC_36)*coupl(nGC_4)*coupl(&
                      nGC_82)*coupl(nGC_84) - coupl(nGC_4)*coupl(nGC_40)*coupl(&
                      nGC_66)*coupl(nGC_68) - coupl(nGC_4)*coupl(nGC_40)*coupl(&
                      nGC_70)*coupl(nGC_72) - coupl(nGC_4)*coupl(nGC_40)*coupl(&
                      nGC_82)*coupl(nGC_84))/(8d0*pi**2d0)
    coupl(nGC_3293) = 5d0*cima*(Nc*coupl(nGC_53)**2d0*coupl(nGC_54)*coupl(     &
                      nGC_56) + Nc*coupl(nGC_53)**2d0*coupl(nGC_78)*coupl(     &
                      nGC_80) + Nc*coupl(nGC_53)*coupl(nGC_54)*coupl(nGC_77)*  &
                      coupl(nGC_80) + Nc*coupl(nGC_53)*coupl(nGC_56)*coupl(    &
                      nGC_77)*coupl(nGC_78) + Nc*coupl(nGC_54)*coupl(nGC_56)*  &
                      coupl(nGC_77)**2d0 + Nc*coupl(nGC_57)**2d0*coupl(nGC_58)*&
                      coupl(nGC_60) + Nc*coupl(nGC_57)**2d0*coupl(nGC_74)*coupl&
                      (nGC_76) + Nc*coupl(nGC_57)*coupl(nGC_58)*coupl(nGC_73)* &
                      coupl(nGC_76) + Nc*coupl(nGC_57)*coupl(nGC_60)*coupl(    &
                      nGC_73)*coupl(nGC_74) + Nc*coupl(nGC_58)*coupl(nGC_60)*  &
                      coupl(nGC_73)**2d0 + Nc*coupl(nGC_61)**2d0*coupl(nGC_62)*&
                      coupl(nGC_64) + Nc*coupl(nGC_61)**2d0*coupl(nGC_86)*coupl&
                      (nGC_88) + Nc*coupl(nGC_61)*coupl(nGC_62)*coupl(nGC_85)* &
                      coupl(nGC_88) + Nc*coupl(nGC_61)*coupl(nGC_64)*coupl(    &
                      nGC_85)*coupl(nGC_86) + Nc*coupl(nGC_62)*coupl(nGC_64)*  &
                      coupl(nGC_85)**2d0 + Nc*coupl(nGC_73)**2d0*coupl(nGC_74)*&
                      coupl(nGC_76) + Nc*coupl(nGC_77)**2d0*coupl(nGC_78)*coupl&
                      (nGC_80) + Nc*coupl(nGC_85)**2d0*coupl(nGC_86)*coupl(    &
                      nGC_88) + coupl(nGC_65)**2d0*coupl(nGC_66)*coupl(nGC_68  &
                      ) + coupl(nGC_69)**2d0*coupl(nGC_70)*coupl(nGC_72) +     &
                      coupl(nGC_81)**2d0*coupl(nGC_82)*coupl(nGC_84))/(24d0*pi &
                      **2d0)
    coupl(nGC_3290) = cima*(Nc*coupl(nGC_1)**3d0*coupl(nGC_34) + Nc*coupl(nGC_1&
                      )**3d0*coupl(nGC_38) + Nc*coupl(nGC_2)**3d0*coupl(nGC_35 &
                      ) + Nc*coupl(nGC_2)**3d0*coupl(nGC_39) + coupl(nGC_36)*  &
                      coupl(nGC_4)**3d0 + coupl(nGC_4)**3d0*coupl(nGC_40))/(8d0&
                      *pi**2d0)
    coupl(nGC_3291) = 5d0*cima*(Nc*coupl(nGC_53)**4d0 + Nc*coupl(nGC_57)**4d0  &
                       + Nc*coupl(nGC_61)**4d0 + Nc*coupl(nGC_73)**4d0 + Nc*   &
                      coupl(nGC_77)**4d0 + Nc*coupl(nGC_85)**4d0 + coupl(nGC_65&
                      )**4d0 + coupl(nGC_69)**4d0 + coupl(nGC_81)**4d0)/(24d0* &
                      pi**2d0)
    coupl(nGC_5325) = coupl(nGC_24)*dZWMinus_QED2/2d0 + coupl(nGC_3351)
    coupl(nGC_5326) = -coupl(nGC_5325)
    coupl(nGC_9454) = -coupl(nGC_3261)
    coupl(nGC_4767) = coupl(nGC_3372) + coupl(nGC_40)*dZZ_QED2/2d0
    coupl(nGC_4766) = coupl(nGC_36)*dZtauMinusR
    coupl(nGC_4768) = coupl(nGC_3389) + coupl(nGC_36)*dZZ_QED2/2d0
    coupl(nGC_5553) = coupl(nGC_38)*dZbL
    coupl(nGC_5556) = coupl(nGC_34)*dZbR
    coupl(nGC_5991) = coupl(nGC_3461) + coupl(nGC_5986)
    coupl(nGC_5990) = coupl(nGC_3460) + coupl(nGC_79)*dZH_QED2/2d0
    coupl(nGC_5257) = coupl(nGC_3)*dZWMinus_QED2/2d0 + coupl(nGC_3340)
    coupl(nGC_5251) = coupl(nGC_25)*dZWMinus_QED2/2d0 + coupl(nGC_3342)
    coupl(nGC_5252) = -coupl(nGC_5251)
    coupl(nGC_5195) = coupl(nGC_3449) + coupl(nGC_60)*dZcL/2d0 + coupl(nGC_60)*&
                      dZcR/2d0
    coupl(nGC_4810) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_3380)
    coupl(nGC_4812) = coupl(nGC_4805) + coupl(nGC_4810)
    coupl(nGC_4815) = coupl(nGC_3377) + coupl(nGC_46)*dZZ_QED2
    coupl(nGC_4819) = coupl(nGC_25)*dZZA_QED2/2d0 + coupl(nGC_3)*dZA_QED2/2d0  &
                       + coupl(nGC_3)*dZWMinus_QED2 + coupl(nGC_3340)
    coupl(nGC_5089) = coupl(nGC_MZ)*dZZA_QED2/2d0
    coupl(nGC_3364) = coupl(nGC_3116)*dZee_QED2 + coupl(nGC_3117)*dsw_QED2
    coupl(nGC_3365) = coupl(nGC_3118)*dZee_QED2 + coupl(nGC_3119)*dsw_QED2
    coupl(nGC_3249) = cima*(-Nc*coupl(nGC_34)**2d0 - Nc*coupl(nGC_35)**2d0 - Nc&
                      *coupl(nGC_38)**2d0 - Nc*coupl(nGC_39)**2d0 - coupl(     &
                      nGC_36)**2d0 - coupl(nGC_40)**2d0 - coupl(nGC_41)**2d0)/(&
                      16d0*pi**2d0)
    coupl(nGC_3363) = coupl(nGC_3203)*dsw_QED2 + coupl(nGC_3204)*dZee_QED2 +   &
                      coupl(nGC_3205)*dvev_QED1
    coupl(nGC_3360) = coupl(nGC_3096)*dZee_QED2
    coupl(nGC_3245) = cima*(Nc*coupl(nGC_55)**2d0 + Nc*coupl(nGC_59)**2d0 + Nc*&
                      coupl(nGC_63)**2d0 + Nc*coupl(nGC_75)**2d0 + Nc*coupl(   &
                      nGC_79)**2d0 + Nc*coupl(nGC_87)**2d0 + coupl(nGC_67)**2d0&
                       + coupl(nGC_71)**2d0 + coupl(nGC_83)**2d0)/(24d0*pi**2d0&
                      )
    coupl(nGC_3244) = cima*(-Nc*cMB**2d0*coupl(nGC_54)*coupl(nGC_56) - Nc*cMC**&
                      2d0*coupl(nGC_58)*coupl(nGC_60) - Nc*cMD**2d0*coupl(     &
                      nGC_62)*coupl(nGC_64) - Nc*cMS**2d0*coupl(nGC_74)*coupl( &
                      nGC_76) - Nc*cMT**2d0*coupl(nGC_78)*coupl(nGC_80) - Nc*  &
                      cMU**2d0*coupl(nGC_86)*coupl(nGC_88) - cME**2d0*coupl(   &
                      nGC_66)*coupl(nGC_68) - cMM**2d0*coupl(nGC_70)*coupl(    &
                      nGC_72) - cMTA**2d0*coupl(nGC_82)*coupl(nGC_84))/(4d0*pi &
                      **2d0)
    coupl(nGC_3246) = cima*(-Nc*cMB**2d0*coupl(nGC_55)**2d0 - Nc*cMC**2d0*coupl&
                      (nGC_59)**2d0 - Nc*cMD**2d0*coupl(nGC_63)**2d0 - Nc*cMS**&
                      2d0*coupl(nGC_75)**2d0 - Nc*cMT**2d0*coupl(nGC_79)**2d0  &
                       - Nc*cMU**2d0*coupl(nGC_87)**2d0 - cME**2d0*coupl(nGC_67&
                      )**2d0 - cMM**2d0*coupl(nGC_71)**2d0 - cMTA**2d0*coupl(  &
                      nGC_83)**2d0)/(4d0*pi**2d0)
    coupl(nGC_3241) = cima*(-Nc*coupl(nGC_1)*coupl(nGC_34) - Nc*coupl(nGC_1)*  &
                      coupl(nGC_38) - Nc*coupl(nGC_2)*coupl(nGC_35) - Nc*coupl(&
                      nGC_2)*coupl(nGC_39) - coupl(nGC_36)*coupl(nGC_4) - coupl&
                      (nGC_4)*coupl(nGC_40))/(16d0*pi**2d0)
    coupl(nGC_3243) = cima*(Nc*coupl(nGC_54)*coupl(nGC_56) + Nc*coupl(nGC_58)* &
                      coupl(nGC_60) + Nc*coupl(nGC_62)*coupl(nGC_64) + Nc*coupl&
                      (nGC_74)*coupl(nGC_76) + Nc*coupl(nGC_78)*coupl(nGC_80   &
                      ) + Nc*coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_66)*coupl(&
                      nGC_68) + coupl(nGC_70)*coupl(nGC_72) + coupl(nGC_82)*   &
                      coupl(nGC_84))/(24d0*pi**2d0)
    coupl(nGC_3242) = cima*(Nc*cMB**2d0*coupl(nGC_1)*coupl(nGC_34) + Nc*cMB**  &
                      2d0*coupl(nGC_1)*coupl(nGC_38) + Nc*cMC**2d0*coupl(nGC_2 &
                      )*coupl(nGC_35) + Nc*cMC**2d0*coupl(nGC_2)*coupl(nGC_39  &
                      ) + Nc*cMD**2d0*coupl(nGC_1)*coupl(nGC_34) + Nc*cMD**2d0*&
                      coupl(nGC_1)*coupl(nGC_38) + Nc*cMS**2d0*coupl(nGC_1)*   &
                      coupl(nGC_34) + Nc*cMS**2d0*coupl(nGC_1)*coupl(nGC_38) + &
                      Nc*cMT**2d0*coupl(nGC_2)*coupl(nGC_35) + Nc*cMT**2d0*    &
                      coupl(nGC_2)*coupl(nGC_39) + Nc*cMU**2d0*coupl(nGC_2)*   &
                      coupl(nGC_35) + Nc*cMU**2d0*coupl(nGC_2)*coupl(nGC_39) + &
                      cME**2d0*coupl(nGC_36)*coupl(nGC_4) + cME**2d0*coupl(    &
                      nGC_4)*coupl(nGC_40) + cMM**2d0*coupl(nGC_36)*coupl(nGC_4&
                      ) + cMM**2d0*coupl(nGC_4)*coupl(nGC_40) + cMTA**2d0*coupl&
                      (nGC_36)*coupl(nGC_4) + cMTA**2d0*coupl(nGC_4)*coupl(    &
                      nGC_40))/(8d0*pi**2d0)
    coupl(nGC_7850) = coupl(nGC_3478) + coupl(nGC_MZ_GF)*dZZ_QED2/2d0
    coupl(nGC_4739) = coupl(nGC_28)*dZAZ_QED2/2d0 + coupl(nGC_3373) + coupl(   &
                      nGC_9)*dZWMinus_QED2/2d0 + coupl(nGC_9)*dZZ_QED2/2d0
    coupl(nGC_4735) = -coupl(nGC_4731)
    coupl(nGC_4730) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_3383)
    coupl(nGC_3414) = coupl(nGC_3215)*dydo_QED3
    coupl(nGC_3415) = coupl(nGC_3215)*dydo_QED1
    coupl(nGC_3417) = coupl(nGC_3226)*dys_QED1
    coupl(nGC_5128) = coupl(nGC_40)*dZeMinusL
    coupl(nGC_6855) = coupl(nGC_ME)*(dZeMinusL + dZeMinusR)/2d0
    coupl(nGC_6250) = coupl(nGC_MU)*(dZuL + dZuR)/2d0
    coupl(nGC_6252) = coupl(nGC_3468) + coupl(nGC_6250)
    coupl(nGC_5465) = coupl(nGC_39)*dZcL
    coupl(nGC_5605) = coupl(nGC_3403) + coupl(nGC_64)*dZdL/2d0 + coupl(nGC_64)*&
                      dZdR/2d0
    coupl(nGC_5604) = coupl(nGC_3405) + coupl(nGC_62)*dZdL/2d0 + coupl(nGC_62)*&
                      dZdR/2d0
    coupl(nGC_5609) = coupl(nGC_MTA)*(dZtauMinusL + dZtauMinusR)/2d0
    coupl(nGC_5956) = coupl(nGC_25)*dZZA_QED2/2d0 + coupl(nGC_3)*dZA_QED2/2d0  &
                       + coupl(nGC_3340)
    coupl(nGC_5211) = coupl(nGC_67)*(dZeMinusL + dZeMinusR)/2d0
    coupl(nGC_5212) = coupl(nGC_3438) + coupl(nGC_67)*dZH_QED2/2d0
    coupl(nGC_5213) = coupl(nGC_3439) + coupl(nGC_5211)
    coupl(nGC_4785) = coupl(nGC_3447) + coupl(nGC_88)*dZuL/2d0 + coupl(nGC_88)*&
                      dZuR/2d0
    coupl(nGC_4786) = coupl(nGC_3445) + coupl(nGC_86)*dZuL/2d0 + coupl(nGC_86)*&
                      dZuR/2d0
    coupl(nGC_4789) = coupl(nGC_MT)*(dZtL + dZtR)/2d0
    coupl(nGC_9017) = -coupl(nGC_3260)
    coupl(nGC_4858) = coupl(nGC_3341) + coupl(nGC_5)*dZA_QED2 + coupl(nGC_5)*  &
                      dZWMinus_QED2
    coupl(nGC_5812) = coupl(nGC_3429) + coupl(nGC_66)*dZeMinusL/2d0 + coupl(   &
                      nGC_66)*dZeMinusR/2d0
    coupl(nGC_5811) = coupl(nGC_3427) + coupl(nGC_68)*dZeMinusL/2d0 + coupl(   &
                      nGC_68)*dZeMinusR/2d0
    coupl(nGC_3305) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_53)**2d0 +   &
                      coupl(nGC_57)**2d0 + coupl(nGC_61)**2d0 + coupl(nGC_73)**&
                      2d0 + coupl(nGC_77)**2d0 + coupl(nGC_85)**2d0)/(32d0*pi**&
                      2d0*Nc)
    coupl(nGC_3306) = 5d0*cima*(Nc*coupl(nGC_54)**2d0*coupl(nGC_55)**2d0 + 4d0*&
                      Nc*coupl(nGC_54)*coupl(nGC_55)**2d0*coupl(nGC_56) + Nc*  &
                      coupl(nGC_55)**2d0*coupl(nGC_56)**2d0 + Nc*coupl(nGC_58  &
                      )**2d0*coupl(nGC_59)**2d0 + 4d0*Nc*coupl(nGC_58)*coupl(  &
                      nGC_59)**2d0*coupl(nGC_60) + Nc*coupl(nGC_59)**2d0*coupl(&
                      nGC_60)**2d0 + Nc*coupl(nGC_62)**2d0*coupl(nGC_63)**2d0  &
                       + 4d0*Nc*coupl(nGC_62)*coupl(nGC_63)**2d0*coupl(nGC_64  &
                      ) + Nc*coupl(nGC_63)**2d0*coupl(nGC_64)**2d0 + Nc*coupl( &
                      nGC_74)**2d0*coupl(nGC_75)**2d0 + 4d0*Nc*coupl(nGC_74)*  &
                      coupl(nGC_75)**2d0*coupl(nGC_76) + Nc*coupl(nGC_75)**2d0*&
                      coupl(nGC_76)**2d0 + Nc*coupl(nGC_78)**2d0*coupl(nGC_79  &
                      )**2d0 + 4d0*Nc*coupl(nGC_78)*coupl(nGC_79)**2d0*coupl(  &
                      nGC_80) + Nc*coupl(nGC_79)**2d0*coupl(nGC_80)**2d0 + Nc* &
                      coupl(nGC_86)**2d0*coupl(nGC_87)**2d0 + 4d0*Nc*coupl(    &
                      nGC_86)*coupl(nGC_87)**2d0*coupl(nGC_88) + Nc*coupl(     &
                      nGC_87)**2d0*coupl(nGC_88)**2d0 + coupl(nGC_66)**2d0*    &
                      coupl(nGC_67)**2d0 + 4d0*coupl(nGC_66)*coupl(nGC_67)**2d0&
                      *coupl(nGC_68) + coupl(nGC_67)**2d0*coupl(nGC_68)**2d0 + &
                      coupl(nGC_70)**2d0*coupl(nGC_71)**2d0 + 4d0*coupl(nGC_70 &
                      )*coupl(nGC_71)**2d0*coupl(nGC_72) + coupl(nGC_71)**2d0* &
                      coupl(nGC_72)**2d0 + coupl(nGC_82)**2d0*coupl(nGC_83)**  &
                      2d0 + 4d0*coupl(nGC_82)*coupl(nGC_83)**2d0*coupl(nGC_84  &
                      ) + coupl(nGC_83)**2d0*coupl(nGC_84)**2d0)/(24d0*pi**2d0)
    coupl(nGC_3358) = coupl(nGC_3193)*dlam_QED4 + coupl(nGC_3194)*dvev_QED1
    coupl(nGC_3356) = coupl(nGC_3102)*dlam_QED4
    coupl(nGC_3350) = coupl(nGC_3179)*dsw_QED2 + coupl(nGC_3180)*dMW2_QED2 +   &
                      coupl(nGC_3181)*dZee_QED2 + coupl(nGC_3182)*dcw_QED2
    coupl(nGC_3322) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_55)**2d0 -  &
                      coupl(nGC_59)**2d0 - coupl(nGC_63)**2d0 - coupl(nGC_75)**&
                      2d0 - coupl(nGC_79)**2d0 - coupl(nGC_87)**2d0)/(16d0*pi**&
                      2d0)
    coupl(nGC_3323) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_55)**2d0 +   &
                      coupl(nGC_59)**2d0 + coupl(nGC_63)**2d0 + coupl(nGC_75)**&
                      2d0 + coupl(nGC_79)**2d0 + coupl(nGC_87)**2d0)/(16d0*pi**&
                      2d0*Nc)
    coupl(nGC_3324) = cima*(Nc*coupl(nGC_34)**4d0 + Nc*coupl(nGC_35)**4d0 + Nc*&
                      coupl(nGC_38)**4d0 + Nc*coupl(nGC_39)**4d0 + coupl(nGC_36&
                      )**4d0 + coupl(nGC_40)**4d0 + coupl(nGC_41)**4d0)/(8d0*pi&
                      **2d0)
    coupl(nGC_3450) = coupl(nGC_3213)*dyc_QED3
    coupl(nGC_3451) = coupl(nGC_3213)*dyc_QED1
    coupl(nGC_3457) = coupl(nGC_3236)*dyup_QED1
    coupl(nGC_3458) = coupl(nGC_3217)*dyc_QED3
    coupl(nGC_3459) = coupl(nGC_3217)*dyc_QED1
    coupl(nGC_5079) = coupl(nGC_3356) + coupl(nGC_HHGG)
    coupl(nGC_5178) = coupl(nGC_11)*dZuL
    coupl(nGC_5074) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_3381)
    coupl(nGC_5075) = coupl(nGC_5071) + coupl(nGC_5074)
    coupl(nGC_5076) = coupl(nGC_5073) + coupl(nGC_5074)
    coupl(nGC_6823) = coupl(nGC_3472) + coupl(nGC_6820)
    coupl(nGC_3302) = cima*coupl(nGC_23)**2d0*(-Nc*coupl(nGC_54)*coupl(nGC_56  &
                      ) - Nc*coupl(nGC_58)*coupl(nGC_60) - Nc*coupl(nGC_62)*   &
                      coupl(nGC_64) - Nc*coupl(nGC_74)*coupl(nGC_76) - Nc*coupl&
                      (nGC_78)*coupl(nGC_80) - Nc*coupl(nGC_86)*coupl(nGC_88   &
                      ) - coupl(nGC_66)*coupl(nGC_68) - coupl(nGC_70)*coupl(   &
                      nGC_72) - coupl(nGC_82)*coupl(nGC_84))/(6d0*pi**2d0)
    coupl(nGC_5310) = -coupl(nGC_5309)
    coupl(nGC_4770) = coupl(nGC_4763) + coupl(nGC_4767)
    coupl(nGC_6201) = 2d0*coupl(nGC_18)*dZWMinus_QED2 + coupl(nGC_3343)
    coupl(nGC_8998) = -coupl(nGC_3257)
    coupl(nGC_5549) = coupl(nGC_3458) + coupl(nGC_59)*dZH_QED2/2d0
    coupl(nGC_5385) = coupl(nGC_3372) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(    &
                      nGC_40)*dZZ_QED2/2d0
    coupl(nGC_5853) = coupl(nGC_3471) + coupl(nGC_5850)
    coupl(nGC_6067) = -coupl(nGC_5292)
    coupl(nGC_4966) = coupl(nGC_19)*dZWMinus_QED2 + coupl(nGC_19)*dZZ_QED2 +   &
                      coupl(nGC_3345)
    coupl(nGC_4962) = coupl(nGC_3388) + coupl(nGC_41)*dZZ_QED2/2d0
    coupl(nGC_4968) = coupl(nGC_4965) - 2d0*coupl(nGC_4966)
    coupl(nGC_6040) = -coupl(nGC_6039)
    coupl(nGC_5196) = coupl(nGC_3451) + coupl(nGC_58)*dZcL/2d0 + coupl(nGC_58)*&
                      dZcR/2d0
    coupl(nGC_6035) = coupl(nGC_3457) + coupl(nGC_6030)
    coupl(nGC_7544) = 3d0*coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_3338)
    coupl(nGC_5522) = coupl(nGC_3415) + coupl(nGC_5520)
    coupl(nGC_5206) = coupl(nGC_3360) + coupl(nGC_42)*dZZA_QED2 + coupl(nGC_6)*&
                      dZA_QED2
    coupl(nGC_5521) = coupl(nGC_3414) + coupl(nGC_63)*dZH_QED2/2d0
    coupl(nGC_4795) = coupl(nGC_17)*dZWMinus_QED2 + coupl(nGC_3368)
  end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
