!******************************************************************************!
!                                                                              !
!    ctparameter10.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter10.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-14 09:58             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter10
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter10()
  dZZ_QED2 = (2d0*Nc*Ten179*(coupl(nGC_35)**2d0 + coupl(nGC_39)**2d0)/3d0 + 2d0&
             *Nc*Ten180*(coupl(nGC_35)**2d0 + coupl(nGC_39)**2d0)/3d0 + 2d0*Nc*&
             Ten181*(coupl(nGC_35)**2d0 + coupl(nGC_39)**2d0)/3d0 + 2d0*Nc*    &
             Ten182*(coupl(nGC_34)**2d0 + coupl(nGC_38)**2d0)/3d0 + 2d0*Nc*    &
             Ten183*(coupl(nGC_34)**2d0 + coupl(nGC_38)**2d0)/3d0 + 2d0*Nc*    &
             Ten184*(coupl(nGC_34)**2d0 + coupl(nGC_38)**2d0)/3d0 + 2d0*Nc*    &
             Ten190*(-cMU**2d0*coupl(nGC_35)**2d0 + 6d0*cMU**2d0*coupl(nGC_35)*&
             coupl(nGC_39) - cMU**2d0*coupl(nGC_39)**2d0 + coupl(nGC_35)**2d0* &
             rMZ**2d0 + coupl(nGC_39)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*Ten191*(-cMC &
             **2d0*coupl(nGC_35)**2d0 + 6d0*cMC**2d0*coupl(nGC_35)*coupl(nGC_39&
             ) - cMC**2d0*coupl(nGC_39)**2d0 + coupl(nGC_35)**2d0*rMZ**2d0 +   &
             coupl(nGC_39)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*Ten192*(-cMT**2d0*coupl(&
             nGC_35)**2d0 + 6d0*cMT**2d0*coupl(nGC_35)*coupl(nGC_39) - cMT**2d0&
             *coupl(nGC_39)**2d0 + coupl(nGC_35)**2d0*rMZ**2d0 + coupl(nGC_39  &
             )**2d0*rMZ**2d0)/3d0 + 2d0*Nc*Ten193*(-cMD**2d0*coupl(nGC_34)**2d0&
              + 6d0*cMD**2d0*coupl(nGC_34)*coupl(nGC_38) - cMD**2d0*coupl(     &
             nGC_38)**2d0 + coupl(nGC_34)**2d0*rMZ**2d0 + coupl(nGC_38)**2d0*  &
             rMZ**2d0)/3d0 + 2d0*Nc*Ten194*(-cMS**2d0*coupl(nGC_34)**2d0 + 6d0*&
             cMS**2d0*coupl(nGC_34)*coupl(nGC_38) - cMS**2d0*coupl(nGC_38)**2d0&
              + coupl(nGC_34)**2d0*rMZ**2d0 + coupl(nGC_38)**2d0*rMZ**2d0)/3d0 &
              + 2d0*Nc*Ten195*(-cMB**2d0*coupl(nGC_34)**2d0 + 6d0*cMB**2d0*    &
             coupl(nGC_34)*coupl(nGC_38) - cMB**2d0*coupl(nGC_38)**2d0 + coupl(&
             nGC_34)**2d0*rMZ**2d0 + coupl(nGC_38)**2d0*rMZ**2d0)/3d0 + Ten176 &
             *(2d0*coupl(nGC_36)**2d0/3d0 + 2d0*coupl(nGC_40)**2d0/3d0) +      &
             Ten177*(2d0*coupl(nGC_36)**2d0/3d0 + 2d0*coupl(nGC_40)**2d0/3d0   &
             ) + Ten178*(2d0*coupl(nGC_36)**2d0/3d0 + 2d0*coupl(nGC_40)**2d0/  &
             3d0) + 2d0*Ten185*coupl(nGC_41)**2d0 + 2d0*Ten186*coupl(nGC_41)** &
             2d0*rMZ**2d0 + Ten187*(-2d0*cME**2d0*coupl(nGC_36)**2d0/3d0 + 4d0*&
             cME**2d0*coupl(nGC_36)*coupl(nGC_40) - 2d0*cME**2d0*coupl(nGC_40  &
             )**2d0/3d0 + 2d0*coupl(nGC_36)**2d0*rMZ**2d0/3d0 + 2d0*coupl(     &
             nGC_40)**2d0*rMZ**2d0/3d0) + Ten188*(-2d0*cMM**2d0*coupl(nGC_36)**&
             2d0/3d0 + 4d0*cMM**2d0*coupl(nGC_36)*coupl(nGC_40) - 2d0*cMM**2d0*&
             coupl(nGC_40)**2d0/3d0 + 2d0*coupl(nGC_36)**2d0*rMZ**2d0/3d0 + 2d0&
             *coupl(nGC_40)**2d0*rMZ**2d0/3d0) + Ten189*(-2d0*cMTA**2d0*coupl( &
             nGC_36)**2d0/3d0 + 4d0*cMTA**2d0*coupl(nGC_36)*coupl(nGC_40) - 2d0&
             *cMTA**2d0*coupl(nGC_40)**2d0/3d0 + 2d0*coupl(nGC_36)**2d0*rMZ**  &
             2d0/3d0 + 2d0*coupl(nGC_40)**2d0*rMZ**2d0/3d0) + pi**2d0*(-2d0*Nc*&
             coupl(nGC_34)**2d0/(3d0*pi**2d0) - 2d0*Nc*coupl(nGC_35)**2d0/(3d0*&
             pi**2d0) - 2d0*Nc*coupl(nGC_38)**2d0/(3d0*pi**2d0) - 2d0*Nc*coupl(&
             nGC_39)**2d0/(3d0*pi**2d0) - 2d0*coupl(nGC_36)**2d0/(3d0*pi**2d0  &
             ) - 2d0*coupl(nGC_40)**2d0/(3d0*pi**2d0) - 2d0*coupl(nGC_41)**2d0 &
             /(3d0*pi**2d0)))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZZ_QED2 = cone*real(dZZ_QED2,kind=dp)
    end if 
end subroutine set_ctparameter10
end module ctparameter10
