!******************************************************************************!
!                                                                              !
!    ctparameter4.f90                                                          !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter4.f90                               |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-14 09:58             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter4
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter4()
  dMZ2_QED2 = (2d0*Nc*Ten152*rMZ**2d0*(coupl(nGC_35)**2d0 + coupl(nGC_39)**2d0 &
              ) + 2d0*Nc*Ten153*rMZ**2d0*(coupl(nGC_35)**2d0 + coupl(nGC_39)** &
              2d0) + 2d0*Nc*Ten154*rMZ**2d0*(coupl(nGC_35)**2d0 + coupl(nGC_39 &
              )**2d0) + 2d0*Nc*Ten155*rMZ**2d0*(coupl(nGC_34)**2d0 + coupl(    &
              nGC_38)**2d0) + 2d0*Nc*Ten156*rMZ**2d0*(coupl(nGC_34)**2d0 +     &
              coupl(nGC_38)**2d0) + 2d0*Nc*Ten157*rMZ**2d0*(coupl(nGC_34)**2d0 &
               + coupl(nGC_38)**2d0) + 4d0*Nc*Ten161*(coupl(nGC_35)**2d0 +     &
              coupl(nGC_39)**2d0) + 4d0*Nc*Ten162*(coupl(nGC_35)**2d0 + coupl( &
              nGC_39)**2d0) + 4d0*Nc*Ten163*(coupl(nGC_35)**2d0 + coupl(nGC_39 &
              )**2d0) + 4d0*Nc*Ten164*(coupl(nGC_34)**2d0 + coupl(nGC_38)**2d0 &
              ) + 4d0*Nc*Ten165*(coupl(nGC_34)**2d0 + coupl(nGC_38)**2d0) + 4d0&
              *Nc*Ten166*(coupl(nGC_34)**2d0 + coupl(nGC_38)**2d0) + 2d0*Nc*   &
              Ten170*rMZ**2d0*(coupl(nGC_35)**2d0 + coupl(nGC_39)**2d0) + 2d0* &
              Nc*Ten171*rMZ**2d0*(coupl(nGC_35)**2d0 + coupl(nGC_39)**2d0) +   &
              2d0*Nc*Ten172*rMZ**2d0*(coupl(nGC_35)**2d0 + coupl(nGC_39)**2d0  &
              ) + 2d0*Nc*Ten173*rMZ**2d0*(coupl(nGC_34)**2d0 + coupl(nGC_38)** &
              2d0) + 2d0*Nc*Ten174*rMZ**2d0*(coupl(nGC_34)**2d0 + coupl(nGC_38 &
              )**2d0) + 2d0*Nc*Ten175*rMZ**2d0*(coupl(nGC_34)**2d0 + coupl(    &
              nGC_38)**2d0) + 2d0*Nc*Ten179*(-6d0*cMU**2d0*coupl(nGC_35)*coupl(&
              nGC_39) - cMZ**2d0*coupl(nGC_35)**2d0 - cMZ**2d0*coupl(nGC_39)** &
              2d0 + coupl(nGC_35)**2d0*rMZ**2d0 + coupl(nGC_39)**2d0*rMZ**2d0)/&
              3d0 + 2d0*Nc*Ten180*(-6d0*cMC**2d0*coupl(nGC_35)*coupl(nGC_39) - &
              cMZ**2d0*coupl(nGC_35)**2d0 - cMZ**2d0*coupl(nGC_39)**2d0 + coupl&
              (nGC_35)**2d0*rMZ**2d0 + coupl(nGC_39)**2d0*rMZ**2d0)/3d0 + 2d0* &
              Nc*Ten181*(-6d0*cMT**2d0*coupl(nGC_35)*coupl(nGC_39) - cMZ**2d0* &
              coupl(nGC_35)**2d0 - cMZ**2d0*coupl(nGC_39)**2d0 + coupl(nGC_35  &
              )**2d0*rMZ**2d0 + coupl(nGC_39)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*     &
              Ten182*(-6d0*cMD**2d0*coupl(nGC_34)*coupl(nGC_38) - cMZ**2d0*    &
              coupl(nGC_34)**2d0 - cMZ**2d0*coupl(nGC_38)**2d0 + coupl(nGC_34  &
              )**2d0*rMZ**2d0 + coupl(nGC_38)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*     &
              Ten183*(-6d0*cMS**2d0*coupl(nGC_34)*coupl(nGC_38) - cMZ**2d0*    &
              coupl(nGC_34)**2d0 - cMZ**2d0*coupl(nGC_38)**2d0 + coupl(nGC_34  &
              )**2d0*rMZ**2d0 + coupl(nGC_38)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*     &
              Ten184*(-6d0*cMB**2d0*coupl(nGC_34)*coupl(nGC_38) - cMZ**2d0*    &
              coupl(nGC_34)**2d0 - cMZ**2d0*coupl(nGC_38)**2d0 + coupl(nGC_34  &
              )**2d0*rMZ**2d0 + coupl(nGC_38)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*     &
              Ten190*(cMU**2d0*cMZ**2d0*coupl(nGC_35)**2d0 - 6d0*cMU**2d0*cMZ**&
              2d0*coupl(nGC_35)*coupl(nGC_39) + cMU**2d0*cMZ**2d0*coupl(nGC_39 &
              )**2d0 - cMU**2d0*coupl(nGC_35)**2d0*rMZ**2d0 + 6d0*cMU**2d0*    &
              coupl(nGC_35)*coupl(nGC_39)*rMZ**2d0 - cMU**2d0*coupl(nGC_39)**  &
              2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_35)**2d0*rMZ**2d0 - cMZ**2d0*  &
              coupl(nGC_39)**2d0*rMZ**2d0 + coupl(nGC_35)**2d0*rMZ**4d0 + coupl&
              (nGC_39)**2d0*rMZ**4d0)/3d0 + 2d0*Nc*Ten191*(cMC**2d0*cMZ**2d0*  &
              coupl(nGC_35)**2d0 - 6d0*cMC**2d0*cMZ**2d0*coupl(nGC_35)*coupl(  &
              nGC_39) + cMC**2d0*cMZ**2d0*coupl(nGC_39)**2d0 - cMC**2d0*coupl( &
              nGC_35)**2d0*rMZ**2d0 + 6d0*cMC**2d0*coupl(nGC_35)*coupl(nGC_39)*&
              rMZ**2d0 - cMC**2d0*coupl(nGC_39)**2d0*rMZ**2d0 - cMZ**2d0*coupl(&
              nGC_35)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_39)**2d0*rMZ**2d0 +   &
              coupl(nGC_35)**2d0*rMZ**4d0 + coupl(nGC_39)**2d0*rMZ**4d0)/3d0 + &
              2d0*Nc*Ten192*(cMT**2d0*cMZ**2d0*coupl(nGC_35)**2d0 - 6d0*cMT**  &
              2d0*cMZ**2d0*coupl(nGC_35)*coupl(nGC_39) + cMT**2d0*cMZ**2d0*    &
              coupl(nGC_39)**2d0 - cMT**2d0*coupl(nGC_35)**2d0*rMZ**2d0 + 6d0* &
              cMT**2d0*coupl(nGC_35)*coupl(nGC_39)*rMZ**2d0 - cMT**2d0*coupl(  &
              nGC_39)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_35)**2d0*rMZ**2d0 -   &
              cMZ**2d0*coupl(nGC_39)**2d0*rMZ**2d0 + coupl(nGC_35)**2d0*rMZ**  &
              4d0 + coupl(nGC_39)**2d0*rMZ**4d0)/3d0 + 2d0*Nc*Ten193*(cMD**2d0*&
              cMZ**2d0*coupl(nGC_34)**2d0 - 6d0*cMD**2d0*cMZ**2d0*coupl(nGC_34 &
              )*coupl(nGC_38) + cMD**2d0*cMZ**2d0*coupl(nGC_38)**2d0 - cMD**2d0&
              *coupl(nGC_34)**2d0*rMZ**2d0 + 6d0*cMD**2d0*coupl(nGC_34)*coupl( &
              nGC_38)*rMZ**2d0 - cMD**2d0*coupl(nGC_38)**2d0*rMZ**2d0 - cMZ**  &
              2d0*coupl(nGC_34)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_38)**2d0*rMZ&
              **2d0 + coupl(nGC_34)**2d0*rMZ**4d0 + coupl(nGC_38)**2d0*rMZ**4d0&
              )/3d0 + 2d0*Nc*Ten194*(cMS**2d0*cMZ**2d0*coupl(nGC_34)**2d0 - 6d0&
              *cMS**2d0*cMZ**2d0*coupl(nGC_34)*coupl(nGC_38) + cMS**2d0*cMZ**  &
              2d0*coupl(nGC_38)**2d0 - cMS**2d0*coupl(nGC_34)**2d0*rMZ**2d0 +  &
              6d0*cMS**2d0*coupl(nGC_34)*coupl(nGC_38)*rMZ**2d0 - cMS**2d0*    &
              coupl(nGC_38)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_34)**2d0*rMZ**  &
              2d0 - cMZ**2d0*coupl(nGC_38)**2d0*rMZ**2d0 + coupl(nGC_34)**2d0* &
              rMZ**4d0 + coupl(nGC_38)**2d0*rMZ**4d0)/3d0 + 2d0*Nc*Ten195*(cMB &
              **2d0*cMZ**2d0*coupl(nGC_34)**2d0 - 6d0*cMB**2d0*cMZ**2d0*coupl( &
              nGC_34)*coupl(nGC_38) + cMB**2d0*cMZ**2d0*coupl(nGC_38)**2d0 -   &
              cMB**2d0*coupl(nGC_34)**2d0*rMZ**2d0 + 6d0*cMB**2d0*coupl(nGC_34 &
              )*coupl(nGC_38)*rMZ**2d0 - cMB**2d0*coupl(nGC_38)**2d0*rMZ**2d0  &
               - cMZ**2d0*coupl(nGC_34)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_38  &
              )**2d0*rMZ**2d0 + coupl(nGC_34)**2d0*rMZ**4d0 + coupl(nGC_38)**  &
              2d0*rMZ**4d0)/3d0 + 6d0*Ten146*coupl(nGC_41)**2d0*rMZ**2d0 + 12d0&
              *Ten147*coupl(nGC_41)**2d0 + 6d0*Ten148*coupl(nGC_41)**2d0*rMZ** &
              2d0 + 2d0*Ten149*rMZ**2d0*(coupl(nGC_36)**2d0 + coupl(nGC_40)**  &
              2d0) + 2d0*Ten150*rMZ**2d0*(coupl(nGC_36)**2d0 + coupl(nGC_40)** &
              2d0) + 2d0*Ten151*rMZ**2d0*(coupl(nGC_36)**2d0 + coupl(nGC_40)** &
              2d0) + Ten158*(4d0*coupl(nGC_36)**2d0 + 4d0*coupl(nGC_40)**2d0   &
              ) + Ten159*(4d0*coupl(nGC_36)**2d0 + 4d0*coupl(nGC_40)**2d0) +   &
              Ten160*(4d0*coupl(nGC_36)**2d0 + 4d0*coupl(nGC_40)**2d0) + 2d0*  &
              Ten167*rMZ**2d0*(coupl(nGC_36)**2d0 + coupl(nGC_40)**2d0) + 2d0* &
              Ten168*rMZ**2d0*(coupl(nGC_36)**2d0 + coupl(nGC_40)**2d0) + 2d0* &
              Ten169*rMZ**2d0*(coupl(nGC_36)**2d0 + coupl(nGC_40)**2d0) +      &
              Ten176*(-4d0*cME**2d0*coupl(nGC_36)*coupl(nGC_40) - 2d0*cMZ**2d0*&
              coupl(nGC_36)**2d0/3d0 - 2d0*cMZ**2d0*coupl(nGC_40)**2d0/3d0 +   &
              2d0*coupl(nGC_36)**2d0*rMZ**2d0/3d0 + 2d0*coupl(nGC_40)**2d0*rMZ &
              **2d0/3d0) + Ten177*(-4d0*cMM**2d0*coupl(nGC_36)*coupl(nGC_40) - &
              2d0*cMZ**2d0*coupl(nGC_36)**2d0/3d0 - 2d0*cMZ**2d0*coupl(nGC_40  &
              )**2d0/3d0 + 2d0*coupl(nGC_36)**2d0*rMZ**2d0/3d0 + 2d0*coupl(    &
              nGC_40)**2d0*rMZ**2d0/3d0) + Ten178*(-4d0*cMTA**2d0*coupl(nGC_36 &
              )*coupl(nGC_40) - 2d0*cMZ**2d0*coupl(nGC_36)**2d0/3d0 - 2d0*cMZ**&
              2d0*coupl(nGC_40)**2d0/3d0 + 2d0*coupl(nGC_36)**2d0*rMZ**2d0/3d0 &
               + 2d0*coupl(nGC_40)**2d0*rMZ**2d0/3d0) + 2d0*Ten185*coupl(nGC_41&
              )**2d0*(-cMZ**2d0 + rMZ**2d0) + 2d0*Ten186*coupl(nGC_41)**2d0*rMZ&
              **2d0*(-cMZ**2d0 + rMZ**2d0) + Ten187*(2d0*cME**2d0*cMZ**2d0*    &
              coupl(nGC_36)**2d0/3d0 - 4d0*cME**2d0*cMZ**2d0*coupl(nGC_36)*    &
              coupl(nGC_40) + 2d0*cME**2d0*cMZ**2d0*coupl(nGC_40)**2d0/3d0 -   &
              2d0*cME**2d0*coupl(nGC_36)**2d0*rMZ**2d0/3d0 + 4d0*cME**2d0*coupl&
              (nGC_36)*coupl(nGC_40)*rMZ**2d0 - 2d0*cME**2d0*coupl(nGC_40)**2d0&
              *rMZ**2d0/3d0 - 2d0*cMZ**2d0*coupl(nGC_36)**2d0*rMZ**2d0/3d0 -   &
              2d0*cMZ**2d0*coupl(nGC_40)**2d0*rMZ**2d0/3d0 + 2d0*coupl(nGC_36  &
              )**2d0*rMZ**4d0/3d0 + 2d0*coupl(nGC_40)**2d0*rMZ**4d0/3d0) +     &
              Ten188*(2d0*cMM**2d0*cMZ**2d0*coupl(nGC_36)**2d0/3d0 - 4d0*cMM** &
              2d0*cMZ**2d0*coupl(nGC_36)*coupl(nGC_40) + 2d0*cMM**2d0*cMZ**2d0*&
              coupl(nGC_40)**2d0/3d0 - 2d0*cMM**2d0*coupl(nGC_36)**2d0*rMZ**2d0&
              /3d0 + 4d0*cMM**2d0*coupl(nGC_36)*coupl(nGC_40)*rMZ**2d0 - 2d0*  &
              cMM**2d0*coupl(nGC_40)**2d0*rMZ**2d0/3d0 - 2d0*cMZ**2d0*coupl(   &
              nGC_36)**2d0*rMZ**2d0/3d0 - 2d0*cMZ**2d0*coupl(nGC_40)**2d0*rMZ**&
              2d0/3d0 + 2d0*coupl(nGC_36)**2d0*rMZ**4d0/3d0 + 2d0*coupl(nGC_40 &
              )**2d0*rMZ**4d0/3d0) + Ten189*(2d0*cMTA**2d0*cMZ**2d0*coupl(     &
              nGC_36)**2d0/3d0 - 4d0*cMTA**2d0*cMZ**2d0*coupl(nGC_36)*coupl(   &
              nGC_40) + 2d0*cMTA**2d0*cMZ**2d0*coupl(nGC_40)**2d0/3d0 - 2d0*   &
              cMTA**2d0*coupl(nGC_36)**2d0*rMZ**2d0/3d0 + 4d0*cMTA**2d0*coupl( &
              nGC_36)*coupl(nGC_40)*rMZ**2d0 - 2d0*cMTA**2d0*coupl(nGC_40)**2d0&
              *rMZ**2d0/3d0 - 2d0*cMZ**2d0*coupl(nGC_36)**2d0*rMZ**2d0/3d0 -   &
              2d0*cMZ**2d0*coupl(nGC_40)**2d0*rMZ**2d0/3d0 + 2d0*coupl(nGC_36  &
              )**2d0*rMZ**4d0/3d0 + 2d0*coupl(nGC_40)**2d0*rMZ**4d0/3d0) + pi**&
              2d0*(-2d0*Nc*cMB**2d0*coupl(nGC_34)**2d0/pi**2d0 - 2d0*Nc*cMB**  &
              2d0*coupl(nGC_38)**2d0/pi**2d0 - 2d0*Nc*cMC**2d0*coupl(nGC_35)** &
              2d0/pi**2d0 - 2d0*Nc*cMC**2d0*coupl(nGC_39)**2d0/pi**2d0 - 2d0*Nc&
              *cMD**2d0*coupl(nGC_34)**2d0/pi**2d0 - 2d0*Nc*cMD**2d0*coupl(    &
              nGC_38)**2d0/pi**2d0 - 2d0*Nc*cMS**2d0*coupl(nGC_34)**2d0/pi**2d0&
               - 2d0*Nc*cMS**2d0*coupl(nGC_38)**2d0/pi**2d0 - 2d0*Nc*cMT**2d0* &
              coupl(nGC_35)**2d0/pi**2d0 - 2d0*Nc*cMT**2d0*coupl(nGC_39)**2d0/ &
              pi**2d0 - 2d0*Nc*cMU**2d0*coupl(nGC_35)**2d0/pi**2d0 - 2d0*Nc*cMU&
              **2d0*coupl(nGC_39)**2d0/pi**2d0 + 2d0*Nc*cMZ**2d0*coupl(nGC_34  &
              )**2d0/(3d0*pi**2d0) + 2d0*Nc*cMZ**2d0*coupl(nGC_35)**2d0/(3d0*pi&
              **2d0) + 2d0*Nc*cMZ**2d0*coupl(nGC_38)**2d0/(3d0*pi**2d0) + 2d0* &
              Nc*cMZ**2d0*coupl(nGC_39)**2d0/(3d0*pi**2d0) + Nc*coupl(nGC_34)**&
              2d0*rMZ**2d0/(3d0*pi**2d0) + Nc*coupl(nGC_35)**2d0*rMZ**2d0/(3d0*&
              pi**2d0) + Nc*coupl(nGC_38)**2d0*rMZ**2d0/(3d0*pi**2d0) + Nc*    &
              coupl(nGC_39)**2d0*rMZ**2d0/(3d0*pi**2d0) - 2d0*cME**2d0*coupl(  &
              nGC_36)**2d0/pi**2d0 - 2d0*cME**2d0*coupl(nGC_40)**2d0/pi**2d0 - &
              2d0*cMM**2d0*coupl(nGC_36)**2d0/pi**2d0 - 2d0*cMM**2d0*coupl(    &
              nGC_40)**2d0/pi**2d0 - 2d0*cMTA**2d0*coupl(nGC_36)**2d0/pi**2d0  &
               - 2d0*cMTA**2d0*coupl(nGC_40)**2d0/pi**2d0 + 2d0*cMZ**2d0*coupl(&
              nGC_36)**2d0/(3d0*pi**2d0) + 2d0*cMZ**2d0*coupl(nGC_40)**2d0/(3d0&
              *pi**2d0) + 2d0*cMZ**2d0*coupl(nGC_41)**2d0/(3d0*pi**2d0) + coupl&
              (nGC_36)**2d0*rMZ**2d0/(3d0*pi**2d0) + coupl(nGC_40)**2d0*rMZ**  &
              2d0/(3d0*pi**2d0) + coupl(nGC_41)**2d0*rMZ**2d0/(3d0*pi**2d0)))/(&
              16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dMZ2_QED2 = cone*real(dMZ2_QED2,kind=dp)
    end if 
end subroutine set_ctparameter4
end module ctparameter4
