!******************************************************************************!
!                                                                              !
!    ctparameter9.f90                                                          !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter9.f90                               |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-14 09:58             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter9
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter9()
  dZA_QED2 = (8d0*Nc*Ten105*cMT**2d0*coupl(nGC_2)**2d0 + 8d0*Nc*Ten106*cMU_reg &
             **2d0*coupl(nGC_2)**2d0 + 8d0*Nc*Ten107*cMC_reg**2d0*coupl(nGC_2  &
             )**2d0 + 8d0*Nc*Ten108*cMD_reg**2d0*coupl(nGC_1)**2d0 + 8d0*Nc*   &
             Ten109*cMS_reg**2d0*coupl(nGC_1)**2d0 + 8d0*Nc*Ten110*cMB_reg**2d0&
             *coupl(nGC_1)**2d0 - 16d0*Nc*Ten111*coupl(nGC_2)**2d0 - 16d0*Nc*  &
             Ten112*coupl(nGC_2)**2d0 - 16d0*Nc*Ten113*coupl(nGC_2)**2d0 - 16d0&
             *Nc*Ten114*coupl(nGC_1)**2d0 - 16d0*Nc*Ten115*coupl(nGC_1)**2d0 - &
             16d0*Nc*Ten116*coupl(nGC_1)**2d0 - 4d0*Nc*Ten117*coupl(nGC_2)**2d0&
             /3d0 - 4d0*Nc*Ten118*coupl(nGC_2)**2d0/3d0 - 4d0*Nc*Ten119*coupl( &
             nGC_1)**2d0/3d0 - 4d0*Nc*Ten120*coupl(nGC_1)**2d0/3d0 - 4d0*Nc*   &
             Ten121*coupl(nGC_1)**2d0/3d0 - 4d0*Nc*coupl(nGC_2)**2d0/3d0 + 8d0*&
             Ten137*cME_reg**2d0*coupl(nGC_4)**2d0 + 8d0*Ten138*cMM_reg**2d0*  &
             coupl(nGC_4)**2d0 + 8d0*Ten139*cMTA_reg**2d0*coupl(nGC_4)**2d0 -  &
             16d0*Ten140*coupl(nGC_4)**2d0 - 16d0*Ten141*coupl(nGC_4)**2d0 -   &
             16d0*Ten142*coupl(nGC_4)**2d0 - 4d0*Ten143*coupl(nGC_4)**2d0/3d0  &
              - 4d0*Ten144*coupl(nGC_4)**2d0/3d0 - 4d0*Ten145*coupl(nGC_4)**2d0&
             /3d0)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZA_QED2 = cone*real(dZA_QED2,kind=dp)
    end if 
end subroutine set_ctparameter9
end module ctparameter9
