!******************************************************************************!
!                                                                              !
!    modelintegrals.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   modelintegrals.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-14 09:58             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module modelintegrals
  use constants_mdl, only: dp
  implicit none
  complex(dp) :: Ten152, Ten153, Ten150, Ten151, Ten156, Ten157, Ten154, Ten155&
                 , Ten185, Ten158, Ten159, Ten184, Ten72, Ten73, Ten70, Ten71, &
                 Ten76, Ten77, Ten74, Ten75, Ten78, Ten79, Ten182, Ten98,      &
                 Ten229, Ten149, Ten148, Ten145, Ten144, Ten147, Ten146, Ten141&
                 , Ten140, Ten143, Ten142, Ten224, Ten216, Ten225, Ten226,     &
                 Ten227, Ten213, Ten220, Ten212, Ten221, Ten196, Ten222, Ten89 &
                 , Ten88, Ten87, Ten86, Ten85, Ten84, Ten83, Ten82, Ten81,     &
                 Ten80, Ten138, Ten139, Ten195, Ten187, Ten130, Ten131, Ten132 &
                 , Ten133, Ten134, Ten135, Ten136, Ten137, Ten14, Ten15, Ten16 &
                 , Ten17, Ten10, Ten11, Ten12, Ten13, Ten191, Ten18, Ten19,    &
                 Ten161, Ten160, Ten228, Ten99, Ten94, Ten95, Ten96, Ten97,    &
                 Ten90, Ten91, Ten92, Ten93, Ten129, Ten128, Ten123, Ten122,   &
                 Ten121, Ten120, Ten127, Ten126, Ten125, Ten124, Ten29, Ten28, &
                 Ten169, Ten193, Ten21, Ten20, Ten23, Ten22, Ten25, Ten24,     &
                 Ten27, Ten26, Ten192, Ten189, Ten190, Ten238, Ten237, Ten236, &
                 Ten235, Ten234, Ten233, Ten232, Ten231, Ten230, Ten188, Ten38 &
                 , Ten39, Ten36, Ten37, Ten34, Ten35, Ten32, Ten33, Ten30,     &
                 Ten31, Ten208, Ten209, Ten168, Ten202, Ten203, Ten200, Ten201 &
                 , Ten206, Ten207, Ten204, Ten205, Ten178, Ten223, Ten68,      &
                 Ten215, Ten214, Ten217, Ten48, Ten211, Ten210, Ten198, Ten199 &
                 , Ten43, Ten197, Ten194, Ten40, Ten219, Ten218, Ten45, Ten44, &
                 Ten116, Ten117, Ten114, Ten115, Ten112, Ten113, Ten110, Ten111&
                 , Ten118, Ten119, Ten174, Ten175, Ten176, Ten177, Ten170,     &
                 Ten171, Ten172, Ten173, Ten49, Ten179, Ten42, Ten58, Ten59,   &
                 Ten50, Ten51, Ten52, Ten53, Ten54, Ten55, Ten56, Ten186,      &
                 Ten101, Ten100, Ten103, Ten102, Ten105, Ten104, Ten107, Ten106&
                 , Ten109, Ten108, Ten41, Ten167, Ten166, Ten165, Ten164,      &
                 Ten163, Ten162, Ten8, Ten9, Ten6, Ten7, Ten4, Ten5, Ten2, Ten3&
                 , Ten0, Ten1, Ten69, Ten57, Ten65, Ten64, Ten67, Ten66, Ten61 &
                 , Ten60, Ten63, Ten62, Ten181, Ten180, Ten47, Ten183, Ten46
  contains
  subroutine set_modelintegrals(reset_collier)
    use input_mdl, only: init_si
    use scalar_functions
    logical, intent(in) :: reset_collier

    if (init_si) call init_scalar_functions(reset_collier)
!   Precomputation of scalar integrals
    Ten115 = DB00(cnul, cMS2_reg, cMS2_reg)
    Ten188 = DB0(rMZ2, cMM2_reg, cMM2_reg)
    Ten5 = A0(cMT2_reg)
    Ten189 = DB0(rMZ2, cMTA2_reg, cMTA2_reg)
    Ten111 = DB00(cnul, cMT2_reg, cMT2_reg)
    Ten1 = A0(cMM2_reg)
    Ten168 = B11(rMZ2, cMM2_reg, cMM2_reg)
    Ten47 = DB00(rMH2, cME2_reg, cME2_reg)
    Ten7 = A0(cMS2_reg)
    Ten6 = A0(cMD2_reg)
    Ten162 = B00(rMZ2, cMC2_reg, cMC2_reg)
    Ten163 = B00(rMZ2, cMT2_reg, cMT2_reg)
    Ten160 = B00(rMZ2, cMTA2_reg, cMTA2_reg)
    Ten161 = B00(rMZ2, cMU2_reg, cMU2_reg)
    Ten79 = DB00(rMH2, cMB2_reg, cMB2_reg)
    Ten78 = DB1(rMH2, cMB2_reg, cMB2_reg)
    Ten164 = B00(rMZ2, cMD2_reg, cMD2_reg)
    Ten110 = DB0(cnul, cMB2_reg, cMB2_reg)
    Ten75 = DB00(rMH2, cMS2_reg, cMS2_reg)
    Ten74 = DB1(rMH2, cMS2_reg, cMS2_reg)
    Ten77 = DB0(rMH2, cMB2_reg, cMB2_reg)
    Ten76 = DB11(rMH2, cMS2_reg, cMS2_reg)
    Ten71 = DB00(rMH2, cMD2_reg, cMD2_reg)
    Ten70 = DB1(rMH2, cMD2_reg, cMD2_reg)
    Ten73 = DB0(rMH2, cMS2_reg, cMS2_reg)
    Ten72 = DB11(rMH2, cMD2_reg, cMD2_reg)
    Ten53 = DB0(rMH2, cMTA2_reg, cMTA2_reg)
    Ten21 = B1(rMH2, cMM2_reg, cMM2_reg)
    Ten52 = DB11(rMH2, cMM2_reg, cMM2_reg)
    Ten3 = A0(cMU2_reg)
    Ten183 = B0(rMZ2, cMS2_reg, cMS2_reg)
    Ten51 = DB00(rMH2, cMM2_reg, cMM2_reg)
    Ten50 = DB1(rMH2, cMM2_reg, cMM2_reg)
    Ten57 = DB0(rMH2, cMU2_reg, cMU2_reg)
    Ten56 = DB11(rMH2, cMTA2_reg, cMTA2_reg)
    Ten171 = B11(rMZ2, cMC2_reg, cMC2_reg)
    Ten170 = B11(rMZ2, cMU2_reg, cMU2_reg)
    Ten173 = B11(rMZ2, cMD2_reg, cMD2_reg)
    Ten172 = B11(rMZ2, cMT2_reg, cMT2_reg)
    Ten175 = B11(rMZ2, cMB2_reg, cMB2_reg)
    Ten174 = B11(rMZ2, cMS2_reg, cMS2_reg)
    Ten68 = DB11(rMH2, cMT2_reg, cMT2_reg)
    Ten176 = B0(rMZ2, cME2_reg, cME2_reg)
    Ten179 = B0(rMZ2, cMU2_reg, cMU2_reg)
    Ten178 = B0(rMZ2, cMTA2_reg, cMTA2_reg)
    Ten64 = DB11(rMH2, cMC2_reg, cMC2_reg)
    Ten54 = DB1(rMH2, cMTA2_reg, cMTA2_reg)
    Ten62 = DB1(rMH2, cMC2_reg, cMC2_reg)
    Ten63 = DB00(rMH2, cMC2_reg, cMC2_reg)
    Ten60 = DB11(rMH2, cMU2_reg, cMU2_reg)
    Ten61 = DB0(rMH2, cMC2_reg, cMC2_reg)
    Ten114 = DB00(cnul, cMD2_reg, cMD2_reg)
    Ten59 = DB00(rMH2, cMU2_reg, cMU2_reg)
    Ten58 = DB1(rMH2, cMU2_reg, cMU2_reg)
    Ten148 = B11(rMZ2, cnul, cnul)
    Ten149 = B1(rMZ2, cME2_reg, cME2_reg)
    Ten144 = HT(cMM2_reg, cMM2_reg)
    Ten145 = HT(cMTA2_reg, cMTA2_reg)
    Ten146 = B1(rMZ2, cnul, cnul)
    Ten147 = B00(rMZ2, cnul, cnul)
    Ten140 = DB00(cnul, cME2_reg, cME2_reg)
    Ten141 = DB00(cnul, cMM2_reg, cMM2_reg)
    Ten142 = DB00(cnul, cMTA2_reg, cMTA2_reg)
    Ten143 = HT(cME2_reg, cME2_reg)
    Ten177 = B0(rMZ2, cMM2_reg, cMM2_reg)
    Ten128 = B11(cnul, cME2_reg, cME2_reg)
    Ten129 = B11(cnul, cMM2_reg, cMM2_reg)
    Ten126 = B1(cnul, cMM2_reg, cMM2_reg)
    Ten127 = B1(cnul, cMTA2_reg, cMTA2_reg)
    Ten124 = B0(cnul, cMC2_reg, cMC2_reg)
    Ten125 = B1(cnul, cME2_reg, cME2_reg)
    Ten122 = B0(cnul, cMT2_reg, cMT2_reg)
    Ten123 = B0(cnul, cMB2_reg, cMB2_reg)
    Ten120 = HT(cMS2_reg, cMS2_reg)
    Ten121 = HT(cMB2_reg, cMB2_reg)
    Ten66 = DB1(rMH2, cMT2_reg, cMT2_reg)
    Ten67 = DB00(rMH2, cMT2_reg, cMT2_reg)
    Ten44 = B11(rMH2, cMB2_reg, cMB2_reg)
    Ten45 = DB0(rMH2, cME2_reg, cME2_reg)
    Ten46 = DB1(rMH2, cME2_reg, cME2_reg)
    Ten65 = DB0(rMH2, cMT2_reg, cMT2_reg)
    Ten40 = B11(rMH2, cMC2_reg, cMC2_reg)
    Ten41 = B11(rMH2, cMT2_reg, cMT2_reg)
    Ten42 = B11(rMH2, cMD2_reg, cMD2_reg)
    Ten43 = B11(rMH2, cMS2_reg, cMS2_reg)
    Ten48 = DB11(rMH2, cME2_reg, cME2_reg)
    Ten49 = DB0(rMH2, cMM2_reg, cMM2_reg)
    Ten159 = B00(rMZ2, cMM2_reg, cMM2_reg)
    Ten158 = B00(rMZ2, cME2_reg, cME2_reg)
    Ten153 = B1(rMZ2, cMC2_reg, cMC2_reg)
    Ten152 = B1(rMZ2, cMU2_reg, cMU2_reg)
    Ten151 = B1(rMZ2, cMTA2_reg, cMTA2_reg)
    Ten150 = B1(rMZ2, cMM2_reg, cMM2_reg)
    Ten157 = B1(rMZ2, cMB2_reg, cMB2_reg)
    Ten156 = B1(rMZ2, cMS2_reg, cMS2_reg)
    Ten155 = B1(rMZ2, cMD2_reg, cMD2_reg)
    Ten154 = B1(rMZ2, cMT2_reg, cMT2_reg)
    Ten139 = DB0(cnul, cMTA2_reg, cMTA2_reg)
    Ten138 = DB0(cnul, cMM2_reg, cMM2_reg)
    Ten55 = DB00(rMH2, cMTA2_reg, cMTA2_reg)
    Ten135 = B00(cnul, cMM2_reg, cMM2_reg)
    Ten134 = B00(cnul, cME2_reg, cME2_reg)
    Ten137 = DB0(cnul, cME2_reg, cME2_reg)
    Ten136 = B00(cnul, cMTA2_reg, cMTA2_reg)
    Ten131 = B0(cnul, cME2_reg, cME2_reg)
    Ten130 = B11(cnul, cMTA2_reg, cMTA2_reg)
    Ten133 = B0(cnul, cMTA2_reg, cMTA2_reg)
    Ten132 = B0(cnul, cMM2_reg, cMM2_reg)
    Ten238 = B0(cnul, cMU2_reg, cMU2_reg)
    Ten232 = B00(cnul, cnul, cMTA2_reg)
    Ten233 = B0(cnul, cME2_reg, cME2_reg)
    Ten230 = B00(cnul, cnul, cME2_reg)
    Ten231 = B00(cnul, cnul, cMM2_reg)
    Ten236 = B0(cnul, cMD2_reg, cMD2_reg)
    Ten237 = B0(cnul, cMS2_reg, cMS2_reg)
    Ten234 = B0(cnul, cMM2_reg, cMM2_reg)
    Ten235 = B0(cnul, cMTA2_reg, cMTA2_reg)
    Ten31 = B00(rMH2, cMU2_reg, cMU2_reg)
    Ten30 = B00(rMH2, cMTA2_reg, cMTA2_reg)
    Ten33 = B00(rMH2, cMT2_reg, cMT2_reg)
    Ten32 = B00(rMH2, cMC2_reg, cMC2_reg)
    Ten35 = B00(rMH2, cMS2_reg, cMS2_reg)
    Ten34 = B00(rMH2, cMD2_reg, cMD2_reg)
    Ten37 = B11(rMH2, cMM2_reg, cMM2_reg)
    Ten36 = B00(rMH2, cMB2_reg, cMB2_reg)
    Ten39 = B11(rMH2, cMU2_reg, cMU2_reg)
    Ten38 = B11(rMH2, cMTA2_reg, cMTA2_reg)
    Ten166 = B00(rMZ2, cMB2_reg, cMB2_reg)
    Ten167 = B11(rMZ2, cME2_reg, cME2_reg)
    Ten108 = DB0(cnul, cMD2_reg, cMD2_reg)
    Ten109 = DB0(cnul, cMS2_reg, cMS2_reg)
    Ten69 = DB0(rMH2, cMD2_reg, cMD2_reg)
    Ten100 = B00(cnul, cMU2_reg, cMU2_reg)
    Ten101 = B00(cnul, cMC2_reg, cMC2_reg)
    Ten102 = B00(cnul, cMD2_reg, cMD2_reg)
    Ten103 = B00(cnul, cMS2_reg, cMS2_reg)
    Ten104 = B00(cnul, cMB2_reg, cMB2_reg)
    Ten105 = DB0(cnul, cMT2_reg, cMT2_reg)
    Ten106 = DB0(cnul, cMU2_reg, cMU2_reg)
    Ten107 = DB0(cnul, cMC2_reg, cMC2_reg)
    Ten229 = B00(cnul, cMT2_reg, cMB2_reg)
    Ten228 = B00(cnul, cMC2_reg, cMS2_reg)
    Ten182 = B0(rMZ2, cMD2_reg, cMD2_reg)
    Ten8 = A0(cMB2_reg)
    Ten184 = B0(rMZ2, cMB2_reg, cMB2_reg)
    Ten185 = B0(rMZ2, cnul, cnul)
    Ten186 = DB0(rMZ2, cnul, cnul)
    Ten187 = DB0(rMZ2, cME2_reg, cME2_reg)
    Ten221 = DB0(rMW2, cMT2_reg, cMB2_reg)
    Ten220 = B0(rMW2, cnul, cME2_reg)
    Ten223 = DB0(rMW2, cMU2_reg, cMD2_reg)
    Ten222 = DB0(rMW2, cMC2_reg, cMS2_reg)
    Ten225 = DB0(rMW2, cnul, cMM2_reg)
    Ten224 = DB0(rMW2, cnul, cMTA2_reg)
    Ten227 = B00(cnul, cMU2_reg, cMD2_reg)
    Ten226 = DB0(rMW2, cnul, cME2_reg)
    Ten22 = B1(rMH2, cMTA2_reg, cMTA2_reg)
    Ten23 = B1(rMH2, cMU2_reg, cMU2_reg)
    Ten20 = B0(rMH2, cMB2_reg, cMB2_reg)
    Ten169 = B11(rMZ2, cMTA2_reg, cMTA2_reg)
    Ten26 = B1(rMH2, cMD2_reg, cMD2_reg)
    Ten27 = B1(rMH2, cMS2_reg, cMS2_reg)
    Ten24 = B1(rMH2, cMC2_reg, cMC2_reg)
    Ten25 = B1(rMH2, cMT2_reg, cMT2_reg)
    Ten28 = B1(rMH2, cMB2_reg, cMB2_reg)
    Ten29 = B00(rMH2, cMM2_reg, cMM2_reg)
    Ten116 = DB00(cnul, cMB2_reg, cMB2_reg)
    Ten4 = A0(cMC2_reg)
    Ten2 = A0(cMTA2_reg)
    Ten214 = A0(cnul)
    Ten215 = B0(rMW2, cMT2_reg, cMB2_reg)
    Ten216 = B0(rMW2, cMC2_reg, cMS2_reg)
    Ten217 = B0(rMW2, cMU2_reg, cMD2_reg)
    Ten210 = B11(rMW2, cMT2_reg, cMB2_reg)
    Ten211 = B11(rMW2, cnul, cME2_reg)
    Ten212 = B11(rMW2, cnul, cMM2_reg)
    Ten213 = B11(rMW2, cnul, cMTA2_reg)
    Ten218 = B0(rMW2, cnul, cMTA2_reg)
    Ten219 = B0(rMW2, cnul, cMM2_reg)
    Ten199 = B1(rMW2, cnul, cME2_reg)
    Ten198 = B1(rMW2, cMT2_reg, cMB2_reg)
    Ten197 = B1(rMW2, cMC2_reg, cMS2_reg)
    Ten196 = B1(rMW2, cMU2_reg, cMD2_reg)
    Ten195 = DB0(rMZ2, cMB2_reg, cMB2_reg)
    Ten194 = DB0(rMZ2, cMS2_reg, cMS2_reg)
    Ten193 = DB0(rMZ2, cMD2_reg, cMD2_reg)
    Ten192 = DB0(rMZ2, cMT2_reg, cMT2_reg)
    Ten191 = DB0(rMZ2, cMC2_reg, cMC2_reg)
    Ten190 = DB0(rMZ2, cMU2_reg, cMU2_reg)
    Ten117 = HT(cMU2_reg, cMU2_reg)
    Ten19 = B0(rMH2, cMS2_reg, cMS2_reg)
    Ten18 = B0(rMH2, cMD2_reg, cMD2_reg)
    Ten17 = B0(rMH2, cMT2_reg, cMT2_reg)
    Ten16 = B0(rMH2, cMC2_reg, cMC2_reg)
    Ten15 = B0(rMH2, cMU2_reg, cMU2_reg)
    Ten14 = B0(rMH2, cMTA2_reg, cMTA2_reg)
    Ten13 = B0(rMH2, cMM2_reg, cMM2_reg)
    Ten12 = B11(rMH2, cME2_reg, cME2_reg)
    Ten11 = B00(rMH2, cME2_reg, cME2_reg)
    Ten10 = B1(rMH2, cME2_reg, cME2_reg)
    Ten97 = B0(cnul, cMS2_reg, cMS2_reg)
    Ten96 = B0(cnul, cMD2_reg, cMD2_reg)
    Ten95 = B0(cnul, cMC2_reg, cMC2_reg)
    Ten94 = B0(cnul, cMU2_reg, cMU2_reg)
    Ten93 = B0(cnul, cMT2_reg, cMT2_reg)
    Ten92 = B11(cnul, cMB2_reg, cMB2_reg)
    Ten91 = B11(cnul, cMS2_reg, cMS2_reg)
    Ten90 = B11(cnul, cMD2_reg, cMD2_reg)
    Ten113 = DB00(cnul, cMC2_reg, cMC2_reg)
    Ten0 = A0(cME2_reg)
    Ten99 = B00(cnul, cMT2_reg, cMT2_reg)
    Ten98 = B0(cnul, cMB2_reg, cMB2_reg)
    Ten203 = B00(rMW2, cMC2_reg, cMS2_reg)
    Ten202 = B00(rMW2, cMU2_reg, cMD2_reg)
    Ten201 = B1(rMW2, cnul, cMTA2_reg)
    Ten200 = B1(rMW2, cnul, cMM2_reg)
    Ten207 = B00(rMW2, cnul, cMTA2_reg)
    Ten206 = B00(rMW2, cnul, cMM2_reg)
    Ten205 = B00(rMW2, cnul, cME2_reg)
    Ten204 = B00(rMW2, cMT2_reg, cMB2_reg)
    Ten165 = B00(rMZ2, cMS2_reg, cMS2_reg)
    Ten209 = B11(rMW2, cMC2_reg, cMS2_reg)
    Ten208 = B11(rMW2, cMU2_reg, cMD2_reg)
    Ten180 = B0(rMZ2, cMC2_reg, cMC2_reg)
    Ten181 = B0(rMZ2, cMT2_reg, cMT2_reg)
    Ten9 = B0(rMH2, cME2_reg, cME2_reg)
    Ten80 = DB11(rMH2, cMB2_reg, cMB2_reg)
    Ten81 = B1(cnul, cMT2_reg, cMT2_reg)
    Ten82 = B1(cnul, cMU2_reg, cMU2_reg)
    Ten83 = B1(cnul, cMC2_reg, cMC2_reg)
    Ten84 = B1(cnul, cMD2_reg, cMD2_reg)
    Ten85 = B1(cnul, cMS2_reg, cMS2_reg)
    Ten86 = B1(cnul, cMB2_reg, cMB2_reg)
    Ten87 = B11(cnul, cMT2_reg, cMT2_reg)
    Ten88 = B11(cnul, cMU2_reg, cMU2_reg)
    Ten89 = B11(cnul, cMC2_reg, cMC2_reg)
    Ten112 = DB00(cnul, cMU2_reg, cMU2_reg)
    Ten119 = HT(cMD2_reg, cMD2_reg)
    Ten118 = HT(cMC2_reg, cMC2_reg)

  end subroutine set_modelintegrals

end module modelintegrals
